package com.hjy;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.autoconfigure.jdbc.DataSourceAutoConfiguration;
import org.springframework.boot.context.ApplicationPidFileWriter;
import org.springframework.context.ConfigurableApplicationContext;

import java.io.File;
import java.net.UnknownHostException;
import java.util.Properties;

/**
 * 启动程序
 *
 * @author HJY
 */
@SpringBootApplication(exclude = {DataSourceAutoConfiguration.class})
public class ZhbsqApplication {
    public static void main(String[] args) throws UnknownHostException {
        Properties properties = System.getProperties();
        String rootPath = properties.getProperty("user.dir");
        SpringApplication application = new SpringApplication(ZhbsqApplication.class);
        application.addListeners(new ApplicationPidFileWriter(rootPath + File.separator + "app.pid"));
        application.run(args);
    }
}
