package com.hjy.business.appuser.controller;

import com.hjy.common.core.domain.AjaxResult;
import com.hjy.module.service.article.ICbArticleService;
import com.hjy.module.vo.article.CbArticleVo;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.RequiredArgsConstructor;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * APP重点项目管理Controller
 *
 * @author Tellsea
 * @date 2023-09-20
 */
@Api(tags = "移动端—重点项目管理Controller")
@RestController
@RequestMapping("/app_api/ARTICLE")
@RequiredArgsConstructor(onConstructor_ = @Autowired)
public class APPArticleController {

    private final ICbArticleService cbArticleService;

    @ApiOperation("移动端-查询重点项目管理所有列表")
    @GetMapping("/listAll")
    public AjaxResult listAll(CbArticleVo entity) {
        return AjaxResult.success("查询成功", cbArticleService.queryAll(entity));
    }

    @ApiOperation("移动端-获取重点项目管理详细信息")
    @GetMapping(value = "/getInfo/{id}")
    public AjaxResult getInfo(@PathVariable("id") String id) {
        return AjaxResult.success("查询成功", cbArticleService.queryById(id));
    }
}
