package com.hjy.business.appuser.controller;

import com.hjy.common.annotation.Log;
import com.hjy.common.core.controller.BaseController;
import com.hjy.common.core.domain.AjaxResult;
import com.hjy.common.core.text.Convert;
import com.hjy.common.enums.BusinessType;
import com.hjy.common.utils.SecurityUtils;
import com.hjy.module.service.portal.ICbLeaveMessageService;
import com.hjy.module.vo.portal.CbLeaveMessageVo;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.RequiredArgsConstructor;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @author hejizheng
 * @ClassName LeaveMessageController
 * @description: TODO
 * @date 2023年09月13日
 * @version: 1.0
 */
@Api(tags = "移动端-问题反馈")
@RestController
@RequestMapping("/app_api/leave-message")
@RequiredArgsConstructor(onConstructor_ = @Autowired)
public class APPLeaveMessageController extends BaseController {

    private final ICbLeaveMessageService cbLeaveMessageService;

    @ApiOperation("新增留言反馈")
    @Log(title = "留言反馈", businessType = BusinessType.INSERT)
    @PostMapping("/add")
    public AjaxResult add(@RequestBody CbLeaveMessageVo entity) {
        entity.setUserId(Convert.toStr(SecurityUtils.getUserId()));
        entity.setAnsName(SecurityUtils.getUsername());
        entity.setType("0");
        entity.setSource("2");
        return toAjax(cbLeaveMessageService.save(entity));
    }
}
