package com.hjy.business.appuser.controller;

import com.hjy.common.core.domain.AjaxResult;
import com.hjy.module.service.gather.ICbGatherStatisticsBsqService;
import com.hjy.module.service.gather.ICbGatherStatisticsWbService;
import com.hjy.module.statistics.service.GxjckzbnzbService;
import com.hjy.module.statistics.vo.CityAndBsqVo;
import com.hjy.module.vo.gather.CbGatherTmpVo;
import com.hjy.module.vo.statistics.NormCollValueVo;
import com.hjy.system.mapper.SysDeptMapper;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.RequiredArgsConstructor;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * @author yjh
 * @ClassName APPbsqController
 * @description: TODO
 * @date 2023年09月13日
 * @version: 1.0
 */
@Api(tags = "移动端-保税区图表Controller")
@RestController
@RequestMapping("/app_api/bsq")
@RequiredArgsConstructor(onConstructor_ = @Autowired)
public class APPbsqController {

    private final GxjckzbnzbService gxjckzbnzbService;

    private final ICbGatherStatisticsBsqService cbGatherStatisticsBsqService;

    private final ICbGatherStatisticsWbService cbGatherStatisticsWbService;

    private final SysDeptMapper sysDeptMapper;

    @ApiOperation("移动端-园区与所在市进出口总值")
    @PostMapping("/comprehensive/selectGardenEnterpriseType")
    public AjaxResult selectGardenEnterpriseType(String deptId) {
        // 获取最新年份月份
        CbGatherTmpVo vo1 = cbGatherStatisticsWbService.selectTmp(null);
        List<CityAndBsqVo> result = gxjckzbnzbService.selectGardenEnterpriseType(deptId, vo1.getYear(), vo1.getMonth());
        // 组装数据返回
        Map<String, Object> objectObjectHashMap = new HashMap<>();
        objectObjectHashMap.put("year",vo1.getYear());
        objectObjectHashMap.put("month",vo1.getMonth());
        objectObjectHashMap.put("data",result);
        return AjaxResult.success(objectObjectHashMap);
    }

    @ApiOperation("移动端-企业结构占比")
    @GetMapping(value = "/enterpriseStructure/{deptId}")
    public AjaxResult enterpriseStructure(@PathVariable("deptId") String deptId) {
        return cbGatherStatisticsBsqService.getEnterpriseStructure(deptId);
    }

    @ApiOperation("移动端-各个保税区本年各项进出口值占比")
    @GetMapping("/comprehensive/total/value/year/{deptId}")
    public AjaxResult getYearTotalValue(@PathVariable("deptId") Integer deptId) {
        // 获取当前年份有数据的最新月份
        CbGatherTmpVo vo = cbGatherStatisticsWbService.selectTmp(null);
        Map<Integer, Map<String, List<NormCollValueVo>>> totalValue = cbGatherStatisticsBsqService.getTotalValue(deptId, vo.getYear(), vo.getMonth());
        // 组装数据返回
        Map<String, Object> objectObjectHashMap = new HashMap<>();
        objectObjectHashMap.put("year",vo.getYear());
        objectObjectHashMap.put("month",vo.getMonth());
        objectObjectHashMap.put("data",totalValue);
        return AjaxResult.success(objectObjectHashMap);
    }

    @ApiOperation("仓库面积和产业定位等信息")
    @GetMapping(value = "/cangKuArea/{deptId}")
    public AjaxResult cangKuArea(@PathVariable("deptId") String deptId) {
        return AjaxResult.success(sysDeptMapper.selectById(Long.valueOf(deptId)));
    }
}
