package com.hjy.business.appuser.controller;

import com.hjy.common.core.domain.AjaxResult;
import com.hjy.common.core.page.TableDataInfo;
import com.hjy.module.service.news.ICbNewsService;
import com.hjy.module.vo.news.CbNewsVo;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.RequiredArgsConstructor;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @author hejizheng
 * @ClassName AppNewsController
 * @description: TODO
 * @date 2023年09月13日
 * @version: 1.0
 */
@Api(tags = "移动端网站新闻Controller")
@RestController
@RequestMapping("/app_api/news")
@RequiredArgsConstructor(onConstructor_ = @Autowired)
public class AppNewsController {
    private final ICbNewsService cbNewsService;

    @ApiOperation("查询网站新闻所有列表")
    @GetMapping("/listAll")
    public TableDataInfo<CbNewsVo> listAll(CbNewsVo entity) {
        return cbNewsService.queryList(entity);
    }
    @ApiOperation("获取网站新闻详细信息")
    @GetMapping(value = "/getInfo/{id}")
    public AjaxResult getInfo(@PathVariable("id") String id) {
        return AjaxResult.success("查询成功", cbNewsService.queryById(id));
    }

}
