package com.hjy.business.appuser.controller;

import com.hjy.common.core.controller.BaseController;
import com.hjy.common.core.domain.AjaxResult;
import com.hjy.common.core.domain.R;
import com.hjy.module.query.AppStatisQuery;
import com.hjy.module.query.FigureQuery;
import com.hjy.module.service.norm.ICbNormService;
import com.hjy.module.service.statistics.FigureService;
import com.hjy.module.vo.norm.CbNormVo;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.RequiredArgsConstructor;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

/**
 * @author hejizheng 移动端数据分析
 * @ClassName StatisController
 * @description: TODO
 * @date 2023年09月15日
 * @version: 1.0
 */
@Api(tags = "移动端数据分析")
@RestController
@RequestMapping("/app_api/statis")
@RequiredArgsConstructor(onConstructor_ = @Autowired)
public class StatisController extends BaseController {

    private final ICbNormService normService;

    private final FigureService figureService;

    @ApiOperation("指标类型")
    @GetMapping("/norm/AllList")
    public AjaxResult normAllList() {
        return AjaxResult.success(normService.queryAll(new CbNormVo()));
    }


    @ApiOperation("积分列表")
    @PostMapping("gather/List")
    public AjaxResult gatherAllList(@RequestBody AppStatisQuery appStatisQuery) {
        return AjaxResult.success(figureService.gatherAllList(appStatisQuery));
    }

    @ApiOperation("保税区积分详细")
    @PostMapping("gather/info")
    public AjaxResult gatherInfo(@RequestBody AppStatisQuery appStatisQuery) {
        return AjaxResult.success(figureService.gatherInfo(appStatisQuery));
    }

    @ApiOperation("获取同期数据对比数据")
    @PostMapping(value = "/getTQSJ")
    public R getTQSJ(@RequestBody FigureQuery figure) {
        return R.ok(figureService.getTQSJ(figure));
    }


}
