package com.hjy.modlue.gather;

import cn.hutool.json.JSONUtil;
import com.hjy.common.core.controller.BaseController;
import com.hjy.common.core.domain.AjaxResult;
import com.hjy.module.service.gather.ICbGatherFormulaService;
import com.hjy.module.vo.gather.CbGatherVo;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.RequiredArgsConstructor;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.script.ScriptException;

/**
 * 指标计算Controller
 *
 * @author lbl
 * @date 2023-10-13
 */
@Api(tags = "指标计算Controller")
@RestController
@RequestMapping("/gather/formula")
@RequiredArgsConstructor(onConstructor_ = @Autowired)
public class CbGatherFormulaController extends BaseController {

    private final ICbGatherFormulaService gatherFormulaService;

    @ApiOperation("计算指标采集值与同比值")
    @PostMapping("/compute")
    public AjaxResult computeCompireCalue(@RequestBody CbGatherVo entity) throws ScriptException {
        System.out.println(JSONUtil.toJsonStr(entity));
        /** 按照公式计算年度指标采集值 */
        boolean b = gatherFormulaService.computeCollCalue(entity);
        /** 计算同比值 */
        gatherFormulaService.computeCompireCalue(entity);
        /** 单独计算 进出口总值增幅(B007)、同期活跃企业数增幅(B008) 两个指标的同环比 */
        gatherFormulaService.tongbiToValue(entity);
        return AjaxResult.success();
    }

}
