package com.hjy.modlue.portalAPI;

import com.hjy.common.core.domain.AjaxResult;
import com.hjy.module.service.portal.ICbContactUsService;
import com.hjy.module.vo.portal.CbContactUsVo;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.RequiredArgsConstructor;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 门户联系我们Controller
 *
 * @author Tellsea
 * @date 2023-08-24
 */
@Api(tags = "门户联系我们查询Controller")
@RestController
@RequestMapping("/portal_api/CONTACTUS")
@RequiredArgsConstructor(onConstructor_ = @Autowired)
public class ContactUsController {

    private final ICbContactUsService cbContactUsService;

    @ApiOperation("查询联系我们所有列表")
    @GetMapping("/listAll")
    public AjaxResult listAll(CbContactUsVo entity) {
        return AjaxResult.success("查询成功", cbContactUsService.queryAll(entity));
    }


}
