package com.hjy.modlue.portalAPI;

import com.hjy.common.core.domain.AjaxResult;
import com.hjy.common.core.page.TableDataInfo;
import com.hjy.module.service.portal.ICbCounselingMessageService;
import com.hjy.module.vo.portal.CbCounselingMessageVo;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.RequiredArgsConstructor;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 门户资讯信息Controller
 *
 * @author Tellsea
 * @date 2023-08-31
 */
@Api(tags = "门户资讯信息Controller")
@RestController
@RequestMapping("/portal_api/COUNSELINGMESSAGE")
@RequiredArgsConstructor(onConstructor_ = @Autowired)
public class CounselingMessageController {
    private final ICbCounselingMessageService cbCounselingMessageService;


    @ApiOperation("查询资讯信息所有列表")
    @GetMapping("/listAll")
    public TableDataInfo<CbCounselingMessageVo> listAll(CbCounselingMessageVo entity) {
        return cbCounselingMessageService.queryList(entity);
    }

    @ApiOperation("获取资讯信息详细信息")
    @GetMapping(value = "/getInfo/{id}")
    public AjaxResult getInfo(@PathVariable("id") String id) {
        return AjaxResult.success("查询成功", cbCounselingMessageService.queryById(id));
    }
}
