package com.hjy.modlue.portalAPI;

import com.hjy.common.core.domain.AjaxResult;
import com.hjy.module.service.portal.ICbFriendlyLinksService;
import com.hjy.module.vo.portal.CbFriendlyLinksVo;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.RequiredArgsConstructor;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 门户友情链接Controller
 *
 * @author Tellsea
 * @date 2023-08-23
 */
@Api(tags = "门户友情链接查询Controller")
@RestController
@RequestMapping("/portal_api/FRIENDLYLINKS")
@RequiredArgsConstructor(onConstructor_ = @Autowired)
public class FriendlyLinksController {

    private final ICbFriendlyLinksService cbFriendlyLinksService;

    @ApiOperation("查询友情链接所有列表")
    @GetMapping("/listAll")
    public AjaxResult listAll(CbFriendlyLinksVo entity) {
        return AjaxResult.success("查询成功", cbFriendlyLinksService.queryAll(entity));
    }
}
