package com.hjy.modlue.portalAPI;

import com.hjy.common.core.domain.AjaxResult;
import com.hjy.module.service.portal.ICbMarkService;
import com.hjy.module.vo.portal.CbMarkVo;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.RequiredArgsConstructor;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 门户咨询标签查询Controller
 *
 * @author Tellsea
 * @date 2023-08-23
 */
@Api(tags = "门户咨询标签查询Controller")
@RestController
@RequestMapping("/portal_api/MARK")
@RequiredArgsConstructor(onConstructor_ = @Autowired)
public class MarkController {
    private final ICbMarkService cbMarkService;

    @ApiOperation("查询咨询标签所有列表")
    @GetMapping("/listAll")
    public AjaxResult listAll(CbMarkVo entity) {
        return AjaxResult.success("查询成功", cbMarkService.queryAll(entity));
    }

}
