package com.hjy.modlue.portalAPI;

import com.hjy.common.core.domain.AjaxResult;
import com.hjy.common.core.page.TableDataInfo;
import com.hjy.module.service.news.ICbNewsService;
import com.hjy.module.vo.news.CbNewsVo;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.RequiredArgsConstructor;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@Api(tags = "门户新闻查询相关接口")
@RestController
@RequestMapping("/portal_api/news")
@RequiredArgsConstructor(onConstructor_ = @Autowired)
public class NewsController {

    private final ICbNewsService cbNewsService;
    @ApiOperation("查询网站新闻所有列表")
    @GetMapping("/listAll")
    public TableDataInfo<CbNewsVo> listAll(CbNewsVo entity) {
        return cbNewsService.queryList(entity);
    }
    @ApiOperation("获取网站新闻详细信息")
    @GetMapping(value = "/getInfo/{id}")
    public AjaxResult getInfo(@PathVariable("id") String id) {
        return AjaxResult.success("查询成功", cbNewsService.queryById(id));
    }

}
