package com.hjy.modlue.portalAPI;

import com.hjy.common.core.domain.AjaxResult;
import com.hjy.module.service.portal.ICbOnlineService;
import com.hjy.module.vo.portal.CbOnlineVo;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.RequiredArgsConstructor;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 网上办事Controller
 *
 * @author Tellsea
 * @date 2023-08-24
 */
@Api(tags = "门户网上办事查询Controller")
@RestController
@RequestMapping("/portal_api/ONLINE")
@RequiredArgsConstructor(onConstructor_ = @Autowired)
public class OnlineController {

    private final ICbOnlineService cbOnlineService;

    @ApiOperation("查询网上办事所有列表")
    @GetMapping("/listAll")
    public AjaxResult listAll(CbOnlineVo entity) {
        return AjaxResult.success("查询成功", cbOnlineService.queryAll(entity));
    }
}
