package com.hjy.modlue.portalAPI;

import com.hjy.common.core.domain.AjaxResult;
import com.hjy.module.service.portal.ICbSystemService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.RequiredArgsConstructor;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 系统管理查询Controller
 *
 * @author Tellsea
 * @date 2023-09-08
 */
@Api(tags = "系统管理查询Controller")
@RestController
@RequestMapping("/portal_api/SYSTEM")
@RequiredArgsConstructor(onConstructor_ = @Autowired)
public class SystemController {
    private final ICbSystemService cbSystemService;


    @ApiOperation("获取系统管理详细信息")
    @GetMapping(value = "/getInfo/{id}")
    public AjaxResult getInfo(@PathVariable("id") String id) {
        return AjaxResult.success("查询成功", cbSystemService.queryById(id));
    }
}
