package com.hjy.modlue.portalAPI;

import com.hjy.common.core.domain.AjaxResult;
import com.hjy.module.service.portal.ICbWebsiteService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.RequiredArgsConstructor;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 门户网站管理Controller
 *
 * @author Tellsea
 * @date 2023-08-29
 */
@Api(tags = "门户网站管理Controller")
@RestController
@RequestMapping("/portal_api/WEBSITE")
@RequiredArgsConstructor(onConstructor_ = @Autowired)
public class WebsiteController {

    private final ICbWebsiteService cbWebsiteService;

    @ApiOperation("获取网站管理详细信息")
    @GetMapping(value = "/getInfo/{id}")
    public AjaxResult getInfo(@PathVariable("id") String id) {
        return AjaxResult.success( "查询成功", cbWebsiteService.queryById(id));
    }

}
