package com.hjy.modlue.portalAPI;

import com.hjy.common.annotation.Log;
import com.hjy.common.annotation.PortalAuth;
import com.hjy.common.core.controller.BaseController;
import com.hjy.common.core.domain.AjaxResult;
import com.hjy.common.enums.BusinessType;
import com.hjy.common.utils.SecurityUtils;
import com.hjy.module.service.portal.ICbLeaveMessageService;
import com.hjy.module.vo.portal.CbLeaveMessageVo;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.RequiredArgsConstructor;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 门户留言反馈Controller
 *
 * @author Tellsea
 * @date 2023-08-24
 */
@Api(tags = "门户留言反馈Controller")
@RestController
@RequestMapping("/portal_api/leave_message")
@RequiredArgsConstructor(onConstructor_ = @Autowired)
public class leaveMessageController extends BaseController {
    private final ICbLeaveMessageService cbLeaveMessageService;


    @ApiOperation("新增留言反馈")
    @PortalAuth
    @Log(title = "留言反馈", businessType = BusinessType.INSERT)
    @PostMapping("/add")
    public AjaxResult add(@RequestBody CbLeaveMessageVo entity) {
        entity.setUserId(SecurityUtils.getPortalUser().getId());
        entity.setAnsName(SecurityUtils.getPortalUser().getNickName());
        entity.setType("0");
        entity.setSource("1");
        return toAjax(cbLeaveMessageService.save(entity));
    }

}
