package com.hjy.modlue.statistics;

import com.hjy.common.core.domain.R;
import com.hjy.module.query.FigureQuery;
import com.hjy.module.service.statistics.FigureService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.RequiredArgsConstructor;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 图形报表API
 */
@Api(tags = "图形报表API")
@RestController
@RequestMapping("/figure")
@RequiredArgsConstructor(onConstructor_ = @Autowired)
public class FigureDataController {

    private final FigureService figureService;

    @ApiOperation("获取指标参数排名数据")
    @PostMapping(value = "/getZBCS")
    public R getZBCS(@RequestBody FigureQuery figure) {
        return R.ok(figureService.getZBCS(figure));
    }


    @ApiOperation("获取同期数据对比数据")
    @PostMapping(value = "/getTQSJ")
    public R getTQSJ(@RequestBody FigureQuery figure) {
        return R.ok(figureService.getTQSJ(figure));
    }

    @ApiOperation("获取指标总量数据")
    @PostMapping(value = "/getZBZL")
    public R getZBZL(@RequestBody FigureQuery figure) {
        return R.ok(figureService.getZBZL(figure));
    }

    @ApiOperation("获取得分总量数据")
    @PostMapping(value = "/getDFZL")
    public R getDFZL(@RequestBody FigureQuery figure) {
        return R.ok(figureService.getDFZL(figure));
    }

    @ApiOperation("获取得分占比数据")
    @PostMapping(value = "/getDFZB")
    public R getDFZB(@RequestBody FigureQuery figure) {
        return R.ok(figureService.getDFZB(figure));
    }

    @ApiOperation("获取指标分数值数据")
    @PostMapping(value = "/getZBFS")
    public R getZBFS(@RequestBody FigureQuery figure) {
        return R.ok(figureService.getZBFS(figure));
    }




}
