package com.hjy.module.domain.apiconfig;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.hjy.common.annotation.Excel;
import com.hjy.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import lombok.experimental.Accessors;

/**
 * 数据接口api配置对象 CB_API_CONFIG
 *
 * @author Tellsea
 * @date 2023-09-01
 */
@Data
@Accessors(chain = true)
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = true)
public class CbApiConfig extends BaseEntity {
    @TableId(type = IdType.ASSIGN_ID)
    @Excel(name = "主键")
    private String id;

    /**
     * 删除标志
     */
    @TableField(fill = FieldFill.INSERT)
    @Excel(name = "删除标志")
    private String delFlag;

    /**
     * 部门ID
     */
    @TableField(fill = FieldFill.INSERT)
    @Excel(name = "部门ID")
    private String deptId;

    /**
     * 接口编号
     */
    @ApiModelProperty("接口编号")
    @Excel(name = "接口编号")
    private String apiCode;

    /**
     * 接口名称
     */
    @ApiModelProperty("接口名称")
    @Excel(name = "接口名称")
    private String apiName;

    /**
     * 接口url
     */
    @ApiModelProperty("接口url")
    @Excel(name = "接口url")
    private String apiUrl;

    /**
     * 请求参数示例
     */
    @ApiModelProperty("请求参数示例")
    @Excel(name = "请求参数示例")
    private String request;

    /**
     * 是否启用(1=启用,0=不启用)
     */

    @ApiModelProperty("是否启用(1=启用,0=不启用)")

    @Excel(name = "是否启用(1=启用,0=不启用)")
    private String status;

    /**
     * 配置协议
     */
    @ApiModelProperty("配置协议")

    @Excel(name = "配置协议")
    private String accord;

    /**
     * 是否启用分布式线程(1=启用,0=不启用)
     */
    @ApiModelProperty("是否启用分布式线程(1=启用,0=不启用)")

    @Excel(name = "是否启用分布式线程(1=启用,0=不启用)")
    private String hadoopFlag;

    /**
     * 是否数据加密(1=启用,0=不启用)
     */
    @ApiModelProperty("是否数据加密(1=启用,0=不启用)")

    @Excel(name = "是否数据加密(1=启用,0=不启用)")
    private String thickenFlag;

    /**
     * 接口链接状态(1=成功,0=失败)
     */
    @ApiModelProperty("接口链接状态(1=成功,0=失败)")

    @Excel(name = "接口链接状态(1=成功,0=失败)")
    private String linkStatus;

    /**
     * 备注
     */
    @ApiModelProperty("备注")

    @Excel(name = "备注")
    private String remark;

}
