package com.hjy.module.domain.article;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.hjy.common.annotation.Excel;
import com.hjy.common.core.domain.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import lombok.experimental.Accessors;

/**
 * 重点项目管理对象 CB_ARTICLE
 *
 * @author Tellsea
 * @date 2023-09-19
 */
@Data
@Accessors(chain = true)
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = true)
public class CbArticle extends BaseEntity {

    /**
     * 主键id
     */
    @TableId(type = IdType.ASSIGN_ID)
    @Excel(name = "主键id")
    private String id;

    /**
     * 删除标识
     */
    @TableField(fill = FieldFill.INSERT)
    @Excel(name = "删除标识")
    private String delFlag;

    /**
     * 部门标识
     */
    @TableField(fill = FieldFill.INSERT)
    @Excel(name = "部门标识")
    private String deptId;

    /**
     * 项目名称
     */
    @Excel(name = "项目名称")
    private String atvName;

    /**
     * 建设规模
     */
    @Excel(name = "建设规模")
    private String scale;

    /**
     * 建设内容
     */
    @Excel(name = "建设内容")
    private String content;

    /**
     * 年度投资计划
     */
    @Excel(name = "年度投资计划")
    private Double plan;

    /**
     * 实际完成投资额
     */
    @Excel(name = "实际完成投资额")
    private Double reality;

    /**
     * 完成百分比
     */
    @Excel(name = "完成百分比")
    private Double retio;

    /**
     * 形象进度
     */
    @Excel(name = "形象进度")
    private String schedule;

    /**
     * 部门名称
     */
    @Excel(name = "部门名称")
    private String deptName;

    /**
     * 审核状态
     */
    @Excel(name = "审核状态")
    private Integer status;

    /**
     * 总投资金额
     */
    @Excel(name = "总投资金额")
    private String totalPlan;

}
