package com.hjy.module.domain.auxiliary;

import com.hjy.common.annotation.Excel;
import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.hjy.common.core.domain.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import lombok.experimental.Accessors;

/**
 * 通关视频对象 TB_AUXILIARY_VIDEO
 *
 * @author Tellsea
 * @date 2024-06-18
 */
@Data
@Accessors(chain = true)
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = true)
public class AuxiliaryVideo extends BaseEntity {

    /**
     * $column.columnComment
     */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String id;

    /**
     * 标题
     */
    @Excel(name = "标题")
    private String title;

    /**
     * 封面
     */
    @Excel(name = "封面")
    private String cover;

    /**
     * 视频地址
     */
    @Excel(name = "视频地址")
    private String sourcePath;

    /**
     * 是否置顶 0 1
     */
    @Excel(name = "是否置顶")
    private Integer topFlat;

    /**
     * 排序
     */
    @Excel(name = "排序")
    private Integer sort;

    /**
     * 来源
     */
    @Excel(name = "来源")
    private String sourceFrom;

}
