package com.hjy.module.domain.commom;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.hjy.common.annotation.Excel;
import com.hjy.common.core.domain.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import lombok.experimental.Accessors;

/**
 * 业务变更历史表对象 CB_SYSTEM_HIS
 *
 * @author Tellsea
 * @date 2023-08-24
 */
@Data
@Accessors(chain = true)
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = true)
public class CbSystemHis extends BaseEntity {

    /**
     * id
     */
    @TableId(type = IdType.ASSIGN_ID)
    @Excel(name = "id")
    private String id;

    /**
     * 删除标识
     */
    @TableField(fill = FieldFill.INSERT)
    @Excel(name = "删除标识")
    private String delFlag;

    /**
     * 部门id
     */
    @TableField(fill = FieldFill.INSERT)
    @Excel(name = "部门id")
    private String deptId;

    /**
     * 相关业务模块
     */
    @Excel(name = "相关业务模块")
    private String module;

    /**
     * 相关业务模块备注
     */
    @Excel(name = "相关业务模块备注")
    private String remark;

    /**
     * 相关业务id
     */
    @Excel(name = "相关业务id")
    private String fromId;

    /**
     * 相关业务json
     */
    @Excel(name = "相关业务json")
    private String fromJson;

}
