package com.hjy.module.domain.garden;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.hjy.common.annotation.Excel;
import com.hjy.common.core.domain.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import lombok.experimental.Accessors;

/**
 * 保税区大屏所需数据对象 TB_BONDED_SCREEN_DATA
 *
 * @author Tellsea
 * @date 2023-09-28
 */
@Data
@Accessors(chain = true)
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = true)
public class TbBondedScreenData extends BaseEntity {

    /**
     * 主键
     */
    @Excel(name = "主键")
    @TableId(type = IdType.ASSIGN_ID)
    private String id;

    /**
     * 保税区主键
     */
    @Excel(name = "保税区主键")
    private String deptId;

    /**
     * 设施类型[1=标仓,2=冷库,3=油房,4=厂房]
     */
    @Excel(name = "设施类型[1=标仓,2=冷库,3=油房,4=厂房]")
    private String type;

    /**
     * 设施面积
     */
    @Excel(name = "设施面积")
    private String totalArea;

    /**
     * 已用面积
     */
    @Excel(name = "已用面积")
    private String useArea;

}
