package com.hjy.module.domain.garden;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.hjy.common.annotation.Excel;
import com.hjy.common.core.domain.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import lombok.experimental.Accessors;

/**
 * 保税区供应链数据对象 TB_BONDED_UPPLY
 *
 * @author Tellsea
 * @date 2023-10-11
 */
@Data
@Accessors(chain = true)
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = true)
public class TbBondedUpply extends BaseEntity {

    /**
     * 供应链主键
     */
    @Excel(name = "供应链主键")
    @TableId(type = IdType.ASSIGN_ID)
    private String id;

    /**
     * 保税区主键
     */
    @Excel(name = "保税区主键")
    private String deptId;

    /**
     * 报关单币种统计
     */
    @Excel(name = "报关单币种统计 ")
    private String bgdbztj;

    /**
     * 申报单位名称
     */
    @Excel(name = "申报单位名称 ")
    private String sbdwmc;

    /**
     * 录单单位编码名称
     */
    @Excel(name = "录单单位编码名称 ")
    private String lddwbmmc;

    /**
     * 录单单位名称
     */
    @Excel(name = "录单单位名称 ")
    private String lddwmc;

    /**
     * 进出口标志
     */
    @Excel(name = "进出口标志 ")
    private String jckbz;

    /**
     * 进出口日期
     */
    @Excel(name = "进出口日期 ")
    private String jckrq;

    /**
     * 净重
     */
    @Excel(name = "净重 ")
    private String jz;

    /**
     * 净值
     */
    @Excel(name = "净值 ")
    private String jingzhi;

    /**
     * 件数
     */
    @Excel(name = "件数 ")
    private String js;

    /**
     * 境内收发货人编号
     */
    @Excel(name = "境内收发货人编号 ")
    private String jnsfhrbh;

    /**
     * 境内收发货人名称
     */
    @Excel(name = "境内收发货人名称 ")
    private String jnsfhrmc;

    /**
     * 境外发货人代码
     */
    @Excel(name = "境外发货人代码 ")
    private String jwfhrdm;

    /**
     * 境外收发货人名称
     */
    @Excel(name = "境外收发货人名称 ")
    private String jwsfhrmc;

    /**
     * 境外收发货人地址
     */
    @Excel(name = "境外收发货人地址 ")
    private String jwsfhrdz;

    /**
     * 启运日期
     */
    @Excel(name = "启运日期 ")
    private String qyrq;

    /**
     * 卸毕日期
     */
    @Excel(name = "卸毕日期 ")
    private String xbrq;

    /**
     * 报关单货种统计
     */
    @Excel(name = "报关单货种统计 ")
    private String bgdhztj;

    /**
     * 申报单位编码名称
     */
    @Excel(name = "申报单位编码名称 ")
    private String sbdwbmmc;

    /**
     * 经停港/指运港
     */
    @Excel(name = "经停港/指运港 ")
    private String jtgzyg;

    /**
     * 运输方式
     */
    @Excel(name = "运输方式 ")
    private String ysfs;

    /**
     * 进出境关别
     */
    @Excel(name = "进出境关别 ")
    private String jcjgb;

    /**
     * 启运国/运抵国
     */
    @Excel(name = "启运国/运抵国 ")
    private String qygydg;

    /**
     * 贸易国别
     */
    @Excel(name = "贸易国别 ")
    private String mygb;

}
