package com.hjy.module.domain.garden;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.hjy.common.annotation.Excel;
import com.hjy.common.core.domain.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import lombok.experimental.Accessors;

/**
 * 综合保税区经济运行主要指标对象 TB_ECONOMICS_INDEX
 *
 * @author Mechrevo
 * @date 2023-09-27
 */
@Data
@Accessors(chain = true)
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = true)
public class TbEconomicsIndex extends BaseEntity {

    /**
     * 综合保税区经济运行主要指标表主键
     */
    @Excel(name = "综合保税区经济运行主要指标表主键")
    @TableId(type = IdType.ASSIGN_ID)
    private String id;

    /**
     * 综合保税区主键
     */
    @Excel(name = "综合保税区主键")
    private String deptId;

    /**
     * 进出口总值
     */
    @Excel(name = "进出口总值 ")
    private Double jckzz;

    /**
     * 加工贸易进出口值
     */
    @Excel(name = "加工贸易进出口值 ")
    private Double jgmyjckz;

    /**
     * 物流货物进出口值
     */
    @Excel(name = "物流货物进出口值 ")
    private Double wlhwjckz;

    /**
     * 一般贸易进出口值
     */
    @Excel(name = "一般贸易进出口值 ")
    private Double ybmyjckz;

    /**
     * 经营总收入
     */
    @Excel(name = "经营总收入 ")
    private Double jyzsr;

    /**
     * 海关税收
     */
    @Excel(name = "海关税收 ")
    private Double hgss;

    /**
     * 税务部门税收
     */
    @Excel(name = "税务部门税收 ")
    private Double swbmss;

    /**
     * 货物贸易涉外收支总额
     */
    @Excel(name = "货物贸易涉外收支总额 ")
    private Double hwmyswszze;

    /**
     * 期末企业从业人员
     */
    @Excel(name = "期末企业从业人员 ")
    private Double qmqycyry;

    /**
     * 活跃企业数
     */
    @Excel(name = "活跃企业数 ")
    private Double hyqys;

    /**
     * 单位面积进出口值
     */
    @Excel(name = "单位面积进出口值 ")
    private Double dwmjjckz;

    /**
     * 单位面积经营总收入
     */
    @Excel(name = "单位面积经营总收入 ")
    private Double dwmjjyzsr;

    /**
     * 单位面积海关税收
     */
    @Excel(name = "单位面积海关税收 ")
    private Double dwmjhgss;

    /**
     * 单位面积税务部门税收
     */
    @Excel(name = "单位面积税务部门税收 ")
    private Double dwmjswbmss;

    /**
     * 单位面积货物贸易涉外收支额
     */
    @Excel(name = "单位面积货物贸易涉外收支额 ")
    private Double dwmjhwmyswsze;

    /**
     * 期末单位面积企业从业人员
     */
    @Excel(name = "期末单位面积企业从业人员 ")
    private Double qmdwmjqycyry;

    /**
     * 进出口总值增幅
     */
    @Excel(name = "进出口总值增幅 ")
    private Double jckzzzf;

    /**
     * 同期活跃企业数增幅
     */
    @Excel(name = "同期活跃企业数增幅 ")
    private Double tqhyqyszf;

    /**
     * 期末批准规划面积验收率
     */
    @Excel(name = "期末批准规划面积验收率 ")
    private Double qmpzghmjysl;

    /**
     * 期末封闭围网面积开发率
     */
    @Excel(name = "期末封闭围网面积开发率 ")
    private Double qmfbwwmjkfl;

    /**
     * 实际使用外资金额
     */
    @Excel(name = "实际使用外资金额 ")
    private Double sjsywzje;

    /**
     * 进出区货物总值（二线业务）
     */
    @Excel(name = "进出区货物总值", readConverterExp = "二=线业务")
    private Double jcqhwzz;

    /**
     * 进出口总值占其所在省（区、市）同期进出口比重
     */
    @Excel(name = "进出口总值占其所在省", readConverterExp = "区=、市")
    private Double jckzzzqszstqjckbz;

    /**
     * 维修业务进出口值
     */
    @Excel(name = "维修业务进出口值 ")
    private Double wxywjckz;

    /**
     * 研发业务进出口值
     */
    @Excel(name = "研发业务进出口值 ")
    private Double yfywjckz;

    /**
     * 租赁贸易进出口值
     */
    @Excel(name = "租赁贸易进出口值 ")
    private Double zlmyjckz;

    /**
     * 跨境电商业务进出口值
     */
    @Excel(name = "跨境电商业务进出口值 ")
    private Double kjdsywjckz;

    /**
     * 规模以上工业产值
     */
    @Excel(name = "规模以上工业产值 ")
    private Double gmysgycz;

    /**
     * 固定资产投资
     */
    @Excel(name = "固定资产投资 ")
    private Double gdtzcz;

    /**
     * 占同期所在市进出口值比重
     */
    @Excel(name = "占同期所在市进出口值比重 ")
    private Double ztqszsjckzbz;

    /**
     * 报表时间
     */
    @Excel(name = "报表时间 ")
    private String statementTime;

}
