package com.hjy.module.domain.garden;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.hjy.common.annotation.Excel;
import com.hjy.common.core.domain.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import lombok.experimental.Accessors;

/**
 * 企业大屏所需供应商数据对象 TB_ENTERPRISE_SCREEN_DATA
 *
 * @author Tellsea
 * @date 2023-10-11
 */
@Data
@Accessors(chain = true)
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = true)
public class TbEnterpriseScreenData extends BaseEntity {

    /**
     * 企业大屏所需数据主键
     */
    @Excel(name = "企业大屏所需数据主键")
    @TableId(type = IdType.ASSIGN_ID)
    private String id;

    /**
     * 企业名称
     */
    @Excel(name = "企业名称")
    private String enterpriseName;

    /**
     * 供应商名称 
     */
    @Excel(name = "供应商名称 ")
    private String providerName;

    /**
     * 供应商类型(三种) 
     */
    @Excel(name = "供应商类型(三种) ")
    private String providerType;

    /**
     * 部门主键
     */
    @Excel(name = "部门主键")
    private String deptId;

}
