package com.hjy.module.domain.garden;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.hjy.common.annotation.Excel;
import com.hjy.common.core.domain.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import lombok.experimental.Accessors;

/**
 * 企业贸易绩效数据（每个月填报）对象 TB_ENTERPRISE_TRADE_PERFORMANCE
 *
 * @author Tellsea
 * @date 2023-10-11
 */
@Data
@Accessors(chain = true)
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = true)
public class TbEnterpriseTradePerformance extends BaseEntity {

    /**
     * 企业贸易绩效数据（每个月填报）主键
     */
    @Excel(name = "企业贸易绩效数据", readConverterExp = "每=个月填报")
    @TableId(type = IdType.ASSIGN_ID)
    private String id;

    /**
     * 部门id
     */
    @Excel(name = "部门id")
    private String deptId;

    /**
     * 规模以上工业产值（万元）
     */
    @Excel(name = "规模以上工业产值", readConverterExp = "万=元")
    private Double gmysgycz;

    /**
     * 企业名称
     */
    @Excel(name = "企业名称")
    private String deptName;
    /**
     * 年份
     */
    @Excel(name = "年份")
    private String year;
    /**
     * 月份
     */
    @Excel(name = "月份")
    private String month;

    /**
     * 固定资产投资（万元）
     */
    @Excel(name = "固定资产投资", readConverterExp = "万=元")
    private String gdzctz;

    /**
     * 资产分类
     */
    @Excel(name = "资产分类 ")
    private String zcfl;

    /**
     * 主要贸易国家
     */
    @Excel(name = "主要贸易国家 ")
    private String zymygj;

    /**
     * 电子账册分类
     */
    @Excel(name = "电子账册分类 ")
    private String dzzcfl;

    /**
     * 进、出口总值（万元）
     */
    @Excel(name = "进、出口总值", readConverterExp = "万=元")
    private Double jckzz;

    /**
     * 进口总值（万元）
     */
    @Excel(name = "进口总值", readConverterExp = "万=元")
    private Double jkzz;

    /**
     * 出口总值（万元）
     */
    @Excel(name = "出口总值", readConverterExp = "万=元")
    private Double ckzz;

    /**
     * 加工贸易进出口值
     */
    @Excel(name = "加工贸易进出口值 ")
    private Double jgmyjckz;

    /**
     * 物流货物进出口值
     */
    @Excel(name = "物流货物进出口值 ")
    private Double wlhwjckz;

    /**
     * 一般贸易进出口值
     */
    @Excel(name = "一般贸易进出口值 ")
    private Double ybmyjckz;

    /**
     * 海关税收（万元）
     */
    @Excel(name = "海关税收", readConverterExp = "万=元")
    private Double hgss;

    /**
     * 税务部门税收（万元）
     */
    @Excel(name = "税务部门税收", readConverterExp = "万=元")
    private Double swbmss;

    /**
     * 期末企业从业人员（人）
     */
    @Excel(name = "期末企业从业人员", readConverterExp = "人=")
    private String qmqycyry;

    /**
     * 实际使用外资金额（万元）
     */
    @Excel(name = "实际使用外资金额", readConverterExp = "万=元")
    private Double sjsywzje;

    /**
     * 维修业务进出口值
     */
    @Excel(name = "维修业务进出口值 ")
    private String wxyejckz;

    /**
     * 研发业务进出口值
     */
    @Excel(name = "研发业务进出口值 ")
    private String yfywjckz;

    /**
     * 租赁贸易进出口值
     */
    @Excel(name = "租赁贸易进出口值 ")
    private String zlmyjckz;

    /**
     * 跨境电商业务进出口值
     */
    @Excel(name = "跨境电商业务进出口值 ")
    private String kjdsywjckz;

    /**
     * 保税区部门id
     */
    @Excel(name = "保税区部门id ")
    private String bsqDeptId;

    /**
     * 经营收入
     */
    @Excel(name = "经营收入 ")
    private Double jysr;

}
