package com.hjy.module.domain.garden;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.hjy.common.annotation.Excel;
import com.hjy.common.annotation.PageDict;
import com.hjy.common.annotation.ResVoDict;
import com.hjy.common.core.domain.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import lombok.experimental.Accessors;

/**
 * 园区内企业基础数据对象 TB_GARDEN_BASE_DATA
 *
 * @author Tellsea
 * @date 2023-10-11
 */
@Data
@Accessors(chain = true)
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = true)
public class TbGardenBaseData extends BaseEntity {

    /**
     * 园区内企业基础数据主键
     */
    @TableId(type = IdType.ASSIGN_ID)
    private String id;


    /**
     * 企业名称
     */
    @Excel(name = "企业名称")
    private String deptName;

    /**
     * 部门主键
     */
    private String deptId;
    /**
     * 上级ID
     */
    @PageDict(dicCode = "dept_id", dicText = "dept_name", dictTable = "sys_dept")
    @ResVoDict(dicCode = "dept_id", dicText = "dept_name", dictTable = "sys_dept")
    private String parentId;
    /**
     * 部门主键
     */
    @Excel(name = "园区企业分类")
    private String yqqyfl;

    /**
     * 法定代表人 
     */
    @Excel(name = "法定代表人 ")
    private String fddbr;

    /**
     * 企业代表联系方式 
     */
    @Excel(name = "企业代表联系方式 ")
    private String qydblxfs;

    /**
     * 控股企业 
     */
    @Excel(name = "控股企业 ")
    private String kgqy;

    /**
     * 注册资金（万元） 
     */
    @Excel(name = "注册资金", readConverterExp = "万=元")
    private String zczj;

    /**
     * 行业大类 
     */
    @Excel(name = "行业大类 ")
    private String hydl;

    /**
     * 行业小类 
     */
    @Excel(name = "行业小类 ")
    private String hyxl;

    /**
     * 企业类型 
     */
    @Excel(name = "企业类型 ")
    private String qylx;

    /**
     * 是否外资企业 
     */
    @Excel(name = "是否外资企业 ")
    private String sfwzqy;

    /**
     * 经营状态 
     */
    @Excel(name = "经营状态 ")
    private String jyzt;

    /**
     * 统一社会信用代码 
     */
    @Excel(name = "统一社会信用代码 ")
    private String shtyxydm;

    /**
     * 企业海关编码 
     */
    @Excel(name = "企业海关编码 ")
    private String qyhgbm;

    /**
     * 人员规模（人数） 
     */
    @Excel(name = "人员规模", readConverterExp = "人=数")
    private String rygm;

    /**
     * 成立日期 
     */
    @Excel(name = "成立日期 ")
    private String clrq;

    /**
     * 投产时间 
     */
    @Excel(name = "投产时间 ")
    private String tcsj;

    /**
     * 经营期限自 
     */
    @Excel(name = "经营期限自 ")
    private String jyqxz;

    /**
     * 经营期限至 
     */
    @Excel(name = "经营期限至 ")
    private String jyqxz1;

    /**
     * 注册地址 
     */
    @Excel(name = "注册地址 ")
    private String zcdz;

    /**
     * 主营业务 
     */
    @Excel(name = "主营业务 ")
    private String zyyw;

    /**
     * 经营范围 
     */
    @Excel(name = "经营范围 ")
    private String jyfw;

    /**
     * 企业资质 
     */
    @Excel(name = "企业资质 ")
    private String qyzz;

    /**
     * 主要市场 
     */
    @Excel(name = "主要市场 ")
    private String zysc;

    /**
     * 一般纳税人情况 
     */
    @Excel(name = "一般纳税人情况 ")
    private String ybnsrqk;

    /**
     * 国家级奖项、发明专利 
     */
    @Excel(name = "国家级奖项、发明专利 ")
    private String gjjjxfmzl;

    /**
     * AEO情况 
     */
    @Excel(name = "AEO情况 ")
    private String aeoqk;

    /**
     * 检测、服务外包、文化服务创新 
     */
    @Excel(name = "检测、服务外包、文化服务创新 ")
    private String jcfwwbwhfwcx;

    /**
     * 外汇等级
     */
    @Excel(name = "外汇等级（1=A 2=B 3=C 4=D）",readConverterExp = "1=A,2=B,3=C,4=D")
    private Integer grade;

    /**
     * 企业结构
     */
    @Excel(name = "企业结构")
    private String enterpriseStructure;

    /**
     * 企业结构排序
     */
    private String enterpriseStructureSort;

    /**
     * 企业结构键值
     */
    private String enterpriseStructureValue;

    /**
     * 企业业务
     */
    @Excel(name = "企业业务")
    private String businessEvents;

    /**
     * 企业业务排序
     */
    private String businessEventsSort;

    /**
     * 企业业务键值
     */
    private String businessEventsValue;

}
