package com.hjy.module.domain.garden;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.hjy.common.annotation.Excel;
import com.hjy.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import lombok.experimental.Accessors;

/**
 * 园区贸易数据对象 TB_GARDEN_TRADE_DATA
 *
 * @author Mechrevo
 * @date 2023-09-26
 */
@Data
@Accessors(chain = true)
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = true)
public class TbGardenTradeData extends BaseEntity {

    /**
     * 园区ID
     */
    @Excel(name = "园区ID")
    @TableId(type = IdType.ASSIGN_ID)
    private String gardenId;

    /**
     * 保税区ID
     */
    @Excel(name = "保税区ID")
    private String deptId;

    /**
     * 企业出口退税额 
     */
    @Excel(name = "企业出口退税额 ")
    private Double companyDrawback;

    /**
     * 园区出口退税总额 
     */
    @Excel(name = "园区出口退税总额 ")
    private Double gardenDrawback;

    /**
     * 园区运营单位缴税总额 
     */
    @Excel(name = "园区运营单位缴税总额 ")
    private Double gardenTax;

    /**
     * 企业承接单量 
     */
    @Excel(name = "企业承接单量 ")
    private Integer companyLists;

    /**
     * 园区承接单总量 
     */
    @Excel(name = "园区承接单总量 ")
    private Integer gardenLits;

    /**
     * 企业创新获奖量 
     */
    @Excel(name = "企业创新获奖量 ")
    private Integer companyInnovative;

    /**
     * 园区内创新获奖总量 
     */
    @Excel(name = "园区内创新获奖总量 ")
    private Integer gardenInnovative;

    /**
     * 企业工业用水、用电量 
     */
    @Excel(name = "企业工业用水量 ")
    private Double companyWaterElectric;

    /**
     * 园区工业用水、用电总量 
     */
    @Excel(name = "园区工业用水总量 ")
    private Double gardenWaterElectric;

    @Excel(name = "企业工业用电量 ")
    private Double companyElectric;

    @Excel(name = "园区工业用电总量 ")
    private Double gardenElectric;

    @ApiModelProperty("保税区id")
    private String cbId;

    @ApiModelProperty("年份")
    private String year;

    @ApiModelProperty("月份")
    private String month;

}
