package com.hjy.module.domain.garden;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.hjy.common.annotation.Excel;
import com.hjy.common.annotation.PageDict;
import com.hjy.common.annotation.ResVoDict;
import com.hjy.common.core.domain.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import lombok.experimental.Accessors;

/**
 * 重点项目数据							 对象 TB_IMPORTANT_PROJECT
 *
 * @author Tellsea
 * @date 2023-10-11
 */
@Data
@Accessors(chain = true)
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = true)
public class TbImportantProject extends BaseEntity {

    /**
     * 重点项目数据	主键
     */
    @Excel(name = "重点项目数据	主键")
    @TableId(type = IdType.ASSIGN_ID)
    private String id;

    /**
     * 项目名称
     */
    @Excel(name = "项目名称 ")
    private String xmmc;

    /**
     * 建设单位
     */
    @Excel(name = "建设单位 ")
    @PageDict(dicCode = "dept_id", dicText = "dept_name", dictTable = "sys_dept")
    @ResVoDict(dicCode = "dept_id", dicText = "dept_name", dictTable = "sys_dept")
    private String jsdw;

    /**
     * 承建单位
     */
    @Excel(name = "承建单位 ")
    @PageDict(dicCode = "dept_id", dicText = "dept_name", dictTable = "sys_dept")
    @ResVoDict(dicCode = "dept_id", dicText = "dept_name", dictTable = "sys_dept")
    private String cjdw;

    /**
     * 建设规模
     */
    @Excel(name = "建设规模 ")
    private String jsgm;

    /**
     * 建设内容
     */
    @Excel(name = "建设内容 ")
    private String jsnr;

    /**
     * 年度投资计划
     */
    @Excel(name = "年度投资计划 ")
    private String ndtzjh;

    /**
     * 实际完成投资额
     */
    @Excel(name = "实际完成投资额 ")
    private String sjwctze;

    /**
     * 年度投资完成百分比
     */
    @Excel(name = "年度投资完成百分比 ")
    private String ndtzwcbfb;

    /**
     * 部门主键,根据[建设单位 ]获得
     */
    @Excel(name = "部门主键,根据[建设单位 ]获得")
    @PageDict(dicCode = "dept_id", dicText = "dept_name", dictTable = "sys_dept")
    @ResVoDict(dicCode = "dept_id", dicText = "dept_name", dictTable = "sys_dept")
    private String deptId;

}
