package com.hjy.module.domain.gether;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.hjy.common.annotation.Excel;
import com.hjy.common.annotation.PageDict;
import com.hjy.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * 数据采集对象 CB_GATHER
 *
 * @author Tellsea
 * @date 2023-08-30
 */
@Data
@Accessors(chain = true)
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = true)
public class CbGather extends BaseEntity {

    /**
     * $column.columnComment
     */
    @TableId(type = IdType.ASSIGN_ID)
    private String id;

    /**
     * 采集人
     */
    @Excel(name = "采集人")
    private String collName;

    /**
     * 驳回备注
     */
    @Excel(name = "驳回备注")
    private String remark;

//    /**
//     * 提交审核
//     */
//    @Excel(name = "提交审核")
//    private String audit;
//    /**
//     * 提交审核时间
//     */
//    @Excel(name = "提交审核时间")
//    private Date auditTime;

    /**
     * 采集时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "采集时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date collTime;

    /**
     * 上报人
     */
    @Excel(name = "上报人")
    private String reportName;

    /**
     * 上报时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "上报时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date reportTime;

    /**
     * 审核人
     */
    @Excel(name = "审核人")
    private String approveName;

    /**
     * 审核时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "审核时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date approveTime;


    /**
     * 删除标识
     */
    @TableField(fill = FieldFill.INSERT)
    @Excel(name = "删除标识")
    private String delFlag;

    /**
     * 部门id
     */
    @PageDict(dicCode = "dept_id", dicText = "dept_name", dictTable = "sys_dept")
    @TableField(fill = FieldFill.INSERT)
    @Excel(name = "部门id")
    private String deptId;

    /**
     * 数据类型(0=量化指标数据,1=月报表数据)
     */
    @ApiModelProperty("数据类型(0=量化指标数据,1=月报表数据)")
    @Excel(name = "数据类型(0=量化指标数据,1=月报表数据)")
    private String type;

    /**
     * 月份
     */
    @ApiModelProperty("月份")
    @Excel(name = "月份")
    private String month;

    /**
     * 年份
     */
    @ApiModelProperty("年份")
    @Excel(name = "年份")
    private String year;

    /**
     * 采集状态(0=未采集,1=已采集)
     */
    @ApiModelProperty("采集状态(0=未采集,1=已采集,2=草稿)")
    @Excel(name = "采集状态(0=未采集,1=已采集,2=草稿)")
    private String collStatus;

    /**
     * 上报状态(0=未上报,=1已上报)
     */
    @ApiModelProperty("上报状态(0=未上报,=1已上报)")
    @Excel(name = "上报状态(0=未上报,=1已上报)")
    private String reportStatus;

    /**
     * 审核状态(0=未审核,1审核中,2=审核通过,3=审核拒绝)
     */
    @ApiModelProperty("审核状态(0=未审核,1审核中,2=审核通过,3=审核拒绝)")
    @Excel(name = "审核状态(0=未审核,1=审核中,2=审核通过,3=审核拒绝)")
    private String approveStatus;

}
