package com.hjy.module.domain.gether;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.hjy.common.annotation.Excel;
import com.hjy.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import lombok.experimental.Accessors;

import java.math.BigDecimal;

/**
 * 数据采集明细对象 CB_GATHER_FEE
 *
 * @author Tellsea
 * @date 2023-08-30
 */
@Data
@Accessors(chain = true)
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = true)
public class CbGatherFee extends BaseEntity {

    /**
     * $column.columnComment
     */
    @TableId(type = IdType.ASSIGN_ID)
    private String id;

    /**
     * 删除标识
     */
    @TableField(fill = FieldFill.INSERT)
    @Excel(name = "删除标识")
    private String delFlag;

    /**
     * 部门id
     */
    @TableField(fill = FieldFill.INSERT)
    @Excel(name = "部门id")
    private String deptId;

    /**
     * 指标分类id
     */
    @ApiModelProperty("指标分类id")
    @Excel(name = "指标分类id")
    private String normId;

    /**
     * 指标分类名称
     */
    @ApiModelProperty("指标分类名称")
    @Excel(name = "指标分类名称")
    private String normName;
    /**
     * 指标编号
     */
    @Excel(name = "指标编号")
    @ApiModelProperty("指标编号")
    private String normfeeCode;

    /**
     * 权重明细id
     */
    @ApiModelProperty("权重明细id")
    @Excel(name = "权重明细id")
    private String normfeeId;

    /**
     * 权重明细名称
     */
    @ApiModelProperty("权重明细名称")
    @Excel(name = "权重明细名称")
    private String normfeeName;

    /**
     * 采集值
     */
    @ApiModelProperty("采集值")
    @Excel(name = "采集值")
    private BigDecimal collCalue;
    /**
     * 同比值
     */
    @ApiModelProperty("同比值")
    @Excel(name = "同比值")
    private String compireCalue;

    /**
     * 采集数据id
     */
    @ApiModelProperty("采集数据id")
    @Excel(name = "采集数据id")
    private String gatherId;

    @TableField(exist = false)
    private Integer normSort;

    @TableField(exist = false)
    private Integer normFeeSort;

}
