package com.hjy.module.domain.gether;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.hjy.common.annotation.Excel;
import com.hjy.common.annotation.PageDict;
import com.hjy.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import lombok.experimental.Accessors;

import java.math.BigDecimal;

/**
 * 数据采集预警对象 CB_GATHER_WARNING
 *
 * @author Tellsea
 * @date 2023-08-30
 */
@Data
@Accessors(chain = true)
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = true)
public class CbGatherWarning extends BaseEntity {

    /**
     * $column.columnComment
     */
    @TableId(type = IdType.ASSIGN_ID)
    private String id;

    /**
     * 删除标识
     */
    @TableField(fill = FieldFill.INSERT)
    @Excel(name = "删除标识")
    private String delFlag;

    /**
     * 部门id
     */
    @PageDict(dicCode = "dept_id", dicText = "dept_name", dictTable = "sys_dept")
    @TableField(fill = FieldFill.INSERT)
    @Excel(name = "部门id")
    private String deptId;

    /**
     * 数据类型(0=量化指标数据,1=月报表数据)
     */
    @ApiModelProperty("数据类型(0=量化指标数据,1=月报表数据)")
    @Excel(name = "数据类型(0=量化指标数据,1=月报表数据)")
    private String type;

    /**
     * 异常数据id
     */
    @ApiModelProperty("异常数据id")
    @Excel(name = "异常数据id")
    private String getherId;

    /**
     * 异常详细数据id
     */
    @ApiModelProperty("异常详细数据id")
    @Excel(name = "异常详细数据id")
    private String getherfeeId;

    /**
     * 异常详细数据值
     */
    @ApiModelProperty("异常详细数据值")
    @Excel(name = "异常详细数据值")
    private BigDecimal errValue;

    /**
     * 状态（0=预警,1=已解除,2已取消）
     */
    @ApiModelProperty("状态（0=预警,1=已解除,2已取消）")
    @Excel(name = "状态（0=预警,1=已解除,2已取消）")
    private String status;

    /**
     * 处置人
     */
    @PageDict(dicCode = "user_name", dicText = "nick_name", dictTable = "public.sys_users")
    @ApiModelProperty("处置人")
    @Excel(name = "处置人")
    private String dealBy;

    /**
     * 处置时间
     */
    @ApiModelProperty("处置时间")
    @Excel(name = "处置时间")
    private String dealTime;

    /**
     * 预警实际值
     */
    @ApiModelProperty("处置时间")
    @Excel(name = "处置时间")
    private BigDecimal actualValue;

    /**
     * 取消人
     */
    @PageDict(dicCode = "user_name", dicText = "nick_name", dictTable = "public.sys_users")
    @ApiModelProperty("取消人")
    @Excel(name = "取消人")
    private String cancelBy;

    /**
     * 取消时间
     */
    @ApiModelProperty("取消时间")
    @Excel(name = "取消时间")
    private String cancelTime;

    /**
     * 备注
     */
    @ApiModelProperty("备注")
    @Excel(name = "备注")
    private String remark;

}
