package com.hjy.module.domain.norm;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.hjy.common.annotation.Excel;
import com.hjy.common.core.domain.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import lombok.experimental.Accessors;

import java.math.BigDecimal;

/**
 * 对比模型公式对象 CB_CONTRAST
 *
 * @author Tellsea
 * @date 2023-08-24
 */
@Data
@Accessors(chain = true)
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = true)
public class CbContrast extends BaseEntity {

    /**
     * id
     */
    @TableId(type = IdType.ASSIGN_ID)
    @Excel(name = "id")
    private String id;

    /**
     * 删除标识
     */
    @TableField(fill = FieldFill.INSERT)
    @Excel(name = "删除标识")
    private String delFlag;

    /**
     * 部门id
     */
    @TableField(fill = FieldFill.INSERT)
    @Excel(name = "部门id")
    private String deptId;

    /**
     * 第一个参数来源(0=手动输入,1=指标输入,2=模型参数输入)
     */
    @Excel(name = "第一个参数来源(0=手动输入,1=指标输入,2=模型参数输入)")
    private String source1;

    /**
     * 第一个参数值
     */
    @Excel(name = "第一个参数值")
    private String configValue1;

    /**
     * 第二个参数来源(0=手动输入,1=指标输入,2=模型参数输入)
     */
    @Excel(name = "第二个参数来源(0=手动输入,1=指标输入,2=模型参数输入)")
    private String source2;

    /**
     * 第二个参数值
     */
    @Excel(name = "第二个参数值")
    private String configValue2;

    /**
     * 运算方式 加/减/乘/除
     */
    @Excel(name = "运算方式 加/减/乘/除")
    private String operation;

    /**
     * 是否转换百分比(1=是,0=否)
     */
    @Excel(name = "是否转换百分比(1=是,0=否)")
    private String tageFlag;

    /**
     * 最终公式结果
     */
    @Excel(name = "最终公式结果")
    private BigDecimal result;

    /**
     * 备注
     */
    @Excel(name = "备注")
    private String remark;

}
