package com.hjy.module.domain.norm;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.hjy.common.annotation.Excel;
import com.hjy.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import lombok.experimental.Accessors;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 报送数据项配置对象 CB_GIVE
 *
 * @author Tellsea
 * @date 2023-08-30
 */
@Data
@Accessors(chain = true)
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = true)
public class CbGive extends BaseEntity {

    /**
     * $column.columnComment
     */
    @TableId(type = IdType.ASSIGN_ID)
    private String id;

    /**
     * 删除标识
     */
    @TableField(fill = FieldFill.INSERT)
    @Excel(name = "删除标识")
    private String delFlag;

    /**
     * 部门id
     */
    @TableField(fill = FieldFill.INSERT)
    @Excel(name = "部门id")
    private String deptId;

    /**
     * 报送参数名称
     */
    @ApiModelProperty("报送参数名称")
    @Excel(name = "报送参数名称")
    private String fname;

    /**
     * 计量单位
     */
    @ApiModelProperty("计量单位")
    @Excel(name = "计量单位")
    private String funit;

    /**
     * 分类占比
     */
    @ApiModelProperty("分类占比")
    @Excel(name = "分类占比")
    private BigDecimal normRatio;

    /**
     * 权数
     */
    @ApiModelProperty("权数")
    @Excel(name = "权数")
    private BigDecimal fnumber;

    /**
     * 是否启用(1=启用,0不启用)
     */
    @ApiModelProperty("是否启用(1=启用,0不启用)")
    @Excel(name = "是否启用(1=启用,0不启用)")
    private String status;

    /**
     * 启用时间
     */
    @ApiModelProperty("启用时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "启用时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date startTime;

    /**
     * 停用时间
     */
    @ApiModelProperty("停用时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "停用时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date stopTime;

    /**
     * 备注
     */
    @ApiModelProperty("备注")
    @Excel(name = "备注")
    private String remark;

    /**
     * 采集参考值
     */
    @ApiModelProperty("采集参考值")
    @Excel(name = "采集参考值")
    private BigDecimal collValue;

    /**
     * 绩效参考值
     */
    @ApiModelProperty("绩效参考值")
    @Excel(name = "绩效参考值")
    private BigDecimal meritsValue;

    /**
     * 采集公差上下公差占比
     */
    @Excel(name = "采集公差上下公差占比")
    @ApiModelProperty("采集公差上下公差占比")
    private BigDecimal dfRetio;

    /**
     * 绩效公差上下公差占比
     */
    @Excel(name = "绩效公差上下公差占比")
    @ApiModelProperty("绩效公差上下公差占比")
    private BigDecimal msRetio;

    /**
     * 明细类型(1=绩效,2=采集)
     */
    @ApiModelProperty("明细类型(1=绩效,2=采集)")
    @Excel(name = "明细类型(1=绩效,2=采集)")
    private String type;

}
