package com.hjy.module.domain.norm;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.hjy.common.annotation.Excel;
import com.hjy.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import lombok.experimental.Accessors;

/**
 * 指标分类对象 CB_NORM
 *
 * @author Tellsea
 * @date 2023-08-21
 */
@Data
@Accessors(chain = true)
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = true)
public class CbNorm extends BaseEntity {

    /**
     * id
     */
    @TableId(type = IdType.ASSIGN_ID)
    @Excel(name = "id")
    private String id;

    /**
     * 排序
     */
    @Excel(name = "sort")
    private Integer sort;

    /**
     * 删除标识
     */
    @TableField(fill = FieldFill.INSERT)
    @Excel(name = "删除标识")
    private String delFlag;

    /**
     * 部门id
     */
    @TableField(fill = FieldFill.INSERT)
    @Excel(name = "部门id")
    private String deptId;

    /**
     * 指标分类名称
     */
    @Excel(name = "指标分类名称")
    @ApiModelProperty("指标分类名称")
    private String name;

    /**
     * 指标分类编号
     */
    @Excel(name = "指标分类编号")
    @ApiModelProperty("指标分类编号")
    private String code;

    /**
     * 状态(1启用,0不启用)
     */
    @Excel(name = "状态(1启用,0不启用)")
    @ApiModelProperty("状态(1启用,0不启用)")
    private String status;

    /**
     * 备注
     */
    @Excel(name = "备注")
    @ApiModelProperty("备注")
    private String remark;

}
