package com.hjy.module.domain.norm;

import com.hjy.common.annotation.Excel;
import com.hjy.common.annotation.PageDict;
import com.hjy.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import lombok.experimental.Accessors;

import java.util.Date;

/**
 * 指标采集权限配置对象 CB_NORM_ROLE
 *
 * @author Tellsea
 * @date 2023-10-17
 */
@Data
@Accessors(chain = true)
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = true)
public class CbNormRole extends BaseEntity {

    /**
     *
     */
    private String id;

    /**
     * 删除标识
     */
    @Excel(name = "删除标识")
    private String delFlag;

    /**
     * 部门id
     */
    @Excel(name = "部门id")
    private String deptId;

    /**
     * 指标明细
     */
    @Excel(name = "指标明细")
    @ApiModelProperty("指标明细")
    private String feeId;

    /**
     * 角色id
     */
    @Excel(name = "角色id")
    @ApiModelProperty("角色id")
    @PageDict(dicCode = "role_id",dicText = "role_name",dictTable = "sys_role")
    private String senId;

    /**
     * 是否启用(1=启用,0不启用)
     */
    @Excel(name = "是否启用(1=启用,0不启用)")
    @ApiModelProperty("是否启用(1=启用,0不启用)")
    private String status;

    /**
     * 启用时间
     */
    @Excel(name = "启用时间")
    @ApiModelProperty("启用时间")
    private Date startTime;

    /**
     * 停用时间
     */
    @Excel(name = "停用时间")
    @ApiModelProperty("停用时间")
    private Date stopTime;

    /**
     * 备注
     */
    @Excel(name = "备注")
    @ApiModelProperty("备注")
    private String remark;

    /**
     * 1=基础指标，2=辅助指标
     */
    @ApiModelProperty("1=基础指标，2=辅助指标")
    private Integer nsType;

}
