package com.hjy.module.domain.norm;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.hjy.common.annotation.Excel;
import com.hjy.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * 辅助指标-综保区对象 CB_QUOTA_BONDED
 *
 * @author lbl
 * @date 2023-10-09
 */
@Data
@Accessors(chain = true)
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = true)
public class CbQuotaBonded extends BaseEntity {

    /**
     * id
     */
    @TableField(fill = FieldFill.INSERT)
    private String id;

    /**
     * 年份
     */
    @Excel(name = "年份")
    private String year;

    /**
     * 删除标识
     */
    @Excel(name = "删除标识")
    private String delFlag;

    /**
     * 部门id
     */
    @Excel(name = "部门id")
    private String deptId;

    /**
     * 综保区id
     */
    @Excel(name = "综保区id")
    private String bondedId;

    /**
     * 综保区名称
     */
    @Excel(name = "综保区名称")
    private String bondedName;

    /**
     * 是否启用(1=启用,0=不启用)
     */
    @Excel(name = "是否启用(1=启用,0=不启用)")
    private String status;

    /**
     * 启用时间
     */
    @Excel(name = "启用时间")
    @ApiModelProperty("启用时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date startTime;

    /**
     * 停用时间
     */
    @Excel(name = "停用时间")
    @ApiModelProperty("停用时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date stopTime;

//    /**
//     * 提交审核状态
//     */
//    private String auditStatus;


    /**
     * 提交审核时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "提交审核时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date auditTime;


    /**
     * 提交审核人
     */
    @ApiModelProperty("提交审核人")
    private String auditName;

    /**
     * 保税区管理员审核状态
     */
    @ApiModelProperty("保税区管理员审核状态(0=未审核，1=审核中，2=审核通过，3=审核驳回)")
    private String approvalStatus;

    /**
     * 保税区管理员审核时间
     */
    @ApiModelProperty("保税区管理员审核时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "保税区管理员审核时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date approvalTime;

    /**
     * 保税区管理员审核人
     */
    @ApiModelProperty("保税区管理员审核人")
    private String approvalName;

    /**
     * 保税区管理员  上报状态
     */
    @ApiModelProperty("保税区管理员  上报状态")
    private String reportStatus;

    /**
     * 保税区管理员  上报人
     */
    @ApiModelProperty("保税区管理员  上报人")
    private String reportName;

    /**
     * 湾办是否录入
     */
    @ApiModelProperty("湾办是否录入")
    private String type;

    /**
     * 保税区管理员  上报时间
     */
    @ApiModelProperty("保税区管理员  上报时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "上报时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date reportTime;





}
