package com.hjy.module.domain.norm;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.hjy.common.annotation.Excel;
import com.hjy.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import lombok.experimental.Accessors;

import java.util.Date;

/**
 * 辅助指标明细对象 CB_QUOTA_FEE
 *
 * @author lbl
 * @date 2023-10-08
 */
@Data
@Accessors(chain = true)
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = true)
public class CbQuotaFee extends BaseEntity {

    /**
     * id
     */
    @TableField(fill = FieldFill.INSERT)
    private String id;

    /**
     * 删除标识
     */
    @Excel(name = "删除标识")
    private String delFlag;

    /**
     * 部门id
     */
    @Excel(name = "部门id")
    private String deptId;

    /**
     * 指标分类id
     */
    @Excel(name = "指标分类id")
    private String normId;

    /**
     * 指标分类名称
     */
    @Excel(name = "指标分类名称")
    private String normName;

    /**
     * 指标名称
     */
    @Excel(name = "指标名称")
    private String quotaName;

    /**
     * 指标内容
     */
    @Excel(name = "指标内容")
    private String content;

    /**
     * 得分
     */
    @Excel(name = "得分")
    private Integer score;

    /**
     * 确认方式
     */
    @Excel(name = "确认方式")
    private String confirmWay;

    /**
     * 排序
     */
    @Excel(name = "排序")
    private Integer sort;

    /**
     * 是否启用(1=启用,0不启用)
     */
    @Excel(name = "是否启用(1=启用,0不启用)")
    private String status;

    /**
     * 启用时间
     */
    @Excel(name = "启用时间")
    @ApiModelProperty("启用时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date startTime;

    /**
     * 停用时间
     */
    @Excel(name = "停用时间")
    @ApiModelProperty("停用时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date stopTime;


}
