package com.hjy.module.domain.portal;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.hjy.common.annotation.Excel;
import com.hjy.common.core.domain.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import lombok.experimental.Accessors;

/**
 * 联席会议回复对象 CB_CONFERENCE_REPLY
 *
 * @author Tellsea
 * @date 2023-09-27
 */
@Data
@Accessors(chain = true)
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = true)
public class CbConferenceReply extends BaseEntity {

    /**
     * 主键id
     */
    @TableId(type = IdType.ASSIGN_ID)
    @Excel(name = "主键id")
    private String id;

    /**
     * 删除标志
     */
    @TableField(fill = FieldFill.INSERT)
    @Excel(name = "删除标志")
    private String delFlag;

    /**
     * 部门id
     */
    @TableField(fill = FieldFill.INSERT)
    @Excel(name = "部门id")
    private String deptId;

    /**
     * 联席会议id
     */
    @Excel(name = "联席会议id")
    private String conferenceId;

    /**
     * 回复内容
     */
    @Excel(name = "回复内容")
    private String reply;

    /**
     * 附件
     */
    @Excel(name = "附件")
    private String attachment;

    /**
     * 部门名称
     */
    @Excel(name = "部门名称")
    private String deptName;

}
