package com.hjy.module.domain.portal;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.hjy.common.annotation.Excel;
import com.hjy.common.core.domain.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import lombok.experimental.Accessors;

/**
 * 联系我们对象 CB_CONTACT_US
 *
 * @author Tellsea
 * @date 2023-08-24
 */
@Data
@Accessors(chain = true)
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = true)
public class CbContactUs extends BaseEntity {

    /**
     * 主键
     */
    @TableId(type = IdType.ASSIGN_ID)
    @Excel(name = "主键")
    private String id;

    /**
     * 删除标志
     */
    @TableField(fill = FieldFill.INSERT)
    @Excel(name = "删除标志")
    private String delFlag;

    /**
     * 部门ID
     */
    @TableField(fill = FieldFill.INSERT)
    @Excel(name = "部门ID")
    private String deptId;

    /**
     * 单位名称
     */
    @Excel(name = "单位名称")
    private String depName;

    /**
     * 联系电话
     */
    @Excel(name = "联系电话")
    private String telphone;

    /**
     * 位置
     */
    @Excel(name = "位置")
    private String location;

    /**
     * 邮箱
     */
    @Excel(name = "邮箱")
    private String email;

    /**
     * 邮编
     */
    @Excel(name = "邮编")
    private String pCode;

}
