package com.hjy.module.domain.portal;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.hjy.common.annotation.Excel;
import com.hjy.common.core.domain.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import lombok.experimental.Accessors;

/**
 * 咨询信息对象 CB_COUNSELING_MESSAGE
 *
 * @author Tellsea
 * @date 2023-08-31
 */
@Data
@Accessors(chain = true)
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = true)
public class CbCounselingMessage extends BaseEntity {

    /**
     * 主键
     */
    @TableId(type = IdType.ASSIGN_ID)
    @Excel(name = "主键")
    private String id;

    /**
     * 删除标志
     */
    @TableField(fill = FieldFill.INSERT)
    @Excel(name = "删除标志")
    private String delFlag;

    /**
     * 部门id
     */
    @TableField(fill = FieldFill.INSERT)
    @Excel(name = "部门id")
    private String deptId;

    /**
     * 标题
     */
    @Excel(name = "标题")
    private String title;

    /**
     * 内容
     */
    @Excel(name = "内容")
    private String content;

    /**
     * 附件
     */
    @Excel(name = "附件")
    private String fileUrl;

    /**
     * 图片
     */
    @Excel(name = "图片")
    private String picture;

    /**
     * 状态
     */
    @Excel(name = "0=草稿,1=审核中,2=审核驳回,3=已审核,4=已上报,5=已发布,6=已下架,7=已确认")
    private String status;

    /**
     * 审核时间
     */
    @Excel(name = "审核时间")
    private String auditTime;

    /**
     * 提交时间
     */
    @Excel(name = "提交时间")
    private String reportDate;

    /**
     * 发布时间
     */
    @Excel(name = "发布时间")
    private String releaseDate;

}
