package com.hjy.module.domain.portal;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.hjy.common.annotation.Excel;
import com.hjy.common.core.domain.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import lombok.experimental.Accessors;

/**
 * 数据填报记录对象 CB_DATA_FILLING
 *
 * @author Tellsea
 * @date 2023-09-26
 */
@Data
@Accessors(chain = true)
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = true)
public class CbDataFilling extends BaseEntity {

    /**
     * 主键id
     */
    @TableId(type = IdType.ASSIGN_ID)
    @Excel(name = "主键id")
    private String id;

    /**
     * 部门id
     */
    @TableField(fill = FieldFill.INSERT)
    @Excel(name = "部门id")
    private String deptId;

    /**
     * 删除标志
     */
    @TableField(fill = FieldFill.INSERT)
    @Excel(name = "删除标志")
    private String delFlag;

    /**
     * 重点项目id
     */
    @Excel(name = "重点项目id")
    private String articleId;

    /**
     * 月份
     */

    @Excel(name = "月份")
    private String month;

    /**
     * 金额（单位/万）
     */
    @Excel(name = "金额", readConverterExp = "单=位/万")
    private Double price;

    /**
     * 进度0=未开始，1=进行中，2=已结束
     */
    @Excel(name = "进度0=未开始，1=进行中，2=已结束")
    private String schedule;

}
