package com.hjy.module.domain.portal;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.hjy.common.annotation.Excel;
import com.hjy.common.core.domain.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import lombok.experimental.Accessors;

/**
 * 专家服务配置对象 CB_EXPERT_SERVICE
 *
 * @author Tellsea
 * @date 2023-08-23
 */
@Data
@Accessors(chain = true)
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = true)
public class CbExpertService extends BaseEntity {

    /**
     * $column.columnComment
     */
    @TableId(type = IdType.ASSIGN_ID)
    private String id;

    /**
     * 删除标识
     */
    @TableField(fill = FieldFill.INSERT)
    @Excel(name = "删除标识")
    private String delFlag;

    /**
     * 用户id
     */
    @Excel(name = "用户id")
    private String experId;

    /**
     * 标签id
     */
    @Excel(name = "标签id")
    private String cbId;


    /**
     * 部门id
     */
    @TableField(fill = FieldFill.INSERT)
    @Excel(name = "部门id")
    private String deptId;

    /**
     * 标签名称
     */
    @Excel(name = "标签名称")
    private String mark;

    /**
     * 价格
     */
    @Excel(name = "价格")
    private String price;

    /**
     * 服务开始时间
     */
    @Excel(name = "服务开始时间")
    private String startTime;

    /**
     * 服务结束时间
     */
    @Excel(name = "服务结束时间")
    private String endTime;

}
