package com.hjy.module.domain.portal;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.hjy.common.annotation.Excel;
import com.hjy.common.core.domain.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import lombok.experimental.Accessors;

/**
 * 友情链接对象 CB_FRIENDLY_LINKS
 *
 * @author Tellsea
 * @date 2023-08-23
 */
@Data
@Accessors(chain = true)
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = true)
public class CbFriendlyLinks extends BaseEntity {

    /**
     * id主键
     */
    @TableId(type = IdType.ASSIGN_ID)
    @Excel(name = "id主键")
    private String id;

    /**
     * 删除标记
     */
    @TableField(fill = FieldFill.INSERT)
    @Excel(name = "删除标记")
    private String delFlag;

    /**
     * 部门id
     */
    @TableField(fill = FieldFill.INSERT)
    @Excel(name = "部门id")
    private String deptId;

    /**
     * 友情链接名称
     */
    @Excel(name = "友情链接名称")
    private String linkName;

    /**
     * 友情链接url
     */
    @Excel(name = "友情链接url")
    private String linkUrl;

}
