package com.hjy.module.domain.portal;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.hjy.common.annotation.Excel;
import com.hjy.common.core.domain.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import lombok.experimental.Accessors;

/**
 * 联席会议对象 CB_JOINT_CONFERENCE
 *
 * @author Tellsea
 * @date 2023-09-27
 */
@Data
@Accessors(chain = true)
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = true)
public class CbJointConference extends BaseEntity {

    /**
     * 主键id
     */
    @TableId(type = IdType.ASSIGN_ID)
    @Excel(name = "主键id")
    private String id;


    /**
     * 删除标志
     */
    @TableField(fill = FieldFill.INSERT)
    @Excel(name = "删除标志")
    private String delFlag;

    /**
     * 部门id
     */
    @TableField(fill = FieldFill.INSERT)
    @Excel(name = "部门id")
    private String deptId;

    /**
     * 协作单位id协作单位id
     */
    @TableField(fill = FieldFill.INSERT)
    @Excel(name = "协作单位id协作单位id")
    private String deptIds;

    /**
     * 会议标题
     */
    @Excel(name = "会议标题")
    private String conferenceTitle;

    /**
     * 会议内容
     */
    @Excel(name = "会议内容")
    private String conferenceContent;

    /**
     * 协作单位
     */
    @Excel(name = "协作单位")
    private String cooperativeUnit;

    /**
     * 已回复单位数量
     */
    @Excel(name = "已回复单位数量")
    private Integer replied;

    /**
     * 会议状态1=未指派，2=进行中，3=已完成
     */
    @Excel(name = "会议状态1=未指派，2=进行中，3=已完成")
    private Integer status;

    /**
     * 单位数量
     */
    @Excel(name = "单位数量")
    private Integer deptNum;

    /**
     * 限制时间
     */
    @Excel(name = "限制时间")
    private String date;

    /**
     * 状态
     */
    @Excel(name = "状态")
    private String type;

    /**
     * 协作内容
     */
    @Excel(name = "协作内容")
    private String collaborativeContent;

    /**
     * 是否最终单位指派
     */
    @Excel(name = "是否最终单位指派")
    private Integer condition;


}
