package com.hjy.module.domain.portal;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.hjy.common.annotation.Excel;
import com.hjy.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import lombok.experimental.Accessors;

/**
 * 留言反馈对象 CB_LEAVE_MESSAGE
 *
 * @author Tellsea
 * @date 2023-08-24
 */
@Data
@Accessors(chain = true)
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = true)
public class CbLeaveMessage extends BaseEntity {

    /**
     * 主键id
     */
    @TableId(type = IdType.ASSIGN_ID)
    @Excel(name = "主键id")
    private String id;

    /**
     * 用户id
     */
    @Excel(name = "用户id")
    private String userId;

    /**
     * 删除标记（0正常，1删除）
     */
    @TableField(fill = FieldFill.INSERT)
    @Excel(name = "删除标记", readConverterExp = "0=正常，1删除")
    private String delFlag;

    /**
     * 部门id
     */
    @TableField(fill = FieldFill.INSERT)
    @Excel(name = "部门id")
    private String deptId;

    /**
     * 留言详情
     */
    @Excel(name = "留言详情")
    private String questionDetail;

    /**
     * 留言人姓名
     */
    @Excel(name = "留言人姓名")
    private String ansName;

    /**
     * 留言回复
     */
    @Excel(name = "留言回复")
    private String replyContent;

    /**
     * 是否已回复
     */
    @Excel(name = "留言状态（1已回复,0未回复）")
    private String type;

    @ApiModelProperty("数据类型(1=门户，2=移动端)")
    private String source;

}
