package com.hjy.module.domain.portal;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.hjy.common.annotation.Excel;
import com.hjy.common.core.domain.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import lombok.experimental.Accessors;

/**
 * 网上办事对象 CB_ONLINE
 *
 * @author Tellsea
 * @date 2023-08-24
 */
@Data
@Accessors(chain = true)
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = true)
public class CbOnline extends BaseEntity {

    /**
     * 主键
     */
    @TableId(type = IdType.ASSIGN_ID)
    @Excel(name = "主键")
    private String id;

    /**
     * 删除标志(0.正常，1.删除)
     */
    @TableField(fill = FieldFill.INSERT)
    @Excel(name = "删除标志(0.正常，1.删除)")
    private String delFlag;

    /**
     * 部门id
     */
    @TableField(fill = FieldFill.INSERT)
    @Excel(name = "部门id")
    private String deptId;

    /**
     * 单位名称
     */
    @Excel(name = "单位名称")
    private String depName;

    /**
     * 单位电话
     */
    @Excel(name = "单位电话")
    private String telphone;

    /**
     * 单位地址
     */
    @Excel(name = "单位地址")
    private String location;

    /**
     * 单位邮箱
     */
    @Excel(name = "单位邮箱")
    private String email;

    /**
     * 简介
     */
    @Excel(name = "简介")
    private String introduction;

}
