package com.hjy.module.domain.portal;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.hjy.common.annotation.Excel;
import com.hjy.common.core.domain.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import lombok.experimental.Accessors;

/**
 * 运营服务对象 CB_OP_SERVICE
 *
 * @author Tellsea
 * @date 2023-08-29
 */
@Data
@Accessors(chain = true)
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = true)
public class CbOpService extends BaseEntity {

    /**
     * 主键id
     */
    @TableId(type = IdType.ASSIGN_ID)
    @Excel(name = "主键id")
    private String id;

    /**
     * 删除状态（0正常1删除）
     */
    @TableField(fill = FieldFill.INSERT)
    @Excel(name = "删除状态", readConverterExp = "0=正常1删除")
    private String delFlag;

    /**
     * 部门id
     */
    @TableField(fill = FieldFill.INSERT)
    @Excel(name = "部门id")
    private String deptId;

    /**
     * 文件名称
     */
    @Excel(name = "文件名称")
    private String serviceName;

    /**
     * 文件附件
     */
    @Excel(name = "文件附件")
    private String linkUrl;

    /**
     * 下载次数
     */
    @Excel(name = "下载次数")
    private int download;

    /**
     * 服务状态（1招商服务2培训服务）
     */
    @Excel(name = "服务状态", readConverterExp = "1=招商服务2培训服务")
    private String serviceType;

}
