package com.hjy.module.domain.portal;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.hjy.common.annotation.Excel;
import com.hjy.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * 咨询信息对象 CB_QUESTION
 *
 * @author Tellsea
 * @date 2023-08-23
 */
@Data
@Accessors(chain = true)
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = true)
public class CbQuestion extends BaseEntity {

    /**
     * 门户用户id
     */
    @ApiModelProperty("门户用户id")
    @Excel(name = "门户用户id")
    private String answerId;

    /**
     * $column.columnComment
     */
    @TableId(type = IdType.ASSIGN_ID)
    private String id;

    /**
     * 删除标识
     */
    @TableField(fill = FieldFill.INSERT)
    @Excel(name = "删除标识")
    private String delFlag;

    /**
     * 标签_id
     */
    @Excel(name = "标签_id")
    private String cbId;


    /**
     * 部门id
     */
    @TableField(fill = FieldFill.INSERT)
    @Excel(name = "部门id")
    private String deptId;

    /**
     * 提问标题
     */
    @ApiModelProperty("提问标题")
    @Excel(name = "提问标题")
    private String question;

    /**
     * 标签名称
     */
    @ApiModelProperty("标签名称")
    @Excel(name = "标签名称")
    private String mark;

    /**
     * 提问人姓名
     */
    @ApiModelProperty("提问人姓名")
    @Excel(name = "提问人姓名")
    private String ansName;

    /**
     * 专家姓名
     */
    @ApiModelProperty("专家姓名")
    @Excel(name = "专家姓名")
    private String expertName;

    /**
     * 专家id
     */
    @ApiModelProperty("专家id")
    @Excel(name = "专家id")
    private String expertId;

    /**
     * 专家回答
     */
    @ApiModelProperty("专家回答")
    @Excel(name = "专家回答")
    private String expertAnswer;

    /**
     * 提问详情
     */
    @ApiModelProperty("提问详情")
    @Excel(name = "提问详情")
    private String detail;

    /**
     * 1=已回复0未回复
     */
    @ApiModelProperty("1=已回复0未回复")
    @Excel(name = "1=已回复0未回复")
    private String status;

    /**
     * 期望回复时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @ApiModelProperty("期望回复时间")
    @Excel(name = "期望回复时间")
    private Date responseTime;

    /**
     * 审核状态（0=待审，1已审，2审核拒绝）
     */
    @ApiModelProperty("审核状态（0=草稿，1审核中，2审核通过，3审核驳回）")
    @Excel(name = "审核状态")
    private String checkStatus;

    /**
     * 评价（数据字典）
     */
    @ApiModelProperty("评价状态（0=未评价，1好评，2中评，3差评）")
    @Excel(name = "评价")
    private String judge;

    /**
     * 回复时间
     */
    @ApiModelProperty("回复时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "回复时间")
    private Date replyTime;

}
