package com.hjy.module.domain.portal;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.hjy.common.annotation.Excel;
import com.hjy.common.core.domain.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import lombok.experimental.Accessors;

/**
 * 敏感词管理对象 CB_SENSITIVE
 *
 * @author Tellsea
 * @date 2023-08-30
 */
@Data
@Accessors(chain = true)
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = true)
public class CbSensitive extends BaseEntity {

    /**
     * 主键id
     */
    @TableId(type = IdType.ASSIGN_ID)
    @Excel(name = "主键id")
    private String id;

    /**
     * 敏感词
     */
    @Excel(name = "敏感词")
    private String sensitive;

    /**
     * 部门id
     */
    @TableField(fill = FieldFill.INSERT)
    @Excel(name = "部门id")
    private String deptId;

    /**
     * 删除标志
     */
    @TableField(fill = FieldFill.INSERT)
    @Excel(name = "删除标志")
    private String delFlag;

    /**
     * 敏感词状态（0未启用1启用）
     */
    @Excel(name = "敏感词状态", readConverterExp = "0=未启用1启用")
    private String type;

}
