package com.hjy.module.domain.portal;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.hjy.common.annotation.Excel;
import com.hjy.common.core.domain.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import lombok.experimental.Accessors;

/**
 * 系统管理对象 CB_SYSTEM
 *
 * @author Tellsea
 * @date 2023-09-08
 */
@Data
@Accessors(chain = true)
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = true)
public class CbSystem extends BaseEntity {

    /**
     * 主键id
     */
    @TableId(type = IdType.ASSIGN_ID)
    @Excel(name = "主键id")
    private String id;

    /**
     * 删除标记
     */
    @TableField(fill = FieldFill.INSERT)
    @Excel(name = "删除标记")
    private String delFlag;

    /**
     * 部门id
     */
    @TableField(fill = FieldFill.INSERT)
    @Excel(name = "部门id")
    private String deptId;

    /**
     * 系统名称
     */
    @Excel(name = "系统名称")
    private String systemName;

    /**
     * 系统背景图
     */
    @Excel(name = "系统背景图")
    private String systemPicture;

}
