package com.hjy.module.domain.portal;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.hjy.common.annotation.Excel;
import com.hjy.common.core.domain.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import lombok.experimental.Accessors;

/**
 * 网站管理对象 CB_WEBSITE
 *
 * @author Tellsea
 * @date 2023-08-29
 */
@Data
@Accessors(chain = true)
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = true)
public class CbWebsite extends BaseEntity {

    /**
     * 主键id
     */
    @TableId(type = IdType.ASSIGN_ID)
    @Excel(name = "主键id")
    private String id;

    /**
     * 删除标记
     */
    @TableField(fill = FieldFill.INSERT)
    @Excel(name = "删除标记")
    private String delFlag;

    /**
     * 部门id
     */
    @TableField(fill = FieldFill.INSERT)
    @Excel(name = "部门id")
    private String deptId;

    /**
     * 网站名称
     */
    @Excel(name = "网站名称")
    private String websiteName;

    /**
     * 网站顶部图片
     */
    @Excel(name = "网站顶部图片")
    private String topPicture;

    /**
     * 网站底部图片
     */
    @Excel(name = "网站底部图片")
    private String bottomPicture;

}
