package com.hjy.module.domain.rank;

import com.hjy.common.annotation.Excel;
import com.hjy.common.core.domain.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import lombok.experimental.Accessors;

/**
 * 广西保税区排名对象 CB_RANK
 *
 * @author Tellsea
 * @date 2023-10-10
 */
@Data
@Accessors(chain = true)
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = true)
public class CbRank extends BaseEntity {

    /**
     * 主键
     */
    @Excel(name = "主键")
    private String id;

    /**
     * 保税区ID
     */
    @Excel(name = "保税区ID")
    private String deptId;

    /**
     * 年份
     */
    @Excel(name = "年份")
    private String year;

    /**
     * 排名
     */
    @Excel(name = "排名")
    private Integer ranking;

    /**
     * 中西部排名
     */
    @Excel(name = "中西部排名")
    private Integer midwestRanking;

    /**
     * 全国绩效排名
     */
    @Excel(name = "全国绩效排名")
    private Integer nationalPerformanceRanking;

}
