package com.hjy.module.domain.report;

import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;

@Data
@Accessors(chain = true)
public class ReportDTO implements Serializable {
    private static final long serialVersionUID = 1L;
    /**
     * 年
     */
    private String year;
    /**
     * 月
     */
    private String month;
    /**
     * 总结描述
     */
    private String preface;
    /**
     * 全区外贸总值>tradeTotalMoney
     */
    private String gxTradeTotalMoney;
    /**
     * 全区综保区亿元
     */
    private String tradeTotalMoney;
    /**
     * 占全区进出口总值百分比
     */
    private String tradeTotalMoneyPercent;
    /**
     * 占全区进出口总值百分比增长或者下降（tradeTotalMoneyInc>0——>增长；<0下降）
     */
    private String tradeTotalMoneyIncDirection;
    /**
     * 进出口总值同比
     */
    private String tradeTotalMoneyInc;
    /**
     * 整体状况
     */
    private String tradeSituation;

    /**
     * 凭祥同比增长
     */
    private String pxInc;
    /**
     * 南宁同比增长
     */
    private String nnInc;
    /**
     * 梧州同比增长
     */
    private String wzInc;
    /**
     * 钦州同比增长
     */
    private String qzInc;
    /**
     * 北海同比增长
     */
    private String bhInc;


    /**
     * 凭祥进出口总值
     */
    private String pxTotalMoney;
    /**
     * 南宁同比增长
     */
    private String nnTotalMoney;
    /**
     * 梧州同比增长
     */
    private String wzTotalMoney;
    /**
     * 钦州同比增长
     */
    private String qzTotalMoney;
    /**
     * 北海同比增长
     */
    private String bhTotalMoney;


    /**
     * 凭祥进出口总值全国排名
     */
    private Integer pxIndex;
    /**
     * 南宁进出口总值增长
     */
    private Integer nnIndex;
    /**
     * 梧州进出口总值增长
     */
    private Integer wzIndex;
    /**
     * 钦州进出口总值增长
     */
    private Integer qzIndex;
    /**
     * 北海进出口总值增长
     */
    private Integer bhIndex;
    /**
     * 所有综保区同比分析描述：如：xxx、xxx同比增长了xx
     */
    private String bondedIncAnalyse;
    /**
     * 排名描述
     */
    private String tradeTotalMoneyIndexDesc;

    /**
     * 外贸进出口总值比较表——总量比较
     */
    private String inoutTotalCompare;
    /**
     * 外贸进出口总值比较表——中西部总量比较
     */
    private String inoutCentralWestCompare;

    /**
     * 全国综保区分析描述
     */
    private String allAsyncDesc;
    /**
     * 邻省排名
     */
    private String neighborProvinceDesc;
    /**
     * 中西部排名
     */
    private String midwestSortDesc;


}
