package com.hjy.module.domain.report;

import com.hjy.common.annotation.Excel;
import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.hjy.common.core.domain.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import lombok.experimental.Accessors;

/**
 * 辅助决策对象 REPORT_RECORD
 *
 * @author Tellsea
 * @date 2024-04-26
 */
@Data
@Accessors(chain = true)
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = true)
public class ReportRecord extends BaseEntity {

    /**
     * $column.columnComment
     */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String id;

    /**
     * 年份
     */
    @Excel(name = "年份")
    private String reportYear;

    /**
     * 月份
     */
    @Excel(name = "月份")
    private String reportMonth;

    /**
     * 分析结果
     */
    @Excel(name = "分析结果")
    private String result;
    /**
     * 进出口总值
     */
    private String foreignTrade;
    /**
     * 进出口总值增比
     */
    private String foreignTradeInc;
    /**
     * 全国进出口总值
     */
    private String nactionForeignTrade;
    private String nactionForeignTradeInc;



}
