package com.hjy.module.domain.statistics;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.hjy.common.annotation.Excel;
import com.hjy.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import lombok.experimental.Accessors;

import java.math.BigDecimal;

/**
 * 保税区积分对象 CB_INTEGRAL
 *
 * @author Tellsea
 * @date 2023-09-01
 */
@Data
@Accessors(chain = true)
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = true)
public class CbIntegral extends BaseEntity {

    /**
     * id
     */
    @TableId(type = IdType.ASSIGN_ID)
    @Excel(name = "id")
    private String id;

    /**
     * 删除标识
     */
    @TableField(fill = FieldFill.INSERT)
    @Excel(name = "删除标识")
    private String delFlag;

    /**
     * 部门id
     */
    @TableField(fill = FieldFill.INSERT)
    @Excel(name = "部门id")
    private String deptId;

    /**
     * 积分类型（0绩效积分,1=采集积分）
     */
    @ApiModelProperty("积分类型（0绩效积分,1=采集积分）")
    @Excel(name = "积分类型", readConverterExp = "0=绩效积分,1=采集积分")
    private String type;

    /**
     * 采集单id
     */
    @ApiModelProperty("采集单id")
    @Excel(name = "采集单id")
    private String gatherId;

    /**
     * 保税区id
     */
    @ApiModelProperty("保税区id")
    @Excel(name = "保税区id")
    private String cbId;

    /**
     * 保税区名称
     */
    @ApiModelProperty("保税区名称")
    @Excel(name = "保税区名称")
    private String cbName;

    /**
     * 数据类型（数据类型(0=量化指标数据,1=月报表数据)）
     */
    @ApiModelProperty("数据类型（数据类型(0=量化指标数据,1=月报表数据)）")
    @Excel(name = "数据类型", readConverterExp = "数=据类型(0=量化指标数据,1=月报表数据)")
    private String dataType;

    /**
     * 年份
     */
    @ApiModelProperty("年份")
    @Excel(name = "年份")
    private String year;

    /**
     * 月份
     */
    @ApiModelProperty("月份")
    @Excel(name = "月份")
    private String month;

    /**
     * 季度
     */
    @ApiModelProperty("季度")
    @Excel(name = "季度")
    private String quarter;

    /**
     * 备注
     */
    @ApiModelProperty("备注")
    @Excel(name = "备注")
    private String remark;

    /**
     * 总积分
     */
    @ApiModelProperty("总积分")
    @Excel(name = "总积分")
    private BigDecimal sumScore;

}
