package com.hjy.module.domain.statistics;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.hjy.common.annotation.Excel;
import com.hjy.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import lombok.experimental.Accessors;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 绩效积分明细对象 CB_INTEGRAL_FEE
 *
 * @author Tellsea
 * @date 2023-09-01
 */
@Data
@Accessors(chain = true)
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = true)
public class CbIntegralFee extends BaseEntity {

    /**
     * id
     */
    @TableId(type = IdType.ASSIGN_ID)
    @Excel(name = "id")
    private String id;

    /**
     * 删除标识
     */
    @TableField(fill = FieldFill.INSERT)
    @Excel(name = "删除标识")
    private String delFlag;

    /**
     * 部门id
     */
    @TableField(fill = FieldFill.INSERT)
    @Excel(name = "部门id")
    private String deptId;

    /**
     * 积分表id
     */
    @ApiModelProperty("积分表id")
    @Excel(name = "积分表id")
    private String integralId;

    /**
     * 采集时间
     */
    @ApiModelProperty("采集时间")
    @Excel(name = "采集时间")
    private Date gatherTime;

    /**
     * 采集人
     */
    @ApiModelProperty("采集人")
    @Excel(name = "采集人")
    private String gatherBy;

    /**
     * 采集明细id
     */
    @ApiModelProperty("采集明细id")
    @Excel(name = "采集明细id")
    private String normfeeId;

    /**
     * 采集指标名称
     */
    @ApiModelProperty("采集指标名称")
    @Excel(name = "采集指标名称")
    private String normfeeName;

    /**
     * 采集值
     */
    @ApiModelProperty("采集值")
    @Excel(name = "采集值")
    private BigDecimal collValue;

    /**
     * 获得积分
     */
    @ApiModelProperty("获得积分")
    @Excel(name = "获得积分")
    private BigDecimal score;

    /**
     * 是否产生预警
     */
    @ApiModelProperty("是否产生预警1=是0=否")
    @Excel(name = "是否产生预警1=是0=否")
    private String warningFlag;

}
