package com.hjy.module.domain.totexp;

import com.hjy.common.annotation.Excel;
import com.hjy.common.core.domain.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import lombok.experimental.Accessors;

/**
 * 保税区进出口总值数据对象 CB_TOTEXP
 *
 * @author Tellsea
 * @date 2023-10-10
 */
@Data
@Accessors(chain = true)
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = true)
public class CbTotexp extends BaseEntity {

    /**
     * 主键
     */
    @Excel(name = "主键")
    private String id;

    /**
     * 保税区主键
     */
    @Excel(name = "保税区主键")
    private String deptId;

    /**
     * 进出口值
     */
    @Excel(name = "进出口值")
    private String imExport;

    /**
     * 市进出口值
     */
    @Excel(name = "市进出口总值")
    private String cityTotal;
    /**
     * 市ID
     */
    @Excel(name = "市ID")
    private String cityDeptId;

    /**
     * 月份
     */
    @Excel(name = "月份")
    private String month;

    /**
     * 同比值
     */
    @Excel(name = "同比值")
    private String identicalContrast;

    /**
     * 分类; 自治区、各市、各市的综保区
     */
    @Excel(name = "分类; 自治区、各市、各市的综保区")
    private String type;

    /**
     * 年份
     */
    @Excel(name = "年份")
    private String year;

}
