package com.hjy.module.domain.wf;

import com.baomidou.mybatisplus.annotation.*;
import com.hjy.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import lombok.experimental.Accessors;

/**
 * 流程审批节点实例对象 WF_INST_ACTION
 *
 * @author Tellsea
 * @date 2023-08-09
 */
@Data
@Accessors(chain = true)
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = true)
@TableName("wf_inst_action")
public class WfInstAction extends BaseEntity {

    /**
     * $column.columnComment
     */

    @TableId(type = IdType.ASSIGN_ID)
    private String id;


    /**
     * 删除标识
     */
    @TableField(fill = FieldFill.INSERT)
    private String delFlag;


    /**
     * 部门id
     */
    @TableField(fill = FieldFill.INSERT)
    private Long deptId;


    /**
     * 活动实例ID
     */
    @ApiModelProperty(value = "活动实例ID")
    private String instAcId;

    /**
     * 活动名称
     */
    @ApiModelProperty(value = "活动名称")
    private String acname;

    /**
     * 活动顺序
     */
    @ApiModelProperty(value = "活动顺序")
    private String seqno;

    /**
     * 父级活动
     */
    @ApiModelProperty(value = "父级活动")
    private String parentnr;

    /**
     * 审批执行人
     */
    @ApiModelProperty(value = "审批执行人")
    private String execId;

    /**
     * 状态(1=未开始,2=进行中,3=完成,4=终止）
     */
    @ApiModelProperty(value = "状态(1=未开始,2=进行中,3=完成,4=终止）")
    private String status;


}
