package com.hjy.module.domain.wf;

import com.baomidou.mybatisplus.annotation.*;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.hjy.common.annotation.ResVoDict;
import com.hjy.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import lombok.experimental.Accessors;

import java.util.Date;

/**
 * 审批任务实例对象 WF_INST_ACTION_TASK
 *
 * @author Tellsea
 * @date 2023-08-09
 */
@Data
@Accessors(chain = true)
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = true)
@TableName("wf_inst_action_task")
public class WfInstActionTask extends BaseEntity {

    /**
     * $column.columnComment
     */
    @TableId(type = IdType.ASSIGN_ID)
    private String id;

    /**
     * 删除标识
     */
    @TableField(fill = FieldFill.INSERT)
    private String delFlag;

    /**
     * 部门id
     */
    @TableField(fill = FieldFill.INSERT)
    private Long deptId;


    /**
     * 活动实例任务ID
     */
    @ApiModelProperty(value = "活动实例任务ID")
    private String instAcId;

    /**
     * 活动实例id
     */
    @ApiModelProperty(value = "活动实例id")
    private String instProId;

    /**
     * 活动名称
     */
    @ApiModelProperty(value = "活动名称")
    private String acname;

    /**
     * 审核人
     */
    @ResVoDict(dicCode = "id", dicText = "nick_name", dictTable = "public.sys_users")
    @ApiModelProperty(value = "审核人")
    private String execId;

    /**
     * 任务启动时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "任务启动时间")
    private Date beginTime;

    /**
     * 任务结束时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "任务结束时间")
    private Date endTime;

    /**
     * 审核状态(1=同意,2=驳回,3=退回）
     */
    @ApiModelProperty(value = "审核状态(0=待审核,1=同意,2=驳回,3=退回）")
    private String status;

    /**
     * 审核意见
     */
    @ApiModelProperty(value = "审核意见")
    private String comments;

}
