package com.hjy.module.domain.wf;

import com.baomidou.mybatisplus.annotation.*;
import com.hjy.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import lombok.experimental.Accessors;

/**
 * 流程活动实例对象 WF_INST_PRO
 *
 * @author Tellsea
 * @date 2023-08-09
 */
@Data
@Accessors(chain = true)
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = true)
@TableName("wf_inst_pro")
public class WfInstPro extends BaseEntity {

    /**
     * $column.columnComment
     */
    @TableId(type = IdType.ASSIGN_ID)
    private String id;


    /**
     * 删除标识
     */
    @TableField(fill = FieldFill.INSERT)
    private String delFlag;

    /**
     * 部门id
     */

    @TableField(fill = FieldFill.INSERT)
    private Long deptId;


    /**
     * 关键字信息
     */
    @ApiModelProperty(value = "关键字信息")
    private String keywords;

    /**
     * 流程模板ID
     */
    @ApiModelProperty(value = "流程模板ID")
    private String proId;

    /**
     * 流程名称
     */
    @ApiModelProperty(value = "流程名称")
    private String proName;

    /**
     * 业务表单
     */
    @ApiModelProperty(value = "业务表单")
    private String businessForm;

    /**
     * 业务编号
     */
    @ApiModelProperty(value = "业务编号")
    private String businessId;

    /**
     * 连接地址
     */
    @ApiModelProperty(value = "连接地址")
    private String linkurl;

    /**
     * 流程状态（1=执行中,2=终止,3=完成）
     */
    @ApiModelProperty(value = "流程状态")
    private String status;

}
