package com.hjy.module.domain.wf;

import com.baomidou.mybatisplus.annotation.*;
import com.hjy.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import lombok.experimental.Accessors;

/**
 * 流程节点定义对象 WF_PRO_DEF_ACTION
 *
 * @author Tellsea
 * @date 2023-08-09
 */
@Data
@Accessors(chain = true)
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = true)
@TableName("wf_pro_def_action")
public class WfProDefAction extends BaseEntity {

    /**
     * $column.columnComment
     */
    @TableId(type = IdType.ASSIGN_ID)
    private String id;


    /**
     * 删除标识
     */
    @TableField(fill = FieldFill.INSERT)
    private String delFlag;

    /**
     * 部门id
     */
    @TableField(fill = FieldFill.INSERT)
    private Long deptId;

    /**
     * 流程模板ID
     */
    @ApiModelProperty(value = "流程模板ID")
    private String proId;

    /**
     * 活动名称
     */
    @ApiModelProperty(value = "活动名称")
    private String acname;

    /**
     * 活动顺序
     */
    @ApiModelProperty(value = "活动顺序")
    private String seqno;

    /**
     * 父级活动
     */
    @ApiModelProperty(value = "父级活动")
    private String parentnr;

    /**
     * 邮件提醒(1=提醒,2=不提醒)
     */
    @ApiModelProperty(value = "邮件提醒(1=提醒,2=不提醒)")
    private String reemail;

    /**
     * 消息提醒(1=提醒,2=不提醒)
     */
    @ApiModelProperty(value = "消息提醒(1=提醒,2=不提醒)")
    private String remessage;

    /**
     * 办理期限（小时）
     */
    @ApiModelProperty(value = "办理期限 小时")
    private String dealhours;

    /**
     * 活动审批类型（1=人员,2=角色）
     */
    @ApiModelProperty(value = "活动审批类型 1==人员,2=角色")
    private String approvaltype;

    /**
     * 审核人
     */
    @ApiModelProperty(value = "审核人")
    private String exelIds;

}
