package com.hjy.module.domain.wf;

import com.baomidou.mybatisplus.annotation.*;
import com.hjy.common.annotation.PageDict;
import com.hjy.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import lombok.experimental.Accessors;

/**
 * 流程模板对象 WF_PROTEMPLATE
 *
 * @author Tellsea
 * @date 2023-08-09
 */
@Data
@Accessors(chain = true)
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = true)
@TableName("wf_protemplate")
public class WfProtemplate extends BaseEntity {

    /**
     * $column.columnComment
     */
    @TableId(type = IdType.ASSIGN_ID)
    private String id;

    /**
     * 删除标识
     */
    @TableField(fill = FieldFill.INSERT)
    private String delFlag;

    /**
     * 部门id
     */
    @TableField(fill = FieldFill.INSERT)
    private Long deptId;


    /**
     * 流程编码
     */
    @ApiModelProperty(value = "流程编码")
    private String procode;

    /**
     * 流程名称
     */
    @ApiModelProperty(value = "流程名称")
    private String proname;

    /**
     * 版本
     */

    @ApiModelProperty(value = "版本")
    private String version;

    /**
     * 关键字
     */
    @ApiModelProperty(value = "关键字")
    private String keyword;

    /**
     * 排序
     */
    @ApiModelProperty(value = "排序")
    private String seqno;

    /**
     * 流程说明
     */
    @ApiModelProperty(value = "流程说明")
    private String pronotes;

    /**
     * 连接地址
     */
    @ApiModelProperty(value = "连接地址")
    private String linkurl;

    /**
     * 服务层地址
     */
    @ApiModelProperty(value = "服务层地址")
    private String serviceUrl;

    /**
     * 前端查看页面地址
     */
    @ApiModelProperty(value = "前端查看页面地址")
    private String infoUrl;

    /**
     * 状态
     */
    @ApiModelProperty(value = "1=启用，2=禁用")
    private Boolean type;
    /**
     * 保税区id
     */
    @PageDict(dicCode = "dept_id",dicText = "dept_name",dictTable = "sys_dept")
    @ApiModelProperty(value = "保税区id")
    private String cbId;
}
