package com.hjy.module.mapper.gather;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.hjy.module.domain.gether.CbGatherFee;
import com.hjy.module.vo.gather.CbGatherFeeVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * 数据采集明细Mapper接口
 *
 * @author Tellsea
 * @date 2023-08-30
 */
@Mapper
public interface CbGatherFeeMapper extends BaseMapper<CbGatherFee> {

    Page<CbGatherFeeVo> queryList(Page<?> page, @Param("entity") CbGatherFeeVo entity);

    List<CbGatherFeeVo> queryList(@Param("entity") CbGatherFeeVo entity);

    CbGatherFeeVo queryById(@Param("id") String id);


    List<CbGatherFeeVo> selectNormByGatherId(@Param("gatherId") String gatherId,@Param("userId") String userId);

    List<CbGatherFeeVo> selectGiveByGatherId(@Param("gatherId") String gatherId,@Param("userId") String userId);

    String getGatherId(@Param("map") Map<String,String> map);

    int computeCompireCalue(@Param("lastGatherId") String lastGatherId, @Param("gatherId") String gatherId);

    List<CbGatherFeeVo> queryByGatherId(@Param("gatherId") String gatherId);

    void deleteBygatherId(@Param("gatherId") String gatherId);

}
