package com.hjy.module.mapper.gather;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.hjy.module.domain.garden.TbGardenBaseData;
import com.hjy.module.domain.gether.CbGather;
import com.hjy.module.vo.gather.statistics.comprehensive.InAndOutVo;

import java.util.List;

/**
 * 保税区大屏统计数据采集Mapper接口
 *
 * @author Tellsea
 * @date 2023-08-30
 */
public interface CbGatherStatisticsBsqMapper extends BaseMapper<CbGather> {

    /**
     * 查询保税区重点项目情况
     *
     * @param deptId 保税区id
     * @return
     */
    List<InAndOutVo> getMajorProject(Integer deptId);

    /**
     * 经营总收入(亿元)
     *
     * @param deptId 保税区id
     * @return
     */
    List<InAndOutVo> getManageIncomeTotalList(Long deptId);

    /**
     * 企业结构占比
     * @param deptId
     * @return
     */
    List<TbGardenBaseData> getEnterpriseStructure(String deptId);

    List<TbGardenBaseData> getBusinessEvents(String deptId);
}
