package com.hjy.module.mapper.gather;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.hjy.module.domain.garden.TbEnterpriseScreenData;
import com.hjy.module.domain.gether.CbGather;
import com.hjy.module.vo.gather.statistics.comprehensive.DeptVO;
import com.hjy.module.vo.gather.statistics.comprehensive.GylgxVO;
import com.hjy.module.vo.gather.statistics.comprehensive.JyzsyVO;
import com.hjy.module.vo.gather.statistics.comprehensive.QyzyzbVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 企业大屏统计数据采集Mapper接口
 *
 * @author Tellsea
 * @date 2023-08-30
 */
public interface CbGatherStatisticsQyMapper extends BaseMapper<CbGather> {
    /**
     * 企业信息
     * @param deptId
     * @return
     */
    DeptVO getqybxx(Integer deptId);

    /**
     * 获取供应商数据
     * @param deptId
     * @return
     */
    List<GylgxVO> getgylgxgy(Integer deptId);

    /**
     * 获取企业主要指标
     * @param deptId
     */
    List<QyzyzbVO> getqyzyzb(Integer deptId);

    /**
     * 获取企业基本信息环比
     * @param deptId
     * @param begin
     * @param end
     * @return
     */
    JyzsyVO getqyjbxxhb(@Param("deptId") Integer deptId, @Param("begin") String begin,@Param("end") String end);

    /**
     * 供应商数据
     * @param deptId
     * @return
     */
    List<TbEnterpriseScreenData> screenData(@Param("deptId")String deptId);
}
