package com.hjy.module.mapper.gather;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.hjy.module.domain.gether.CbGather;
import com.hjy.module.vo.gather.CbGatherTmpVo;
import com.hjy.module.vo.gather.CbGatherVo;
import com.hjy.module.vo.gather.statistics.comprehensive.*;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 湾办大屏统计数据采集Mapper接口
 *
 * @author Tellsea
 * @date 2023-08-30
 */
public interface CbGatherStatisticsWbMapper extends BaseMapper<CbGather> {

    Page<CbGatherVo> queryList(Page<?> page, @Param("entity") CbGatherVo entity);

    /**
     * 综合保税区
     * 近年进出口总值-百分比
     * @param deptyId
     * @return
     */
    List<InAndOutVo> getInOutHalfaYearList(String deptyId);

    /**
     * 查询进出口总值/每月增长率
     * @param year
     * @return
     */
    List<TotalValueAllVO> getTotalValueAll(String year);

    /**
     * 各个保税区本年各项进出口值占比2
     * @param year 年份
     * @param month 月份
     * @param deptId 保税区id
     * @return
     */
    TotalValueVO getTotalValue(@Param("year") String year,@Param("month") String month , @Param("deptId") Integer deptId);

    /**
     * 各个保税区本年每月各项进出口值经营总收入
     * @param year 年份
     * @param deptId 保税区id
     * @return
     */
    List<MonthTotalValueVO> getMonthTotalValue(@Param("year") String year , @Param("deptId") Integer deptId);

    /**
     * 各个保税区本年各项进出口值占比1
     * @param year 年份
     * @return
     */
    List<JckzzbqkVO> getTotalValueBsq(@Param("month") String month,@Param("year")String year);

    /**
     * 获取广西进出口值
     * @param year
     * @return
     */
    List<TotalValueAllVO> getgxjckz(int year);

    CbGatherTmpVo selectTmp(String year);

    List<String> selectCode(@Param("year")String year,@Param("month") String month);
}
