package com.hjy.module.mapper.portal;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.hjy.module.domain.portal.CbExpertService;
import com.hjy.module.vo.portal.CbExpertServiceVo;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;
import org.apache.ibatis.annotations.Update;

import java.util.List;

/**
 * 专家服务配置Mapper接口
 *
 * @author Tellsea
 * @date 2023-08-23
 */
public interface CbExpertServiceMapper extends BaseMapper<CbExpertService> {

    Page<CbExpertServiceVo> queryList(Page<?> page, @Param("entity") CbExpertServiceVo entity);

    List<CbExpertServiceVo> queryList(@Param("entity") CbExpertServiceVo entity);

    CbExpertServiceVo queryById(@Param("id") String id);

    @Select("SELECT id, del_flag FROM cb_expert_service WHERE exper_id = #{experId} AND cb_id = #{cbId} AND del_flag = 1 ")
    CbExpertService getExper(@Param("experId") String experId, @Param("cbId") String cbId);

    @Update("update cb_expert_service set del_flag = '0' where id = #{id}")
    void updateId(@Param("id")String id);
}
