package com.hjy.module.mapper.totexp;


import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.hjy.module.domain.totexp.CbTotexp;
import com.hjy.module.vo.analysis.YearPercentage;
import com.hjy.module.vo.totexp.CbTotexpVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.ArrayList;
import java.util.List;

/**
 * 保税区进出口总值数据Mapper接口
 *
 * @author Tellsea
 * @date 2023-10-10
 */
@Mapper
public interface CbTotexpMapper extends BaseMapper<CbTotexp> {

    Page<CbTotexpVo> queryList(Page<?> page, @Param("entity") CbTotexpVo entity);

    List<CbTotexpVo> queryList(@Param("entity") CbTotexpVo entity);

    CbTotexpVo queryById(@Param("id") String id);

    List<CbTotexpVo> selectInOutYearList(@Param("year") String year, @Param("deptId") String deptId, @Param("deptType") Long deptType);


    ArrayList<YearPercentage> selectInoutYearPercentage();
}
