package com.hjy.module.service.article.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.hjy.common.constant.WorkFlowStatus;
import com.hjy.common.core.page.TableDataInfo;
import com.hjy.common.utils.PageUtils;
import com.hjy.module.domain.article.CbArticle;
import com.hjy.module.mapper.article.CbArticleMapper;
import com.hjy.module.service.article.ICbModifyArticleService;
import com.hjy.module.service.wf.WorkFlowInterface;
import com.hjy.module.vo.article.CbArticleVo;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 重点项目管理Service业务层处理
 *
 * @author Tellsea
 * @date 2023-09-19
 */
@Service("modifyarticleService")
public class CbModifyArticleServiceImpl extends ServiceImpl<CbArticleMapper, CbArticle> implements ICbModifyArticleService, WorkFlowInterface {

    @Override
    public TableDataInfo<CbArticleVo> queryList(CbArticleVo entity) {
        return PageUtils.buildDataInfo(this.baseMapper.queryList(PageUtils.buildPage(), entity));
    }

    @Override
    public List<CbArticleVo> queryAll(CbArticleVo entity) {
        return this.baseMapper.queryList(entity);
    }

    @Override
    public CbArticleVo queryById(String id) {
        return this.baseMapper.queryById(id);
    }

    @Override
    public Object getEntity(String fromDataId) {
        return this.baseMapper.queryById(fromDataId);
    }

    @Override
    public void cutInServiceFrom(String fromDataId, String pspStatus) {
        CbArticleVo cbArticleVo = new CbArticleVo();
        cbArticleVo.setId(fromDataId);
        switch (pspStatus){
            case WorkFlowStatus.APPROVE:  // 通过
                cbArticleVo.setStatus(3);
                this.baseMapper.updateById(cbArticleVo);
                break;
            case WorkFlowStatus.REJECT:   // 拒绝z
                cbArticleVo.setStatus(2);
                this.baseMapper.updateById(cbArticleVo);
                break;
            case WorkFlowStatus.GOBACK:   // 退回
                cbArticleVo.setStatus(0);
                this.baseMapper.updateById(cbArticleVo);
                break;
            case WorkFlowStatus.START:   // 发起
                cbArticleVo.setStatus(1);
                this.baseMapper.updateById(cbArticleVo);
        }
    }
}
