package com.hjy.module.service.commom;

import cn.hutool.core.util.ObjectUtil;
import com.hjy.common.utils.spring.SpringUtils;
import com.hjy.module.vo.commom.CbSystemHisVo;
import lombok.extern.slf4j.Slf4j;

@Slf4j
public class HisMethods {

    private static ICbSystemHisService systemHisService;

    private static void init(){
        if (ObjectUtil.isNull(systemHisService)){
            systemHisService = SpringUtils.getBean(ICbSystemHisService.class);
        }
    }
    static {
        init();
    }

    /**
     * 保存历史业务信息
     * @param module 模块（建议模块缩写 详情参考com.hjy.common.enums.HisModule）
     * @param fromId 相关业务id
     * @param fromJson 相关业务json
     * @param remark 备注
     */
    public static void saveFromHis(String module,String fromId,String fromJson,String remark){
        CbSystemHisVo his = new CbSystemHisVo();
        his.setModule(module);
        his.setRemark(remark);
        his.setFromId(fromId);
        his.setFromJson(fromJson);
        systemHisService.save(his);
    }

    /**
     * 保存历史业务信息
     * @param module 模块（建议模块缩写）
     * @param fromId 相关业务id
     * @param fromJson 相关业务json
     */
    public static void saveFromHis(String module,String fromId,String fromJson ){
        CbSystemHisVo his = new CbSystemHisVo();
        his.setModule(module);
        his.setFromId(fromId);
        his.setFromJson(fromJson);
        systemHisService.save(his);
    }
}
