package com.hjy.module.service.garden;


import com.baomidou.mybatisplus.extension.service.IService;
import com.hjy.common.core.page.TableDataInfo;
import com.hjy.module.domain.garden.TbBondedScreenData;
import com.hjy.module.vo.garden.TbBondedScreenDataVo;
import org.springframework.web.multipart.MultipartFile;

import java.io.IOException;
import java.util.List;

/**
 * 保税区大屏所需数据Service接口
 *
 * @author Tellsea
 * @date 2023-09-28
 */
public interface ITbBondedScreenDataService extends IService<TbBondedScreenData> {

    /**
     * 分页查询
     *
     * @param entity
     * @return
     */
    TableDataInfo<TbBondedScreenDataVo> queryList(TbBondedScreenDataVo entity);

    /**
     * 查询全部
     *
     * @param entity
     * @return
     */
    List<TbBondedScreenDataVo> queryAll(TbBondedScreenDataVo entity);

    /**
     * 根据ID查询
     *
     * @param id
     * @return
     */
    TbBondedScreenDataVo queryById(String id);


    /**
     * 导入excel数据
     * @param file
     * @return
     */
    public String importData(MultipartFile file) throws IOException;
}
