package com.hjy.module.service.garden;


import com.baomidou.mybatisplus.extension.service.IService;
import com.hjy.common.core.page.TableDataInfo;
import com.hjy.module.domain.garden.TbBondedUpply;
import com.hjy.module.vo.garden.TbBondedUpplyVo;
import org.springframework.web.multipart.MultipartFile;

import java.io.IOException;
import java.util.List;

/**
 * 保税区供应链数据Service接口
 *
 * @author Tellsea
 * @date 2023-09-28
 */
public interface ITbBondedUpplyService extends IService<TbBondedUpply> {

    /**
     * 分页查询
     *
     * @param entity
     * @return
     */
    TableDataInfo<TbBondedUpplyVo> queryList(TbBondedUpplyVo entity);

    /**
     * 查询全部
     *
     * @param entity
     * @return
     */
    List<TbBondedUpplyVo> queryAll(TbBondedUpplyVo entity);

    /**
     * 根据ID查询
     *
     * @param lddwmc
     * @return
     */
    TbBondedUpplyVo queryById(String lddwmc);

    /**
     * 导入excel数据
     * @param file
     * @return
     */
    public String importData(MultipartFile file) throws IOException;
}
