package com.hjy.module.service.garden;

import com.baomidou.mybatisplus.extension.service.IService;
import com.hjy.common.core.page.TableDataInfo;
import com.hjy.module.domain.garden.TbEconomicsIndex;
import com.hjy.module.vo.garden.TbEconomicsIndexVo;
import org.springframework.web.multipart.MultipartFile;

import java.io.IOException;
import java.util.List;

/**
 * 综合保税区经济运行主要指标Service接口
 *
 * @author Mechrevo
 * @date 2023-09-27
 */
public interface ITbEconomicsIndexService extends IService<TbEconomicsIndex> {

    /**
     * 分页查询
     *
     * @param entity
     * @return
     */
    TableDataInfo<TbEconomicsIndexVo> queryList(TbEconomicsIndexVo entity);

    /**
     * 查询全部
     *
     * @param entity
     * @return
     */
    List<TbEconomicsIndexVo> queryAll(TbEconomicsIndexVo entity);

    /**
     * 根据ID查询
     *
     * @param id
     * @return
     */
    TbEconomicsIndexVo queryById(String id);

    /**
     * excel文件上传
     * @param file
     * @return
     * @throws IOException
     */
    public String importData(MultipartFile file) throws IOException;

    /**
     * excel进行数据行列互换
     * @param file
     * @throws Exception
     */
    public void rowChangeLine(MultipartFile file) throws Exception;

    /**
     * 行读取excel
     * @param file
     */
    public List<TbEconomicsIndex> readLine(MultipartFile file) throws IOException;
}
