package com.hjy.module.service.garden;

import com.baomidou.mybatisplus.extension.service.IService;
import com.hjy.common.core.page.TableDataInfo;
import com.hjy.module.domain.garden.TbGardenTradeData;
import com.hjy.module.vo.garden.TbGardenTradeDataVo;
import org.springframework.web.multipart.MultipartFile;

import java.io.IOException;
import java.util.List;

/**
 * 园区贸易数据Service接口
 *
 * @author Mechrevo
 * @date 2023-09-26
 */
public interface TbGardenTradeDataService extends IService<TbGardenTradeData> {

    /**
     * 分页查询
     *
     * @param entity
     * @return
     */
    TableDataInfo<TbGardenTradeDataVo> queryList(TbGardenTradeDataVo entity);

    /**
     * 查询全部
     *
     * @param entity
     * @return
     */
    List<TbGardenTradeDataVo> queryAll(TbGardenTradeDataVo entity);

    /**
     * 根据ID查询
     *
     * @param gardenId
     * @return
     */
    TbGardenTradeDataVo queryById(String gardenId);

    /**
     * 导入保税区
     */
    String importTbGardenTradeData(List<TbGardenTradeDataVo> TbGardenTradeDataList, Boolean isUpdateSupport, String operName);

    /**
     * 导入
     * @param file excel文件
     * @return
     * @throws IOException
     */
    public String importData(MultipartFile file) throws IOException;
}
