package com.hjy.module.service.garden.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.hjy.common.annotation.DataScope;
import com.hjy.common.core.page.TableDataInfo;
import com.hjy.common.utils.PageUtils;
import com.hjy.module.domain.garden.TbEnterpriseTradePerformance;
import com.hjy.module.mapper.garden.TbEnterpriseTradePerformanceMapper;
import com.hjy.module.service.garden.ITbEnterpriseTradePerformanceService;
import com.hjy.module.vo.garden.TbEnterpriseTradePerformanceVo;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 企业贸易绩效数据（每个月填报）Service业务层处理
 *
 * @author Tellsea
 * @date 2023-10-11
 */
@Service
public class TbEnterpriseTradePerformanceServiceImpl extends ServiceImpl<TbEnterpriseTradePerformanceMapper, TbEnterpriseTradePerformance> implements ITbEnterpriseTradePerformanceService {
    @DataScope(deptAlias="A")
    @Override
    public TableDataInfo<TbEnterpriseTradePerformanceVo> queryList(TbEnterpriseTradePerformanceVo entity) {
        return PageUtils.buildDataInfo(this.baseMapper.queryList(PageUtils.buildPage(), entity));
    }

    @Override
    public List<TbEnterpriseTradePerformanceVo> queryAll(TbEnterpriseTradePerformanceVo entity) {
        return this.baseMapper.queryList(entity);
    }

    @Override
    public TbEnterpriseTradePerformanceVo queryById(String id) {
        return this.baseMapper.queryById(id);
    }
}
