package com.hjy.module.service.gather;

import com.baomidou.mybatisplus.extension.service.IService;
import com.hjy.common.core.page.TableDataInfo;
import com.hjy.module.domain.gether.CbGatherFee;
import com.hjy.module.vo.gather.CbGatherFeeVo;

import java.util.List;

/**
 * 数据采集明细Service接口
 *
 * @author Tellsea
 * @date 2023-08-30
 */
public interface ICbGatherFeeService extends IService<CbGatherFee> {

    /**
     * 分页查询
     *
     * @param entity
     * @return
     */
    TableDataInfo<CbGatherFeeVo> queryList(CbGatherFeeVo entity);

    /**
     * 查询全部
     *
     * @param entity
     * @return
     */
    List<CbGatherFeeVo> queryAll(CbGatherFeeVo entity);

    /**
     * 根据ID查询
     *
     * @param id
     * @return
     */
    CbGatherFeeVo queryById(String id);

    /**
     * 根据 type 和 gatherId 查询对应的数据指标
     *
     * @param type     类型 月报 或者 量化
     * @param gatherId 数据采集id
     * @return 获取到的对象
     */
    List<CbGatherFeeVo> queryByTypeAndGatherId( String gatherId,Long userId);
}
