package com.hjy.module.service.gather;

import com.baomidou.mybatisplus.extension.service.IService;
import com.hjy.common.core.page.TableDataInfo;
import com.hjy.module.domain.gether.CbGather;
import com.hjy.module.vo.gather.CbGatherVo;
import com.hjy.module.vo.gather.vo.TaxTableVo;
import com.hjy.module.vo.totexp.CbTotexpVo;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletResponse;
import java.io.IOException;
import java.util.List;

/**
 * 数据采集Service接口
 *
 * @author Tellsea
 * @date 2023-08-30
 */
public interface ICbGatherService extends IService<CbGather> {

    /**
     * 分页查询
     *
     * @param entity
     * @return
     */
    TableDataInfo<CbGatherVo> queryList(CbGatherVo entity);

    /**
     * 查询全部
     *
     * @param entity
     * @return
     */
    List<CbGatherVo> queryAll(CbGatherVo entity);

    /**
     * 根据ID查询
     *
     * @param id
     * @return
     */
    CbGatherVo queryById(String id);

    CbGatherVo queryById(String id, Long userId);


    /**
     * 获取可采集的数据
     *
     * @param id
     * @return
     */
    CbGatherVo getInfoByColl(String id);

    /**
     * 保存采集数据
     *
     * @param entity
     * @return
     */
    boolean saveEntity(CbGatherVo entity);

    /**
     * 修改采集数据
     *
     * @param entity
     * @return
     */
    boolean updateEntity(CbGatherVo entity);

    /**
     * 下载导入模板
     *
     * @param response
     * @param id
     */
    void downloadModlue(HttpServletResponse response, String id) throws IOException;

    /**
     * 生成报表积分数据
     *
     * @param entity
     */
    void insertGatherStatisData(CbGatherVo entity);

    /**
     * 数据类型(0=量化指标数据,1=月报表数据)
     *
     * @param file
     * @param type
     * @param mark 标识类型(1:海关部分贸易报表,2:海关进出口总值报表)
     * @return
     */
    void customsUpload(MultipartFile file, String type, String mark) throws IOException;

    public TaxTableVo readExcelData(MultipartFile file, String type);


    List<CbTotexpVo> queryInoutYearList(String recentYears);

    List<CbTotexpVo> queryInoutYearPercentage(String recentYears);

    /**
     *  更新临时表数据
     * @param year 年份
     * @param month 月份
     */
    void updateTmp(String year, String month, String deptId);
}
