package com.hjy.module.service.gather;

import com.baomidou.mybatisplus.extension.service.IService;
import com.hjy.common.core.domain.AjaxResult;
import com.hjy.module.domain.garden.TbGardenBaseData;
import com.hjy.module.domain.gether.CbGather;
import com.hjy.module.vo.article.CbArticleVo;
import com.hjy.module.vo.gather.statistics.comprehensive.MonthTotalValueVO;
import com.hjy.module.vo.statistics.NormCollValueVo;

import java.util.List;
import java.util.Map;

/**
 * 保税区大屏Service接口
 *
 * @author Tellsea
 * @date 2023-10-11
 */
public interface ICbGatherStatisticsBsqService  extends IService<CbGather> {

    /**
     * 查询保税区重点项目情况
     * @param deptId 保税区id
     * @return
     */
    List<CbArticleVo> getMajorProject(String deptId);

    /**
     * 各个保税区本年各项进出口值占比
     * @param deptId 保税区id
     * @return
     */
    Map<Integer, Map<String, List<NormCollValueVo>>> getTotalValue(Integer deptId, String year, String month);
    /**
     * 各个保税区本年每月各项进出口值经营总收入
     * @param deptId 保税区id
     * @return
     */
    List<MonthTotalValueVO> getMonthTotalValue(Integer deptId);

    /**
     * 企业名录
     * @param deptId 保税区ID ,  不是企业ID
     */
    List<TbGardenBaseData> enterpriseDirectories(String deptId);

    /**
     * 企业结构占比
     */
    AjaxResult getEnterpriseStructure(String deptId);

    /**
     * 企业业务统计
     * @param deptId
     * @return
     */
    AjaxResult getBusinessEvents(String deptId);
}
