package com.hjy.module.service.gather;

import com.baomidou.mybatisplus.extension.service.IService;
import com.hjy.common.core.domain.AjaxResult;
import com.hjy.module.domain.gether.CbGather;
import com.hjy.module.vo.garden.DeptVo;
import com.hjy.module.vo.garden.EnterpriseMainIndexVo;
import com.hjy.module.vo.gather.EnterpriseDataVo;
import com.hjy.module.vo.gather.statistics.comprehensive.DeptVO;
import com.hjy.module.vo.gather.statistics.comprehensive.GylgxVO;
import com.hjy.module.vo.gather.statistics.comprehensive.JyzsyVO;
import com.hjy.module.vo.gather.statistics.comprehensive.QyzyzbVO;

import java.util.List;

/**
 * 企业大屏Service接口
 *
 * @author Tellsea
 * @date 2023-10-11
 */
public interface ICbGatherStatisticsQyService extends IService<CbGather> {

    /**
     * 查询企业基本信息
     * @param deptId
     * @return
     */
    DeptVO getqyjbxx(Integer deptId);

    /**
     * 获取供应链数据
     * @param deptId
     * @return
     */
    List<GylgxVO> getgylgxgs(Integer deptId);
    /**
     * 进出口总值园区今年占比
     */
    List<EnterpriseDataVo> jckzzyqjnzb(String companyId);


    void lnzxbj(String companyId);
    /**
     * 企业主要指标
     * @param deptId
     * @return
     */
    List<QyzyzbVO> getqyzyzb(Integer deptId);

    /**
     * 企业基本信息环比
     * @param deptId
     * @return
     */
    JyzsyVO qyjbxxhb(Integer deptId);


    /**
     * 企业的主要指标项
     * @param companyId 企业主键
     */
    List<EnterpriseMainIndexVo> enterpriseMainIndex(String companyId);

    /**
     * 企业基本信息和其他指标项
     */
    DeptVo abc(String deptId);

    AjaxResult queryList(String deptId);

    /**
     * 供应商数据
     * @param deptId
     * @return
     */
    AjaxResult screenData(String deptId);
}
