package com.hjy.module.service.gather;

import com.baomidou.mybatisplus.extension.service.IService;
import com.hjy.common.core.domain.AjaxResult;
import com.hjy.common.core.page.TableDataInfo;
import com.hjy.module.domain.gether.CbGather;
import com.hjy.module.vo.gather.CbGatherTmpVo;
import com.hjy.module.vo.gather.CbGatherVo;
import com.hjy.module.vo.gather.statistics.comprehensive.InAndOutVo;
import com.hjy.module.vo.statistics.NormCollValueVo;

import java.util.List;
import java.util.Map;

/**
 * 湾办大屏Service接口
 *
 * @author Tellsea
 * @date 2023-10-11
 */
public interface ICbGatherStatisticsWbService extends IService<CbGather> {

    /**
     * 分页查询
     *
     * @param entity
     * @return
     */
    TableDataInfo<CbGatherVo> queryList(CbGatherVo entity);


    /**
     * 近半年进出口总值
     * @return
     */
    List<InAndOutVo> getInOutHalfaYearList();

    /**
     * 广西综保区本年各项进出口值占比2
     * @return
     */
    Map<Integer, Map<String, List<NormCollValueVo>>> getTotalValue(Integer deptId, String year, String month);

    /**
     * 广西综保区本年各项进出口值占比1
     * @return
     */
    Map<Integer, Map<String, List<NormCollValueVo>>> getTotalValueBsq(String year, String month);

    /**
     * 广西本年进出口总值趋势图(亿元)
     * @return
     */
    AjaxResult getAllTotalValue();

    /**
     * 获取数据最新的月份年份
     * @return
     */
    CbGatherTmpVo selectTmp(String year);

    List<String> selectCode(String year, String month);
}

