package com.hjy.module.service.gather.impl;

import cn.hutool.core.collection.CollectionUtil;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.hjy.common.core.page.TableDataInfo;
import com.hjy.common.core.text.Convert;
import com.hjy.common.utils.PageUtils;
import com.hjy.common.utils.SecurityUtils;
import com.hjy.module.domain.gether.CbGatherFee;
import com.hjy.module.mapper.gather.CbGatherFeeMapper;
import com.hjy.module.service.gather.ICbGatherFeeService;
import com.hjy.module.vo.gather.CbGatherFeeVo;
import lombok.RequiredArgsConstructor;
import org.apache.commons.lang3.ObjectUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 数据采集明细Service业务层处理
 *
 * @author Tellsea
 * @date 2023-08-30
 */
@Service
@RequiredArgsConstructor(onConstructor_ = {@Autowired})
public class CbGatherFeeServiceImpl extends ServiceImpl<CbGatherFeeMapper, CbGatherFee> implements ICbGatherFeeService {


    private final CbGatherFeeMapper gatherFeeMapper;


    @Override
    public TableDataInfo<CbGatherFeeVo> queryList(CbGatherFeeVo entity) {
        return PageUtils.buildDataInfo(this.baseMapper.queryList(PageUtils.buildPage(), entity));
    }

    @Override
    public List<CbGatherFeeVo> queryAll(CbGatherFeeVo entity) {
        return this.baseMapper.queryList(entity);
    }

    @Override
    public CbGatherFeeVo queryById(String id) {
        return this.baseMapper.queryById(id);
    }

    @Override
    public List<CbGatherFeeVo> queryByTypeAndGatherId(String gatherId,Long userId) {
        if (ObjectUtils.isEmpty(userId)) userId = SecurityUtils.getUserId();
        List<CbGatherFeeVo> roleFeeList = gatherFeeMapper.selectNormByGatherId(gatherId,Convert.toStr(userId));
        List<CbGatherFeeVo> allFeeList = gatherFeeMapper.selectNormByGatherId(gatherId,null);
        for (CbGatherFeeVo feeVo : allFeeList){
            if (CollectionUtil.isNotEmpty(roleFeeList) && !roleFeeList.isEmpty()){
                feeVo.setSendValue("1");
                for (CbGatherFeeVo roleFee : roleFeeList){
                    if (roleFee.getNormfeeId().equals(feeVo.getNormfeeId())){
                        feeVo.setSendValue("0");
                        break;
                    }
                }
            }
        }
        return allFeeList;
    }
}
