package com.hjy.module.service.gather.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.hjy.common.annotation.DataScope;
import com.hjy.common.core.page.TableDataInfo;
import com.hjy.common.utils.PageUtils;
import com.hjy.module.domain.gether.CbGatherWarning;
import com.hjy.module.mapper.gather.CbGatherWarningMapper;
import com.hjy.module.service.gather.ICbGatherWarningService;
import com.hjy.module.vo.gather.CbGatherWarningVo;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 数据采集预警Service业务层处理
 *
 * @author Tellsea
 * @date 2023-08-30
 */
@Service
public class CbGatherWarningServiceImpl extends ServiceImpl<CbGatherWarningMapper, CbGatherWarning> implements ICbGatherWarningService {

    @DataScope(deptAlias="A")
    @Override
    public TableDataInfo<CbGatherWarningVo> queryList(CbGatherWarningVo entity) {
        return PageUtils.buildDataInfo(this.baseMapper.queryList(PageUtils.buildPage(), entity));
    }

    @Override
    public List<CbGatherWarningVo> queryAll(CbGatherWarningVo entity) {
        return this.baseMapper.queryList(entity);
    }

    @Override
    public CbGatherWarningVo queryById(String id) {
        return this.baseMapper.queryById(id);
    }

    /**
     *  校验明细数据是否已存在
     * @param gatherId
     * @param gatherFeeId
     * @return
     */
    @Override
    public int checkByGatherData(String gatherId, String gatherFeeId){
        return lambdaQuery()
                .eq(CbGatherWarning::getGetherId,gatherId)
                .eq(CbGatherWarning::getGetherfeeId,gatherFeeId)
                .eq(CbGatherWarning::getStatus,"0")
                .eq(CbGatherWarning::getDelFlag,"0")
                .count();
    }
}
