package com.hjy.module.service.midwest.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.hjy.common.core.page.TableDataInfo;
import com.hjy.common.utils.PageUtils;

import com.hjy.module.domain.midwest.TbMidwest;
import com.hjy.module.mapper.midwest.TbMidwestMapper;
import com.hjy.module.service.midwest.ITbMidwestService;
import com.hjy.module.vo.midwest.TbMidwestVo;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 中西部综保区Service业务层处理
 *
 * @author Tellsea
 * @date 2024-06-24
 */
@Service
public class TbMidwestServiceImpl extends ServiceImpl<TbMidwestMapper, TbMidwest> implements ITbMidwestService {

    @Override
    public TableDataInfo<TbMidwestVo> queryList(TbMidwestVo entity) {
        return PageUtils.buildDataInfo(this.baseMapper.queryList(PageUtils.buildPage(), entity));
    }

    @Override
    public List<TbMidwestVo> queryAll(TbMidwestVo entity) {
        return this.baseMapper.queryList(entity);
    }


    @Override
    public TbMidwestVo queryById(String id) {
        return this.baseMapper.queryById(id);
    }
}
