package com.hjy.module.service.news.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.hjy.common.constant.WorkFlowStatus;
import com.hjy.common.core.page.TableDataInfo;
import com.hjy.common.utils.PageUtils;
import com.hjy.module.domain.news.CbNews;
import com.hjy.module.mapper.news.CbNewsMapper;
import com.hjy.module.service.news.ICbModifyNewsService;
import com.hjy.module.service.wf.WorkFlowInterface;
import com.hjy.module.vo.news.CbNewsVo;
import org.springframework.stereotype.Service;

import java.time.LocalDateTime;
import java.util.List;

/**
 * 网站新闻Service业务层处理
 *
 * @author Tellsea
 * @date 2023-08-22
 */
@Service("modifyNewsService")
public class CbModifyNewsServiceImpl extends ServiceImpl<CbNewsMapper, CbNews> implements ICbModifyNewsService , WorkFlowInterface {

    @Override
    public TableDataInfo<CbNewsVo> queryList(CbNewsVo entity) {
        return PageUtils.buildDataInfo(this.baseMapper.queryList(PageUtils.buildPage(), entity,null));
    }

    @Override
    public List<CbNewsVo> queryAll(CbNewsVo entity,Long num) {
        return this.baseMapper.queryList(entity,num);
    }

    @Override
    public CbNewsVo queryById(String id) {
        return this.baseMapper.queryById(id);
    }

    @Override
    public Object getEntity(String fromDataId) {
        return this.baseMapper.queryById(fromDataId);
    }

    /**
     * 节点审核过程中回调业务接口
     * @param fromDataId
     * @param pspStatus
     */
    @Override
    public void cutInServiceFrom(String fromDataId, String pspStatus) {
        CbNews cbNews = new CbNews();
        cbNews.setId(fromDataId);
        switch (pspStatus){
            case WorkFlowStatus.APPROVE:  // 通过
                cbNews.setStatus("3");
                cbNews.setAuditTime(LocalDateTime.now().toString());
                this.baseMapper.updateById(cbNews);
                break;
            case WorkFlowStatus.REJECT:   // 拒绝
                cbNews.setStatus("2");
                cbNews.setAuditTime(LocalDateTime.now().toString());
                this.baseMapper.updateById(cbNews);
                break;
            case WorkFlowStatus.GOBACK:   // 退回
                cbNews.setStatus("0");
                this.baseMapper.updateById(cbNews);
                break;
            case WorkFlowStatus.START:   // 发起
                cbNews.setStatus("1");
                this.baseMapper.updateById(cbNews);
        }
    }
}
