package com.hjy.module.service.norm.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.hjy.common.core.page.TableDataInfo;
import com.hjy.common.utils.MathUtils;
import com.hjy.common.utils.PageUtils;
import com.hjy.module.domain.norm.CbContrast;
import com.hjy.module.domain.norm.CbContrastConfig;
import com.hjy.module.domain.norm.CbNormFee;
import com.hjy.module.mapper.norm.CbContrastMapper;
import com.hjy.module.service.norm.ICbContrastConfigService;
import com.hjy.module.service.norm.ICbContrastService;
import com.hjy.module.service.norm.ICbNormFeeService;
import com.hjy.module.vo.norm.CbContrastVo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.math.BigDecimal;
import java.util.List;

/**
 * 对比模型公式Service业务层处理
 *
 * @author Tellsea
 * @date 2023-08-24
 */
@Service
public class CbContrastServiceImpl extends ServiceImpl<CbContrastMapper, CbContrast> implements ICbContrastService {


    @Autowired
    private ICbNormFeeService normFeeService;

    @Autowired
    private ICbContrastConfigService contrastConfigService;

    @Override
    public TableDataInfo<CbContrastVo> queryList(CbContrastVo entity) {
        return PageUtils.buildDataInfo(this.baseMapper.queryList(PageUtils.buildPage(), entity));
    }

    @Override
    public List<CbContrastVo> queryAll(CbContrastVo entity) {
        return this.baseMapper.queryList(entity);
    }

    @Override
    public CbContrastVo queryById(String id) {
        return this.baseMapper.queryById(id);
    }

    @Override
    public boolean saveEntity(CbContrastVo entity) {
        BigDecimal resultValue = comContrstResult(entity); // 计算最终结果
        entity.setResult(resultValue);
        return this.save(entity);
    }



    @Override
    public boolean editEntity(CbContrastVo entity) {
        BigDecimal resultValue = comContrstResult(entity); // 计算最终结果
        entity.setResult(resultValue);
        return this.updateById(entity);
    }

    private BigDecimal comContrstResult(CbContrastVo entity) {
        String value1 = "";  // 第一个参数值
        if (entity.getSource1().equals("0")){ // 手动输入
            value1 = entity.getConfigValue1();
        }else if (entity.getSource1().equals("1")){ // 指标输入
            CbNormFee normFee = normFeeService.getById(entity.getConfigValue1());
            value1 = normFee.getFvalue();
        }else if (entity.getSource1().equals("2")){
            CbContrastConfig contrastConfig = contrastConfigService.getById(entity.getConfigValue1());
            value1 = contrastConfig.getValue();
        }

        String value2 = "";  // 第二个参数值
        if (entity.getSource2().equals("0")){ // 手动输入
            value2 = entity.getConfigValue2();
        }else if (entity.getSource2().equals("1")){ // 指标输入
            CbNormFee normFee = normFeeService.getById(entity.getConfigValue2());
            value2 = normFee.getFvalue();
        }else if (entity.getSource2().equals("2")){
            CbContrastConfig contrastConfig = contrastConfigService.getById(entity.getConfigValue2());
            value2 = contrastConfig.getValue();
        }
        String mathStr = value1+entity.getOperation()+value2;
        BigDecimal result = MathUtils.evalMath(mathStr);
        if (entity.getTageFlag().equals("1")){ // 转换百分比
            result = result.multiply(new BigDecimal(100));
        }
        return result;
    }

}
