package com.hjy.module.service.norm.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.hjy.common.constant.WorkFlowStatus;
import com.hjy.common.core.page.TableDataInfo;
import com.hjy.common.utils.PageUtils;
import com.hjy.module.domain.norm.CbNorm;
import com.hjy.module.mapper.norm.CbNormMapper;
import com.hjy.module.service.norm.ICbNormService;
import com.hjy.module.service.wf.WorkFlowInterface;
import com.hjy.module.vo.norm.CbNormVo;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 指标分类Service业务层处理
 *
 * @author Tellsea
 * @date 2023-08-21
 */
@Service("normService")
public class CbNormServiceImpl extends ServiceImpl<CbNormMapper, CbNorm> implements ICbNormService, WorkFlowInterface {

    @Override
    public TableDataInfo<CbNormVo> queryList(CbNormVo entity) {
        return PageUtils.buildDataInfo(this.baseMapper.queryList(PageUtils.buildPage(), entity));
    }

    @Override
    public List<CbNormVo> queryAll(CbNormVo entity) {
        return this.baseMapper.queryList(entity);
    }

    @Override
    public CbNormVo queryById(String id) {
        return this.baseMapper.queryById(id);
    }

    /**
     * 获取当前业务数据
     * @param fromDataId
     * @return
     */
    @Override
    public Object getEntity(String fromDataId) {
        return this.getById(fromDataId);
    }

    /**
     * 节点审核过程中回调业务接口
     * @param fromDataId
     * @param pspStatus
     */
    @Override
    public void cutInServiceFrom(String fromDataId, String pspStatus) {
        switch (pspStatus){
            case WorkFlowStatus.APPROVE:  // 通过

                break;
            case WorkFlowStatus.REJECT:   // 拒绝

                break;
            case WorkFlowStatus.GOBACK:   // 退回

                break;
            default:

                break;
        }
    }

    @Override
    public boolean checkName(String name, String id) {
        LambdaQueryWrapper<CbNorm> queryWrapper = new LambdaQueryWrapper<>();
        queryWrapper.eq(CbNorm::getName, name);
        if(null != id ) {
            queryWrapper.ne(CbNorm::getId, id);
        }
        int count =  this.count(queryWrapper);

        return count > 0 ? false : true;
    }
}
