package com.hjy.module.service.norm.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.hjy.common.core.page.TableDataInfo;
import com.hjy.common.utils.PageUtils;
import com.hjy.module.domain.norm.CbQuotaFee;
import com.hjy.module.mapper.norm.CbQuotaFeeMapper;
import com.hjy.module.service.norm.ICbQuotaFeeService;
import com.hjy.module.service.norm.ICbQuotaService;
import com.hjy.module.vo.norm.CbQuotaFeeVo;
import com.hjy.module.vo.norm.CbQuotaVo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 辅助指标明细Service业务层处理
 *
 * @author lbl
 * @date 2023-10-08
 */
@Service
public class CbQuotaFeeServiceImpl extends ServiceImpl<CbQuotaFeeMapper, CbQuotaFee> implements ICbQuotaFeeService {

    @Autowired
    private ICbQuotaService cbQuotaService;

    @Override
    public TableDataInfo<CbQuotaFeeVo> queryList(CbQuotaFeeVo entity) {
        return PageUtils.buildDataInfo(this.baseMapper.queryList(PageUtils.buildPage(), entity));
    }

    @Override
    public List<CbQuotaFeeVo> queryAll(CbQuotaFeeVo entity) {
        List<CbQuotaFeeVo> cbQuotaFee = this.baseMapper.queryAll();
        List<CbQuotaFeeVo> cbQuotaFeeVos = this.baseMapper.queryList(entity);
        for (CbQuotaFeeVo cbQuotaFeeVo : cbQuotaFee) {
            if (cbQuotaFeeVos.contains(cbQuotaFeeVo)){
                cbQuotaFeeVo.setFlag(true);
            }
        }
        return cbQuotaFee;
    }

    @Override
    public CbQuotaFeeVo queryById(String id) {
        return this.baseMapper.queryById(id);
    }

    @Override
    public boolean add(CbQuotaFeeVo entity) {
        String normId = entity.getNormId();

        CbQuotaVo quotaVo = new CbQuotaVo();
        quotaVo.setId(normId);
        TableDataInfo<CbQuotaVo> quotaTableDataInfo = cbQuotaService.queryList(quotaVo);
        if(quotaTableDataInfo.getTotal()>0) {
            entity.setNormName(quotaTableDataInfo.getRows().get(0).getName());
        }
        entity.setStatus("1");
        return save(entity);
    }
}
