package com.hjy.module.service.portal;

import com.baomidou.mybatisplus.extension.service.IService;
import com.hjy.common.core.page.TableDataInfo;
import com.hjy.module.domain.portal.CbExpertService;
import com.hjy.module.vo.portal.CbExpertServiceVo;

import java.util.List;

/**
 * 专家服务配置Service接口
 *
 * @author Tellsea
 * @date 2023-08-23
 */
public interface ICbExpertServiceService extends IService<CbExpertService> {

    /**
     * 分页查询
     *
     * @param entity
     * @return
     */
    TableDataInfo<CbExpertServiceVo> queryList(CbExpertServiceVo entity);

    /**
     * 查询全部
     *
     * @param entity
     * @return
     */
    List<CbExpertServiceVo> queryAll(CbExpertServiceVo entity);

    /**
     * 根据ID查询
     *
     * @param id
     * @return
     */
    CbExpertServiceVo queryById(String id);

    /**
     * 查询用户id下的标签
     *
     * @param
     * @return
     */
    List<CbExpertService> get(String id);

    /**
     * 查询有没有该条标签记录
     * @param entity
     * @return
     */
    CbExpertService getExper(CbExpertServiceVo entity);

    /**
     * 恢复之前删除的标签
     * @param existingRecord
     */
    void updateId(CbExpertService existingRecord);
}
