package com.hjy.module.service.portal;

import com.baomidou.mybatisplus.extension.service.IService;
import com.hjy.common.core.domain.entity.SysDept;
import com.hjy.common.core.page.TableDataInfo;
import com.hjy.module.domain.portal.CbJointConference;
import com.hjy.module.vo.portal.CbJointConferenceVo;

import java.util.List;

/**
 * 联席会议Service接口
 *
 * @author Tellsea
 * @date 2023-09-27
 */
public interface ICbJointConferenceService extends IService<CbJointConference> {

    /**
     * 分页查询
     *
     * @param entity
     * @return
     */
    TableDataInfo<CbJointConferenceVo> queryList(CbJointConferenceVo entity);

    /**
     * 查询全部
     *
     * @param entity
     * @return
     */
    List<CbJointConferenceVo> queryAll(CbJointConferenceVo entity);

    /**
     * 根据ID查询
     *
     * @param id
     * @return
     */
    CbJointConferenceVo queryById(String id);

    /**
     * 查询部门列表
     * @param dept
     * @return
     */
    List<SysDept> selectDeptList(SysDept dept);
}
