package com.hjy.module.service.portal;

import com.baomidou.mybatisplus.extension.service.IService;
import com.hjy.common.core.page.TableDataInfo;
import com.hjy.module.domain.portal.CbQuestion;
import com.hjy.module.vo.portal.CbJudgeCountVo;
import com.hjy.module.vo.portal.CbQuestionVo;

import java.util.List;

/**
 * 咨询信息Service接口
 *
 * @author Tellsea
 * @date 2023-08-23
 */
public interface ICbQuestionService extends IService<CbQuestion> {

    /**
     * 分页查询
     *
     * @param entity
     * @return
     */
    TableDataInfo<CbQuestionVo> queryList(CbQuestionVo entity);

    /**
     * 查询全部
     *
     * @param entity
     * @return
     */
    List<CbQuestionVo> queryAll(CbQuestionVo entity);

    /**
     * 根据ID查询
     *
     * @param answerId
     * @return
     */
    CbQuestionVo queryById(String answerId);

    /**
     * 查询专家的好中差评数量
     *
     * @param entity
     * @return
     */
    List<CbJudgeCountVo> evaluate(CbQuestionVo entity);
}
