package com.hjy.module.service.portal.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.hjy.common.core.page.TableDataInfo;
import com.hjy.common.utils.PageUtils;
import com.hjy.module.domain.portal.CbDataFilling;
import com.hjy.module.mapper.portal.CbDataFillingMapper;
import com.hjy.module.service.portal.ICbDataFillingService;
import com.hjy.module.vo.portal.CbDataFillingVo;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 数据填报记录Service业务层处理
 *
 * @author Tellsea
 * @date 2023-09-26
 */
@Service
public class CbDataFillingServiceImpl extends ServiceImpl<CbDataFillingMapper, CbDataFilling> implements ICbDataFillingService {

    @Override
    public TableDataInfo<CbDataFillingVo> queryList(CbDataFillingVo entity) {
        return PageUtils.buildDataInfo(this.baseMapper.queryList(PageUtils.buildPage(), entity));
    }

    @Override
    public List<CbDataFillingVo> queryAll(CbDataFillingVo entity) {
        return this.baseMapper.queryList(entity);
    }

    @Override
    public CbDataFillingVo queryById(String id) {
        return this.baseMapper.queryById(id);
    }
}
