package com.hjy.module.service.portal.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.hjy.common.core.page.TableDataInfo;
import com.hjy.common.utils.PageUtils;
import com.hjy.module.domain.portal.CbExpertService;
import com.hjy.module.mapper.portal.CbExpertServiceMapper;
import com.hjy.module.service.portal.ICbExpertServiceService;
import com.hjy.module.vo.portal.CbExpertServiceVo;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 专家服务配置Service业务层处理
 *
 * @author Tellsea
 * @date 2023-08-23
 */
@Service
public class CbExpertServiceServiceImpl extends ServiceImpl<CbExpertServiceMapper, CbExpertService> implements ICbExpertServiceService {

    @Override
    public TableDataInfo<CbExpertServiceVo> queryList(CbExpertServiceVo entity) {
        return PageUtils.buildDataInfo(this.baseMapper.queryList(PageUtils.buildPage(), entity));
    }

    @Override
    public List<CbExpertServiceVo> queryAll(CbExpertServiceVo entity) {
        return this.baseMapper.queryList(entity);
    }

    @Override
    public CbExpertServiceVo queryById(String id) {
        return this.baseMapper.queryById(id);
    }

    @Override
    public List<CbExpertService> get(String id) {
        LambdaQueryWrapper<CbExpertService> wrapper = new LambdaQueryWrapper<>();
        wrapper.eq(CbExpertService::getExperId,id);
        return this.baseMapper.selectList(wrapper);
    }

    @Override
    public CbExpertService getExper(CbExpertServiceVo entity) {
        return this.baseMapper.getExper(entity.getExperId(),entity.getCbId());
    }

    @Override
    public void updateId(CbExpertService existingRecord) {
        this.baseMapper.updateId(existingRecord.getId());
    }
}
