package com.hjy.module.service.portal.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.hjy.common.core.page.TableDataInfo;
import com.hjy.common.utils.PageUtils;
import com.hjy.module.domain.portal.CbFriendlyLinks;
import com.hjy.module.mapper.portal.CbFriendlyLinksMapper;
import com.hjy.module.service.portal.ICbFriendlyLinksService;
import com.hjy.module.vo.portal.CbFriendlyLinksVo;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 友情链接Service业务层处理
 *
 * @author Tellsea
 * @date 2023-08-23
 */
@Service
public class CbFriendlyLinksServiceImpl extends ServiceImpl<CbFriendlyLinksMapper, CbFriendlyLinks> implements ICbFriendlyLinksService {

    @Override
    public TableDataInfo<CbFriendlyLinksVo> queryList(CbFriendlyLinksVo entity) {
        return PageUtils.buildDataInfo(this.baseMapper.queryList(PageUtils.buildPage(), entity));
    }

    @Override
    public List<CbFriendlyLinksVo> queryAll(CbFriendlyLinksVo entity) {
        return this.baseMapper.queryList(entity);
    }

    @Override
    public CbFriendlyLinksVo queryById(Long id) {
        return this.baseMapper.queryById(id);
    }
}
