package com.hjy.module.service.portal.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.hjy.common.core.domain.entity.SysDept;
import com.hjy.common.core.page.TableDataInfo;
import com.hjy.common.utils.PageUtils;
import com.hjy.module.domain.portal.CbJointConference;
import com.hjy.module.mapper.portal.CbJointConferenceMapper;
import com.hjy.module.service.portal.ICbJointConferenceService;
import com.hjy.module.vo.portal.CbJointConferenceVo;
import com.hjy.system.mapper.SysDeptMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 联席会议Service业务层处理
 *
 * @author Tellsea
 * @date 2023-09-27
 */
@Service
public class CbJointConferenceServiceImpl extends ServiceImpl<CbJointConferenceMapper, CbJointConference> implements ICbJointConferenceService {


    @Autowired
    private SysDeptMapper deptMapper;

    @Override
    public TableDataInfo<CbJointConferenceVo> queryList(CbJointConferenceVo entity) {
        return PageUtils.buildDataInfo(this.baseMapper.queryList(PageUtils.buildPage(), entity));
    }

    @Override
    public List<CbJointConferenceVo> queryAll(CbJointConferenceVo entity) {
        return this.baseMapper.queryList(entity);
    }

    @Override
    public CbJointConferenceVo queryById(String id) {
        return this.baseMapper.queryById(id);
    }

    @Override
    public List<SysDept> selectDeptList(SysDept dept) {
        return deptMapper.selectDeptList(dept);

    }
}
