package com.hjy.module.service.portal.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.hjy.common.constant.WorkFlowStatus;
import com.hjy.common.core.page.TableDataInfo;
import com.hjy.common.utils.PageUtils;
import com.hjy.module.domain.portal.CbCounselingMessage;
import com.hjy.module.mapper.portal.CbCounselingMessageMapper;
import com.hjy.module.service.portal.ICbModifyCounselingMessageService;
import com.hjy.module.service.wf.WorkFlowInterface;
import com.hjy.module.vo.portal.CbCounselingMessageVo;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 咨询信息Service业务层处理
 *
 * @author Tellsea
 * @date 2023-08-31
 */
@Service("modifyCounselingMessageService")
public class CbModifyCounselingMessageServiceImpl extends ServiceImpl<CbCounselingMessageMapper, CbCounselingMessage> implements ICbModifyCounselingMessageService, WorkFlowInterface {

    @Override
    public TableDataInfo<CbCounselingMessageVo> queryList(CbCounselingMessageVo entity) {
        return PageUtils.buildDataInfo(this.baseMapper.queryList(PageUtils.buildPage(), entity,null));
    }

    @Override
    public List<CbCounselingMessageVo> queryAll(CbCounselingMessageVo entity,Long num) {
        return this.baseMapper.queryList(entity,num);
    }

    @Override
    public CbCounselingMessageVo queryById(String id) {
        return this.baseMapper.queryById(id);
    }

    @Override
    public Object getEntity(String fromDataId) {
        return this.baseMapper.queryById(fromDataId);
    }

    /**
     * 节点审核过程中回调业务接口
     * @param fromDataId
     * @param pspStatus
     */
    @Override
    public void cutInServiceFrom(String fromDataId, String pspStatus) {
        CbCounselingMessageVo counselingMessageVo = new CbCounselingMessageVo();
        counselingMessageVo.setId(fromDataId);
        switch (pspStatus){
            case WorkFlowStatus.APPROVE:  // 通过
                counselingMessageVo.setStatus("3");
                this.baseMapper.updateById(counselingMessageVo);
                break;
            case WorkFlowStatus.REJECT:   // 拒绝
                counselingMessageVo.setStatus("2");
                this.baseMapper.updateById(counselingMessageVo);
                break;
            case WorkFlowStatus.GOBACK:   // 退回
                counselingMessageVo.setStatus("0");
                this.baseMapper.updateById(counselingMessageVo);
                break;
            case WorkFlowStatus.START:   // 发起
                counselingMessageVo.setStatus("1");
                this.baseMapper.updateById(counselingMessageVo);
        }
    }
}
