package com.hjy.module.service.portal.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.hjy.common.core.page.TableDataInfo;
import com.hjy.common.utils.PageUtils;
import com.hjy.module.domain.portal.CbSensitive;
import com.hjy.module.mapper.portal.CbSensitiveMapper;
import com.hjy.module.service.portal.ICbSensitiveService;
import com.hjy.module.vo.portal.CbSensitiveVo;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 敏感词管理Service业务层处理
 *
 * @author Tellsea
 * @date 2023-08-30
 */
@Service
public class CbSensitiveServiceImpl extends ServiceImpl<CbSensitiveMapper, CbSensitive> implements ICbSensitiveService {

    @Override
    public TableDataInfo<CbSensitiveVo> queryList(CbSensitiveVo entity) {
        return PageUtils.buildDataInfo(this.baseMapper.queryList(PageUtils.buildPage(), entity));
    }

    @Override
    public List<CbSensitiveVo> queryAll(CbSensitiveVo entity) {
        return this.baseMapper.queryList(entity);
    }

    @Override
    public CbSensitiveVo queryById(String id) {
        return this.baseMapper.queryById(id);
    }
}
