package com.hjy.module.service.report;

import com.baomidou.mybatisplus.extension.service.IService;
import com.hjy.common.core.page.TableDataInfo;
import com.hjy.module.domain.report.ReportDTO;
import com.hjy.module.domain.report.ReportRecord;
import com.hjy.module.vo.report.ReportRecordVo;
import org.springframework.web.multipart.MultipartFile;


import java.util.List;

/**
 * 辅助决策Service接口
 *
 * @author Tellsea
 * @date 2024-04-26
 */
public interface IReportRecordService extends IService<ReportRecord> {

    /**
     * 分页查询
     *
     * @param entity
     * @return
     */
    TableDataInfo<ReportRecordVo> queryList(ReportRecordVo entity);

    /**
     * 查询全部
     *
     * @param entity
     * @return
     */
    List<ReportRecordVo> queryAll(ReportRecordVo entity);

    /**
     * 根据ID查询
     *
     * @param id
     * @return
     */
    ReportRecordVo queryById(String id);

    ReportRecord findReport(String year, String month);

    boolean upload(MultipartFile file, String id)throws Exception;


    String importExcel(MultipartFile file)throws Exception;

    int saveForm(ReportRecordVo entity);

    ReportRecord findByYearAndMonth(String year, String month);

     void createWord(ReportDTO reportDTO, ReportRecord reportRecord);
}
