package com.hjy.module.service.report.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.hjy.common.core.page.TableDataInfo;
import com.hjy.common.utils.PageUtils;
import com.hjy.module.domain.report.ReportRecord;
import com.hjy.module.domain.report.ReportTemplate;
import com.hjy.module.domain.report.ReportWord;
import com.hjy.module.mapper.report.ReportTemplateMapper;
import com.hjy.module.service.report.IReportRecordService;
import com.hjy.module.service.report.IReportTemplateService;
import com.hjy.module.service.report.IReportWordService;
import com.hjy.module.vo.report.ReportTemplateVo;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * 模板管理Service业务层处理
 *
 * @author lbl
 * @date 2024-05-07
 */
@Service
public class ReportTemplateServiceImpl extends ServiceImpl<ReportTemplateMapper, ReportTemplate> implements IReportTemplateService {

    @Resource
    private IReportWordService reportWordService;
    @Resource
    private IReportRecordService reportRecordService;

    @Override
    public TableDataInfo<ReportTemplateVo> queryList(ReportTemplateVo entity) {
        return PageUtils.buildDataInfo(this.baseMapper.queryList(PageUtils.buildPage(), entity));
    }

    @Override
    public List<ReportTemplateVo> queryAll(ReportTemplateVo entity) {
        return this.baseMapper.queryList(entity);
    }

    @Override
    public ReportTemplateVo queryById(String id) {
        return this.baseMapper.queryById(id);
    }

    @Override
    public int queryStatusNum() {
        return this.baseMapper.queryStatusNum();
    }

    @Override
    public ReportTemplate findActive() {
        QueryWrapper<ReportTemplate>ew=new QueryWrapper<>();
        ew.lambda().eq(ReportTemplate::getStatus,1);
        List<ReportTemplate>list= list(ew);
        return list.isEmpty()?null:list.get(0);
    }


    @Override
    public String findWordTemplate(String year, String month) {
        ReportRecord reportRecord= reportRecordService.findByYearAndMonth(year,month);
        if (reportRecord!=null){
           ReportWord reportWord= reportWordService.findTheNewWord(reportRecord.getId());
          if (reportWord!=null){
              return reportWord.getWordPath();
          }
        }
        ReportTemplate reportTemplate=  findActive();
        if (reportTemplate==null){
            return "";
        }
        return reportTemplate.getFilename();
    }

}
