package com.hjy.module.service.report.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.hjy.common.core.domain.BaseEntity;
import com.hjy.common.core.page.TableDataInfo;
import com.hjy.common.utils.PageUtils;

import com.hjy.module.domain.report.ReportWord;
import com.hjy.module.mapper.report.ReportWordMapper;
import com.hjy.module.service.report.IReportWordService;
import com.hjy.module.vo.report.ReportWordVo;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 模板报告Service业务层处理
 *
 * @author Tellsea
 * @date 2024-05-06
 */
@Service
public class ReportWordServiceImpl extends ServiceImpl<ReportWordMapper, ReportWord> implements IReportWordService {

    @Override
    public TableDataInfo<ReportWordVo> queryList(ReportWordVo entity) {
        return PageUtils.buildDataInfo(this.baseMapper.queryList(PageUtils.buildPage(), entity));
    }

    @Override
    public List<ReportWordVo> queryAll(ReportWordVo entity) {
        return this.baseMapper.queryList(entity);
    }

    @Override
    public ReportWordVo queryById(String id) {
        return this.baseMapper.queryById(id);
    }

    @Override
    public void removeByReportId(String reportId) {
        QueryWrapper<ReportWord>ew=new QueryWrapper<>();
        ew.lambda().eq(ReportWord::getRecordId,reportId);
        this.baseMapper.delete(ew);
    }

    @Override
    public ReportWord findTheNewWord(String recordId) {
        QueryWrapper<ReportWord>ew=new QueryWrapper<>();
        ew.lambda().eq(ReportWord::getRecordId,recordId)
                .orderByDesc(BaseEntity::getCreateTime);
        List<ReportWord>list=list(ew);
        return list.isEmpty()?null : list.get(0);
    }


}
