package com.hjy.module.service.statistics.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.hjy.common.core.page.TableDataInfo;
import com.hjy.common.utils.CommomUtils;
import com.hjy.common.utils.PageUtils;
import com.hjy.module.domain.statistics.CbIntegral;
import com.hjy.module.domain.statistics.CbIntegralFee;
import com.hjy.module.mapper.statistics.CbIntegralMapper;
import com.hjy.module.service.statistics.ICbIntegralFeeService;
import com.hjy.module.service.statistics.ICbIntegralService;
import com.hjy.module.vo.statistics.CbIntegralFeeVo;
import com.hjy.module.vo.statistics.CbIntegralVo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 保税区积分Service业务层处理
 *
 * @author Tellsea
 * @date 2023-09-01
 */
@Service
public class CbIntegralServiceImpl extends ServiceImpl<CbIntegralMapper, CbIntegral> implements ICbIntegralService {

    @Autowired
    private ICbIntegralFeeService integralFeeService;

    @Override
    public TableDataInfo<CbIntegralVo> queryList(CbIntegralVo entity) {
        return PageUtils.buildDataInfo(this.baseMapper.queryList(PageUtils.buildPage(), entity));
    }

    @Override
    public List<CbIntegralVo> queryAll(CbIntegralVo entity) {
        return this.baseMapper.queryList(entity);
    }

    @Override
    public CbIntegralVo queryById(String id) {
        CbIntegralVo integralVo = this.baseMapper.queryById(id);
        CbIntegralFeeVo feeVo = new CbIntegralFeeVo();
        feeVo.setIntegralId(integralVo.getId());
        integralVo.setFeeVoList(integralFeeService.queryAll(feeVo));
        return integralVo;
    }

    /**
     * 写入积分数据
     * @param integralVo
     */
    @Override
    public void saveEntity(CbIntegralVo integralVo){
        this.baseMapper.insert(integralVo);
        integralVo.getFeeVoList().forEach(item->{
            item.setIntegralId(integralVo.getId());
        });
        integralFeeService.saveBatch(CommomUtils.copyList(integralVo.getFeeVoList(), CbIntegralFee.class),10);
    }
}
