package com.hjy.module.service.statistics.impl;

import com.hjy.common.core.domain.AjaxResult;
import com.hjy.common.core.text.Convert;
import com.hjy.common.utils.DateUtils;
import com.hjy.common.utils.StringUtils;
import com.hjy.module.mapper.statistics.FigureMapper;
import com.hjy.module.query.AppStatisQuery;
import com.hjy.module.query.FigureQuery;
import com.hjy.module.service.gather.ICbGatherStatisticsWbService;
import com.hjy.module.service.statistics.FigureService;
import com.hjy.module.statistics.service.GxjckzbnzbService;
import com.hjy.module.statistics.vo.CityAndBsqVo;
import com.hjy.module.vo.gather.CbGatherTmpVo;
import com.hjy.module.vo.statistics.*;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.util.CollectionUtils;

import java.math.BigDecimal;
import java.util.*;
import java.util.concurrent.atomic.AtomicReference;

@Service
public class FigureServiceImpl implements FigureService {

    @Autowired
    private FigureMapper figureMapper;

    @Autowired
    private ICbGatherStatisticsWbService cbGatherStatisticsWbService;

    @Autowired
    private GxjckzbnzbService gxjckzbnzbService;



    /**
     *  获取指标参数排名数据
     * @param figure
     * @return
     */
    @Override
    public List<FigureVo> getZBCS(FigureQuery figure) {
        return figureMapper.getZBCS(figure);
    }

    /**
     * 获取同期数据对比数据
     * @return
     */
    @Override
    public List<Map<String, Object>> getTQSJ(FigureQuery figure) {
        List<Map<String, Object>> vo = new ArrayList<>();
        for (String deptId : figure.getCbIdArr()) {
            List<String> codeList = new ArrayList<>();
            String year = "";
            String month = "";
            // 如果yearVlue是null，则是app获取数据 取最新数据
            if(Objects.isNull(figure.getYearVlue())){
                // 获取最新年份月份
                CbGatherTmpVo vo1 = cbGatherStatisticsWbService.selectTmp(null);
                // 获取当前年份月份的所有指标
                // 查询数据并转换为List<String>
                codeList = cbGatherStatisticsWbService.selectCode(vo1.getYear(), vo1.getMonth()+"月");
                year = vo1.getYear();
                month = vo1.getMonth()+"月";
            } else if (figure.getYearVlue().equals("")) {
                // 获取最新年份月份
                CbGatherTmpVo vo1 = cbGatherStatisticsWbService.selectTmp(figure.getDateValue());
                // 获取当前年份月份的所有指标
                // 查询数据并转换为List<String>
                codeList = cbGatherStatisticsWbService.selectCode(vo1.getYear(), vo1.getMonth()+"月");
                year = vo1.getYear();
                month = vo1.getMonth()+"月";
            } else {
                // 查询数据并转换为List<String>
                codeList = cbGatherStatisticsWbService.selectCode(figure.getYearVlue(), figure.getDateValue());
                year = figure.getYearVlue();
                month = figure.getDateValue();
            }



            // 去重
            Set<String> codeSet = new HashSet<>(codeList);

            // 移除指定的元素
            codeSet.remove("A001");
            codeSet.remove("A002");
            codeSet.remove("A003");
            codeSet.remove("A004");

            // 转换为数组
            String[] codeArray = codeSet.toArray(new String[0]);

            Map<String, List<NormCollValueVo>> temp = gxjckzbnzbService.normHis(figure.getCbIdArr()[0],
                    codeArray,
                    Convert.toLong(year),
                    Convert.toLong(month.replace("月", "")),
                    1L,
                    true);

            Map<String, List<NormCollValueVo>> temp1 = gxjckzbnzbService.normHisZS(figure.getCbIdArr()[0],
                    StringUtils.split("A001##A002##A003##A004","##"),
                    Convert.toLong(year),
                    Convert.toLong(month.replace("月", "")),
                    1L,
                    true);

            // 合并两个Map
            temp.get(month.replaceAll("^0*(\\d+).*$", "$1")).addAll(temp1.get(month.replaceAll("^0*(\\d+).*$", "$1")));

            temp.get(month.replaceAll("^0*(\\d+).*$", "$1")).removeIf(element -> element.getFeeName().equals("加工贸易进出口值增速"));
            temp.get(month.replaceAll("^0*(\\d+).*$", "$1")).removeIf(element -> element.getFeeName().equals("一般贸易进出口值增幅"));
            temp.get(month.replaceAll("^0*(\\d+).*$", "$1")).removeIf(element -> element.getFeeName().equals("物流货物进出口值增幅"));
            // 组装数据返回
            Map<String, Object> objectObjectHashMap = new HashMap<>();
            objectObjectHashMap.put("deptId",deptId);
            objectObjectHashMap.put("year",year);
            objectObjectHashMap.put("month",month);
            objectObjectHashMap.put("data",temp.get(month.replaceAll("^0*(\\d+).*$", "$1")));
            vo.add(objectObjectHashMap) ;
        }
        return vo;
    }

    /**
     *
     * @param cbName
     * @param colName
     * @param yearMAX
     * @param monthMAX
     * @return
     */
    private List<TQSJResultDatail> getTQSJitemData(String cbName,
                                             String colName,
                                             String yearMAX,
                                             String monthMAX) {

        BigDecimal monthOld = BigDecimal.ZERO; // 月数据(上一笔)
        BigDecimal monthnow = BigDecimal.ZERO; // 月数据(当前)
        String quyMonth = monthMAX;
        Long quyYear =  Convert.toLong(yearMAX)-1;

        monthOld = figureMapper.getTQSJitemData(StringUtils.obj2str(quyYear),cbName,colName, quyMonth,"M");
        monthnow = figureMapper.getTQSJitemData(yearMAX,cbName,colName,monthMAX,"M");


        BigDecimal yearOld = BigDecimal.ZERO;// 年数据(上一笔)
        BigDecimal yearnow = BigDecimal.ZERO;// 年数据(当前)
        yearOld = figureMapper.getTQSJitemData(StringUtils.obj2str(Convert.toLong(yearMAX)-1),cbName,colName, StringUtils.obj2str(Convert.toLong(yearMAX)-1),"Y");
        yearnow = figureMapper.getTQSJitemData(yearMAX,cbName,colName,yearMAX,"Y");

        List<TQSJResultDatail> result = new ArrayList<>();
        int i = 0;
        while (i<=1){
            if (i == 0){
                TQSJResultDatail datail = new TQSJResultDatail();
                datail.setTimeType("月份");
                datail.setTimeValue(yearMAX+"-"+monthMAX);
                datail.setNowValue(monthnow);
                datail.setOldValue(monthOld);
                BigDecimal subValue = monthnow.subtract(monthOld);
                if (Objects.isNull(monthOld) || monthOld.compareTo(BigDecimal.ZERO) == 0){
                    monthOld = BigDecimal.ONE;
                }
                datail.setRedio((subValue.divide(monthOld,4, BigDecimal.ROUND_HALF_UP)).multiply(new BigDecimal(100)));
                result.add(datail);
            }
            if (i == 1){
                TQSJResultDatail datail = new TQSJResultDatail();
                datail.setTimeType("年度");
                datail.setTimeValue(yearMAX);
                datail.setNowValue(yearnow);
                datail.setOldValue(yearOld);
                BigDecimal subValue = yearnow.subtract(yearOld);
                if (Objects.isNull(yearOld) || yearOld.compareTo(BigDecimal.ZERO) == 0){
                    yearOld = BigDecimal.ONE;
                }
                datail.setRedio((subValue.divide(yearOld,4, BigDecimal.ROUND_HALF_UP)).multiply(new BigDecimal(100)));
                result.add(datail);
            }
            i++;
        }
        return result;
    }

    /**
     * 获取指标总量数据
     * @param figure
     * @return
     */
    @Override
    public List<FigureVo> getZBZL(FigureQuery figure) {
        return figureMapper.getZBZL(figure);
    }

    /**
     * 获取得分总量数据
     * @param figure
     * @return
     */
    @Override
    public List<FigureVo> getDFZL(FigureQuery figure) {
        return figureMapper.getDFZL(figure);
    }

    /**
     * 获取得分占比数据
     * @param figure
     * @return
     */
    @Override
    public List<DFZBresultVo> getDFZB(FigureQuery figure) {

        return figureMapper.getDFZB(figure);
    }

    /**
     * 获取指标分数值数据
     * @param figure
     * @return
     */
    @Override
    public List<FigureVo> getZBFS(FigureQuery figure) {

        return figureMapper.getZBFS(figure);
    }

    @Override
    public List<AppStatisVo> gatherAllList(AppStatisQuery appStatisQuery){
       return figureMapper.gatherAllList(appStatisQuery);
    }

    @Override
    public AppStatisInfoVo gatherInfo(AppStatisQuery appStatisQuery){
        List<AppStatisInfoItem1> item1List = figureMapper.gatherInfoItem1(appStatisQuery);
        List<AppStatisInfoItem2> item2List = figureMapper.gatherInfoItem2(appStatisQuery);
        AppStatisInfoVo infoVo = new AppStatisInfoVo();
        infoVo.setItem1List(item1List);
        infoVo.setItem2List(item2List);
        return infoVo;
    }
}
