package com.hjy.module.service.template;



import cn.hutool.poi.excel.ExcelReader;
import com.baomidou.mybatisplus.extension.service.IService;
import com.hjy.common.core.page.TableDataInfo;
import com.hjy.module.domain.template.ExcelOutInTotal;
import com.hjy.module.vo.template.ExcelOutInTotalVo;
import org.springframework.web.multipart.MultipartFile;

import java.io.File;
import java.util.List;

/**
 * 特定地区进出口总值（人民币）Service接口
 *
 * @author Tellsea
 * @date 2024-04-23
 */
public interface IExcelOutInTotalService extends IService<ExcelOutInTotal> {

    /**
     * 分页查询
     *
     * @param entity
     * @return
     */
    TableDataInfo<ExcelOutInTotalVo> queryList(ExcelOutInTotalVo entity);

    /**
     * 查询全部
     *
     * @param entity
     * @return
     */
    List<ExcelOutInTotalVo> queryAll(ExcelOutInTotalVo entity);

    /**
     * 根据ID查询
     *
     * @param id
     * @return
     */
    ExcelOutInTotalVo queryById(Long id);

    boolean analyze(MultipartFile file,String gxTradeTotalMoney);
     boolean analyze(ExcelReader reader, String gxTradeTotalMoney, String preface);

    void removeByReportId(String reportId);

}
