package com.hjy.module.service.totexp;


import com.baomidou.mybatisplus.extension.service.IService;
import com.hjy.common.core.page.TableDataInfo;
import com.hjy.module.domain.totexp.CbTotexp;
import com.hjy.module.vo.analysis.YearPercentage;
import com.hjy.module.vo.totexp.CbTotexpVo;

import java.math.BigDecimal;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * 保税区进出口总值数据Service接口
 *
 * @author Tellsea
 * @date 2023-10-10
 */
public interface ICbTotexpService extends IService<CbTotexp> {

    /**
     * 分页查询
     *
     * @param entity
     * @return
     */
    TableDataInfo<CbTotexpVo> queryList(CbTotexpVo entity);

    /**
     * 查询全部
     *
     * @param entity
     * @return
     */
    List<CbTotexpVo> queryAll(CbTotexpVo entity);

    /**
     * 根据ID查询
     *
     * @param id
     * @return
     */
    CbTotexpVo queryById(String id);

    HashMap<String, List<BigDecimal>> queryInOutYear(String year, String month);

    Map<String, YearPercentage> queryInoutYearPercentage();
}
