package com.hjy.module.service.wf;

import com.baomidou.mybatisplus.extension.service.IService;
import com.hjy.common.core.page.TableDataInfo;
import com.hjy.module.domain.wf.WfInstAction;
import com.hjy.module.vo.wf.WfInstActionVo;

import java.util.List;

/**
 * 流程审批节点实例Service接口
 *
 * @author Tellsea
 * @date 2023-08-09
 */
public interface IWfInstActionService extends IService<WfInstAction> {

    /**
     * 分页查询
     *
     * @param entity
     * @return
     */
    TableDataInfo<WfInstActionVo> queryList(WfInstActionVo entity);

    /**
     * 查询全部
     *
     * @param entity
     * @return
     */
    List<WfInstActionVo> queryAll(WfInstActionVo entity);

    /**
     * 根据ID查询
     *
     * @param id
     * @return
     */
    WfInstActionVo queryById(String id);

    /**
     * 获取上一任务节点
     * @param instAcId
     * @return
     */
    WfInstActionVo getBackAction(String instAcId);

    /**
     * 获取下一任务节点
     * @param instAcId
     * @return
     */
    WfInstActionVo getNextAction(String instAcId);

    /**
     * 获取当前任务节点
     * @param instAcId
     * @return
     */
    WfInstActionVo getcurrentAction(String instAcId);
}
