package com.hjy.module.service.wf;

import com.baomidou.mybatisplus.extension.service.IService;
import com.hjy.common.core.domain.AjaxResult;
import com.hjy.common.core.page.TableDataInfo;
import com.hjy.module.domain.wf.WfInstActionTask;
import com.hjy.module.domain.wf.dto.WftasksubmitDto;
import com.hjy.module.vo.wf.WfInstActionTaskVo;

import java.util.List;

/**
 * 审批任务实例Service接口
 *
 * @author Tellsea
 * @date 2023-08-09
 */
public interface IWfInstActionTaskService extends IService<WfInstActionTask> {

    /**
     * 分页查询
     *
     * @param entity
     * @return
     */
    TableDataInfo<WfInstActionTaskVo> queryList(WfInstActionTaskVo entity);

    /**
     * 查询全部
     *
     * @param entity
     * @return
     */
    List<WfInstActionTaskVo> queryAll(WfInstActionTaskVo entity);

    /**
     * 根据数据id查询任务节点
     * @param fromDataId
     * @return
     */
    List<WfInstActionTaskVo> queryTasksByid(String fromDataId,String serviceUrl);


    /**
     * 根据ID查询
     *
     * @param id
     * @return
     */
    WfInstActionTaskVo queryById(String id);

    /**
     * 发起审批流程
     *
     * @param serviceName service服务名称
     * @param fromDataId  业务id
     * @param keyword     关键字信息
     * @param userId      用户id
     */
    public void statrWfqueue(String serviceName, String fromDataId, String keyword,String userId);

    /**
     * 发起审批流程
     *
     * @param serviceName service服务名称
     * @param fromDataId  业务id
     * @param keyword     关键字信息
     */
    public void statrWfqueue(String serviceName, String fromDataId, String keyword);

    /**
     * 任务审核通过
     *
     * @param submitDto
     * @return
     */
    AjaxResult approve(WftasksubmitDto submitDto);

    /**
     * 任务审核驳回
     *
     * @param submitDto
     * @return
     */
    AjaxResult reject(WftasksubmitDto submitDto);

    /**
     * 任务审核退回
     *
     * @param submitDto
     * @return
     */
    AjaxResult goback(WftasksubmitDto submitDto);

    /**
     * 根据id查询待办任务数量
     * @return
     */
    Integer queryBy();

    /**
     * 根据业务id和service删除任务实例
     */
    void delete(String fromDataId, String serviceName);
}
