package com.hjy.module.service.wf.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.hjy.common.core.page.TableDataInfo;
import com.hjy.common.utils.PageUtils;
import com.hjy.module.domain.wf.WfInstAction;
import com.hjy.module.mapper.wf.WfInstActionMapper;
import com.hjy.module.service.wf.IWfInstActionService;
import com.hjy.module.vo.wf.WfInstActionVo;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 流程审批节点实例Service业务层处理
 *
 * @author Tellsea
 * @date 2023-08-09
 */
@Service
public class WfInstActionServiceImpl extends ServiceImpl<WfInstActionMapper, WfInstAction> implements IWfInstActionService {

    @Override
    public TableDataInfo<WfInstActionVo> queryList(WfInstActionVo entity) {
        return PageUtils.buildDataInfo(this.baseMapper.queryList(PageUtils.buildPage(), entity));
    }

    @Override
    public List<WfInstActionVo> queryAll(WfInstActionVo entity) {
        return this.baseMapper.queryList(entity);
    }

    @Override
    public WfInstActionVo queryById(String id) {
        return this.baseMapper.queryById(id);
    }

    /**
     * 获取上一任务节点
     * @param instAcId
     * @return
     */
    @Override
    public WfInstActionVo getBackAction(String instAcId){
        return this.baseMapper.getBackAction(instAcId);
    }

    @Override
    public WfInstActionVo getNextAction(String instAcId) {
        return this.baseMapper.getNextAction(instAcId);
    }

    /**
     * 获取当前任务节点
     * @param instAcId
     * @return
     */
    @Override
    public WfInstActionVo getcurrentAction(String instAcId){
        return this.baseMapper.getcurrentAction(instAcId);
    }
}
