package com.hjy.module.service.wf.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.hjy.common.core.page.TableDataInfo;
import com.hjy.common.utils.PageUtils;
import com.hjy.module.domain.wf.WfInstPro;
import com.hjy.module.mapper.wf.WfInstProMapper;
import com.hjy.module.service.wf.IWfInstProService;
import com.hjy.module.vo.wf.WfInstProVo;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 流程活动实例Service业务层处理
 *
 * @author Tellsea
 * @date 2023-08-09
 */
@Service
public class WfInstProServiceImpl extends ServiceImpl<WfInstProMapper, WfInstPro> implements IWfInstProService {

    @Override
    public TableDataInfo<WfInstProVo> queryList(WfInstProVo entity) {
        return PageUtils.buildDataInfo(this.baseMapper.queryList(PageUtils.buildPage(), entity));
    }

    @Override
    public List<WfInstProVo> queryAll(WfInstProVo entity) {
        return this.baseMapper.queryList(entity);
    }

    @Override
    public WfInstProVo queryById(String id) {
        return this.baseMapper.queryById(id);
    }

    @Override
    public Integer queryType(String proId) {
        return this.baseMapper.queryType(proId);
    }
}
