package com.hjy.module.statistics.service;

import com.alibaba.fastjson2.JSONObject;
import com.hjy.module.statistics.vo.*;
import com.hjy.module.vo.analysis.YearPercentage;
import com.hjy.module.vo.statistics.NormCollValueParentVo;
import com.hjy.module.vo.statistics.NormCollValueVo;
import com.hjy.module.vo.totexp.CbTotexpVo;

import java.util.List;
import java.util.Map;

/**
 * @Author Mechrevo
 * @Date 2023年 10月 10日 11时 01分
 **/
public interface GxjckzbnzbService {

    /**
     * 数据统计: 各项进出口值本年占比(亿元)  --  综合保税区
     *
     * @return
     */
    Map<Integer, Map<String, List<NormCollValueVo>>> selectGxjckzbnzbVoList(String year, String month);

    /**
     * 广西本年规模效益   --   综合保税区
     */
    Map<String, List<NormCollValueVo>> sumStatistics(String year, String month);


    /**
     * 广西综合保税区三大进出口值占比   --   上月的
     */
//    List<GxzhbsqsdzzjckzbVo> GxzhbsqsdzzjckzbVo();
    Map<Integer,Map<String, List<NormCollValueVo>>> GxzhbsqsdzzjckzbVo(String year, String month);

    /**
     * 园区进出口总值与广西进出口总值 (亿元)    -- 北海
     *
     * @param deptId
     * @return
     */
    List<ItemList> getOneDeptSumData(String deptId);

    /**
     * 园区产业结构和分布     --  北海
     *
     * @param deptId
     * @return
     */
    List<YqcyjghfbVo> gardenIndustryDistribute(String deptId);

    /**
     * 园区与所在市进出口总值   --  北海
     *
     * @param deptId
     * @return
     */
    List<CityAndBsqVo> selectGardenEnterpriseType(String deptId, String year, String month);

    /**
     * 仓库面积   --   企业
     *
     * @param deptId
     */
    List<CangkumianjiVo> cangKuArea(String deptId);

    /**
     * 园区入驻企业情况
     * @param deptId
     */
    List<YqqerzqkVo> yqqyrzqk(String deptId);

    /**
     * 企业名称,账册分类
     * @return
     */
    List<EnterpriseTypeVo> enterpriseType(Long deptId);




    Map<String, List<CbTotexpVo>> getInoutYearList();

    Map<String, YearPercentage> queryInoutYearPercentage();

    Map<String,List<NormCollValueVo>> normHisZS(String deptId, String[] normCode, Long year, Long month,Long selMonthSum,boolean isTB);
    Map<String,List<NormCollValueVo>> normHis(String deptId, String[] normCode, Long year, Long month,Long selMonthSum,boolean isTB);
    Map<String,List<NormCollValueVo>> normHisF004(List<String> deptId, String[] normCode, Long year, Long month, Long selMonthSum, boolean isTB);

    List<NormCollValueParentVo> norNowSia(String deptId, String[] normCode, Long year, Long month);

    List<YearPercentage> getInoutPercentageList(String year, String month);

    Map<String, List<NormCollValueVo>> normHisByyear(String deptId, String[] normCode, Long year, boolean isTB);

    List<NormCollValueVo> normzbSource(String deptId, String[] normCode, Long year);

    JSONObject deptInfoValue(String deptId);
}
