package com.hjy.module.statistics.service.impl;

import cn.hutool.core.collection.CollectionUtil;
import cn.hutool.core.util.ObjectUtil;
import com.alibaba.fastjson2.JSON;
import com.alibaba.fastjson2.JSONObject;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.hjy.common.core.domain.entity.SysDept;
import com.hjy.common.core.text.Convert;
import com.hjy.common.exception.ServiceException;
import com.hjy.common.utils.DateUtils;
import com.hjy.common.utils.StringUtils;
import com.hjy.common.utils.spring.SpringUtils;
import com.hjy.module.domain.garden.TbBondedScreenData;
import com.hjy.module.domain.garden.TbEnterpriseTradePerformance;
import com.hjy.module.domain.garden.TbGardenBaseData;
import com.hjy.module.domain.gether.CbGather;
import com.hjy.module.domain.gether.CbGatherFee;
import com.hjy.module.domain.norm.CbNormFee;
import com.hjy.module.domain.rank.CbRank;
import com.hjy.module.mapper.statistics.GxjckzbnzbMapper;
import com.hjy.module.service.garden.ITbBondedScreenDataService;
import com.hjy.module.service.garden.ITbEnterpriseTradePerformanceService;
import com.hjy.module.service.garden.ITbGardenBaseDataService;
import com.hjy.module.service.gather.ICbGatherFeeService;
import com.hjy.module.service.gather.ICbGatherService;
import com.hjy.module.service.norm.ICbNormFeeService;
import com.hjy.module.service.rank.ICbRankService;
import com.hjy.module.service.totexp.ICbTotexpService;
import com.hjy.module.statistics.service.GxjckzbnzbService;
import com.hjy.module.statistics.vo.*;
import com.hjy.module.vo.analysis.YearPercentage;
import com.hjy.module.vo.statistics.NormCollValueParentVo;
import com.hjy.module.vo.statistics.NormCollValueVo;
import com.hjy.module.vo.totexp.CbTotexpVo;
import com.hjy.system.mapper.SysDeptMapper;
import com.hjy.system.service.ISysDeptService;
import org.apache.commons.compress.utils.Lists;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.util.CollectionUtils;

import java.math.BigDecimal;
import java.math.RoundingMode;
import java.time.LocalDateTime;
import java.util.*;
import java.util.function.Function;
import java.util.stream.Collectors;


/**
 * @Author Mechrevo
 * @Date 2023年 10月 10日 10时 58分
 **/
@Service
public class GxjckzbnzbServiceImpl implements GxjckzbnzbService {

    @Autowired
    ICbGatherFeeService cbGatherFeeService;

    @Autowired
    ICbGatherService cbGatherService;

    @Autowired
    ISysDeptService sysDeptService;

    @Autowired
    SysDeptMapper sysDeptMapper;

    @Autowired
    ICbNormFeeService cbNormFeeService;

    @Autowired
    ITbGardenBaseDataService tbGardenBaseDataService;

    @Autowired
    ITbBondedScreenDataService tbBondedScreenDataService;

    @Autowired
    ICbTotexpService cbTotexpService;

    @Autowired
    ITbEnterpriseTradePerformanceService tbEnterpriseTradePerformanceService;

    @Autowired
    private GxjckzbnzbMapper gxjckzbnzbMapper;

    @Autowired
    private ICbRankService cbRankService;

    @Autowired
    private GxjckzbnzbService gxjckzbnzbService;


    @Override
    public Map<Integer, Map<String, List<NormCollValueVo>>> selectGxjckzbnzbVoList(String year, String month) {
        Map<Integer, Map<String, List<NormCollValueVo>>> vo = new HashMap<>();
        // 获取所有部门id
        SysDept sysDept = new SysDept();
        sysDept.setType(2);
        List<SysDept> sysDepts = sysDeptMapper.selectDeptList(sysDept);
        // 遍历部门id
        for (SysDept dept : sysDepts) {
            Map<String, List<NormCollValueVo>> temp = gxjckzbnzbService.normHis(String.valueOf(dept.getDeptId()),
                    org.apache.commons.lang3.StringUtils.split("A002##A003##A004", "##"),
                    Convert.toLong(year),
                    Convert.toLong(month.replace("月", "")),
                    1L,
                    true);
            vo.put(dept.getOrderNum(), temp);
        }
        return vo;
    }

    @Override
    public Map<String, List<NormCollValueVo>> sumStatistics(String year, String month) {
        Map<String, List<NormCollValueVo>> temp = gxjckzbnzbService.normHis(null,
                org.apache.commons.lang3.StringUtils.split("A005##A010##A007##A006", "##"),
                Convert.toLong(year),
                Convert.toLong(month),
                1L,
                false);
        return temp;
    }

    @Override
    public Map<Integer, Map<String, List<NormCollValueVo>>> GxzhbsqsdzzjckzbVo(String year, String month) {


//        String year = DateUtils.dateTime().substring(0, 4);
//        String quemonth = gxjckzbnzbMapper.selGatherMonthNow(year, null);
//        if (Objects.isNull(month)) {
//            quemonth = gxjckzbnzbMapper.selGatherMonthNow((Convert.toInt(year) - 1) + "", null);
//            year = (Convert.toInt(year) - 1) + "";
//        }
        SysDept seldept = new SysDept();
        seldept.setType(2);
        List<SysDept> cbList = SpringUtils.getBean(SysDeptMapper.class).selectDeptList(seldept);
        Map<Integer, Map<String, List<NormCollValueVo>>> vo = new HashMap<>();
        for (SysDept dept : cbList) {
            Map<String, List<NormCollValueVo>> result = new HashMap<>();
            Map<String, List<NormCollValueVo>> temp = gxjckzbnzbService.normHis(String.valueOf(dept.getDeptId()),
                    StringUtils.split("A002##A003##A004", "##"),
                    Convert.toLong(year),
                    Convert.toLong(month)
                    , 1L,
                    true);
            if (Objects.nonNull(temp.get(month.replaceFirst("^0+", "")))) {
                result = putAllItem(result, temp);
            } else {
                result.putAll(temp);
            }
            vo.put(dept.getOrderNum(), result);
        }

//        result.stream().forEach(item -> {
//            final BigDecimal[] deptTotle = {BigDecimal.ZERO};
//            if (ObjectUtil.isNotNull(item)) {
//                item.getList().stream().forEach(item2 -> {
//                    deptTotle[0] = deptTotle[0].add(Convert.toBigDecimal(item2.getValue()));
//                });
//                item.getList().stream().forEach(item3 -> {
//                    BigDecimal zb = BigDecimal.ZERO;
//                    if (deptTotle[0].compareTo(BigDecimal.ZERO) == 0){
//                        zb = BigDecimal.ZERO;
//                    }else {
//                        zb = Convert.toBigDecimal(item3.getValue()).divide(deptTotle[0], 4, BigDecimal.ROUND_HALF_UP).multiply(new BigDecimal(100));
//                    }
//                    item3.setZb(StringUtils.obj2str(zb) + "%");
//                    item3.setValue(Convert.toBigDecimal(item3.getValue()).setScale(2, BigDecimal.ROUND_HALF_UP).toString());
//                });
//            }
//        });
        return vo;

    }

    private Map<String, List<NormCollValueVo>> putAllItem(Map<String, List<NormCollValueVo>> result, Map<String, List<NormCollValueVo>> temp) {
        if (CollectionUtils.isEmpty(result)) return temp;

        if (CollectionUtils.isEmpty(temp)) return result;

        for (String item1 : temp.keySet()) {
            for (String item2 : result.keySet()) {
                if (item1.equals(item2)) result.get(item2).addAll(temp.get(item2));
            }
        }
        return result;
    }

    @Override
    public List<ItemList> getOneDeptSumData(String deptId) {
        //获取保税区名称
        SysDept sysDept = sysDeptService.selectDeptById(Long.valueOf(deptId));
        //获取已采集模板集合
        List<CbGather> gatherList = cbGatherService.getBaseMapper().selectList(new LambdaQueryWrapper<CbGather>().eq(CbGather::getType, 0).eq(CbGather::getDelFlag, 0).eq(CbGather::getCollStatus, 1));
        //获取已录入的数据集合
        List<CbGatherFee> gatherFeeList = cbGatherFeeService.list();
        //提取出模板集合的时间年份
        List<String> yearList = gatherList.stream().map(CbGather::getYear).distinct().collect(Collectors.toList());
        List<ItemList> itemLists = new ArrayList<>();
        //遍历年份
        for (String item : yearList) {
            int month = LocalDateTime.now().getMonth().getValue() - 1;
            //取出匹配年份的模板
            List<CbGather> list = new ArrayList<>();
            //获取最新月份录入的模板
            while (month == 0 || list.isEmpty()) {
                if (new Double(item) < LocalDateTime.now().getYear()) {
                    month = 12;
                }
                String monthParam = month == 0 ? 12 + "月" : String.valueOf(month).length() == 1 ? "0" + month + "月" : month + "月";
                list = gatherList.stream().filter(f -> f.getYear().equals(item) && f.getCollStatus().equals("1") && f.getMonth().equals(monthParam)).collect(Collectors.toList());
                month--;
            }
            //取出模板内的主键
            List<String> cbGatherIdList = list.stream().map(CbGather::getId).collect(Collectors.toList());
            //根据主键匹配cb_gather_fee,全区的最新月份的数据
            List<CbGatherFee> feeList = gatherFeeList.stream().filter(f -> cbGatherIdList.contains(f.getGatherId())).collect(Collectors.toList());
            //取出全区的最新月份的 [ 23 进出口总值 (亿元)]
            List<CbGatherFee> fees = feeList.stream().filter(f -> f.getNormfeeId().equals("23")).collect(Collectors.toList());
            //计算全区进出口总值  去最新月份的
            BigDecimal sum = fees.stream().map(CbGatherFee::getCollCalue).reduce(BigDecimal.ZERO, BigDecimal::add);
            //获取北海区[111]的进出口总值
            BigDecimal beihaiSUm = feeList.stream().filter(f -> f.getDeptId().equals(deptId) && f.getNormfeeId().equals("23")).collect(Collectors.toList()).stream().map(CbGatherFee::getCollCalue).reduce(BigDecimal.ZERO, BigDecimal::add);
            //属性封装
            ItemList itemList1 = new ItemList();
            itemList1.setName(sysDept.getDeptName());
            itemList1.setValue(String.valueOf(beihaiSUm));
            itemList1.setYear(item);
            ItemList itemList2 = new ItemList();
            itemList2.setName("广西");
            itemList2.setValue(String.valueOf(sum));
            itemList2.setYear(item);
            if (!fees.isEmpty()) {
                CbNormFee fee = cbNormFeeService.getById(fees.get(0).getNormfeeId());
                if (fee != null) {
                    itemList1.setUnit(fee.getFunit());
                    itemList2.setUnit(fee.getFunit());
                }
            }
            itemLists.add(itemList1);
            itemLists.add(itemList2);
//            qqjckzzVo.setList(itemLists);
        }
        return itemLists;
    }

    @Override
    public List<YqcyjghfbVo> gardenIndustryDistribute(String deptId) {
        //查询保税区
        SysDept sysDept = sysDeptService.selectDeptById(Long.valueOf(deptId));
        //创建返回值集合
        List<YqcyjghfbVo> result = new ArrayList<>();
        //获取保税区所属的企业
//        List<SysDept> sysDeptList = sysDeptMapper.selectList(new LambdaQueryWrapper<SysDept>().eq(SysDept::getParentId, deptId).eq(SysDept::getDelFlag,0));
        //取出企业集合内的企业主键
//        List<String> deptIdList = sysDeptList.stream().map(SysDept::getDeptId).map(Objects::toString).collect(Collectors.toList());
        //获取园区企业基础数据表集合
        List<TbGardenBaseData> baseDataList = tbGardenBaseDataService.list();
        //根据主键去园区企业基础数据表筛查
        List<TbGardenBaseData> dataList = baseDataList.stream().filter(f -> f.getDeptId().equals(deptId)).collect(Collectors.toList());
        //筛选企业类型
        Map<String, List<TbGardenBaseData>> map = dataList.stream().collect(Collectors.groupingBy(TbGardenBaseData::getQylx));
        //遍历map
        for (String key : map.keySet()) {
            //创建数据接收对象
            YqcyjghfbVo yqcyjghfbVo = new YqcyjghfbVo();
            //取出当前企业类型企业数量
            List<TbGardenBaseData> tbGardenBaseData = map.get(key);
            //赋值
            yqcyjghfbVo.setType(key);
            yqcyjghfbVo.setDeptId(deptId);
            if (sysDept != null) {
                yqcyjghfbVo.setDeptName(sysDept.getDeptName());
            }
            yqcyjghfbVo.setNumber(tbGardenBaseData.size());
            result.add(yqcyjghfbVo);
        }
        //返回
        return result;
    }

    @Override
    public List<CityAndBsqVo> selectGardenEnterpriseType(String deptId, String year, String month) {
        String[] yearArr = new String[]{(Convert.toInt(year) - 1) + "", year};
        SysDept dept = sysDeptService.selectDeptById(Convert.toLong(deptId));
        //创建返回值集合
        List<CityAndBsqVo> result = new ArrayList<>();
        for (String selYear : yearArr) {
            List<NormCollValueVo> collValueVoList1 = gxjckzbnzbMapper.getNormCollValue(deptId, new String[]{"F005"}, Convert.toStr(selYear), month + "月");
            CityAndBsqVo cityAndBsqVo1 = combsqVoData(collValueVoList1, dept.getDeptName(), selYear);
            if (ObjectUtil.isNotNull(cityAndBsqVo1)) result.add(cityAndBsqVo1);

            List<NormCollValueVo> collValueVoList2 = gxjckzbnzbMapper.getNormCollValue(deptId, new String[]{"A001"}, Convert.toStr(selYear), month + "月");
            CityAndBsqVo cityAndBsqVo2 = combsqVoData(collValueVoList2, dept.getDeptName(), selYear);
            if (ObjectUtil.isNotNull(cityAndBsqVo2)) result.add(cityAndBsqVo2);
        }
        return result;
    }

    private CityAndBsqVo combsqVoData(List<NormCollValueVo> collValueVoList, String deptName, String selYear) {
        CityAndBsqVo bsqVo = new CityAndBsqVo();
        bsqVo.setDeptName(deptName);
        bsqVo.setTime(selYear);
        if (CollectionUtil.isNotEmpty(collValueVoList)) {
            NormCollValueVo valueVo = collValueVoList.get(0);
            bsqVo.setValue(StringUtils.obj2str(valueVo.getCollValue()));
            bsqVo.setFeeName(valueVo.getFeeName());
            return bsqVo;
        }
        bsqVo.setValue("0");
        return bsqVo;
    }

    @Override
    public List<CangkumianjiVo> cangKuArea(String deptId) {

        SysDept sysDept = sysDeptMapper.selectById(deptId);
        if (sysDept == null) {
            throw new ServiceException("当前保税区状态有误!");
        }
        //获取当前保税区的仓库面积信息
        List<TbBondedScreenData> selectList = tbBondedScreenDataService.getBaseMapper().selectList(new LambdaQueryWrapper<TbBondedScreenData>().eq(TbBondedScreenData::getDeptId, deptId));
        if (selectList.isEmpty()) {
            throw new ServiceException("当前保税区暂无仓库等信息");
        }
        //创建返回值集合
        List<CangkumianjiVo> result = new ArrayList<>();
        for (TbBondedScreenData data : selectList) {
            CangkumianjiVo cangkumianjiVo = new CangkumianjiVo();
            cangkumianjiVo.setName(sysDept.getDeptName());
            cangkumianjiVo.setValue(data.getTotalArea());
            cangkumianjiVo.setUnit("平方米");
            result.add(cangkumianjiVo);
        }
        return result;
    }

    @Override
    public List<YqqerzqkVo> yqqyrzqk(String deptId) {

        List<TbEnterpriseTradePerformance> selectList = tbEnterpriseTradePerformanceService.getBaseMapper().selectList(new LambdaQueryWrapper<TbEnterpriseTradePerformance>().eq(TbEnterpriseTradePerformance::getBsqDeptId, deptId));
        if (selectList.isEmpty()) {
            return new ArrayList<>();
        }
        Map<String, List<TbEnterpriseTradePerformance>> map = selectList.stream().collect(Collectors.groupingBy(TbEnterpriseTradePerformance::getDzzcfl));
        //切割后的字符串集合
        List<String> splitList = new ArrayList<>();
        //创建返回值集合
        List<YqqerzqkVo> result = new ArrayList<>();
        //遍历集合
        for (String key : map.keySet()) {
            //创建数据接收对象
            YqqerzqkVo vo = new YqqerzqkVo();
            String[] split = key.split("、");
            if (split.length == 1) {
                //赋值
                vo.setType(key);
                vo.setNumber(map.get(key).size());
                vo.setZb(String.format("%.2f", (new Double(map.get(key).size()) / new Double(selectList.size())) * 100) + "%");
                result.add(vo);
            } else {
                splitList.addAll(Arrays.asList(split));
            }
        }
        boolean tab = true;
        //处理
        flag:
        for (String s : splitList) {
            for (YqqerzqkVo vo : result) {
                if (s.equals(vo.getType())) {
                    vo.setNumber(vo.getNumber() + 1);
                    tab = false;
                    continue flag;
                }
                tab = true;
            }
            //如果没进循环
            if (tab) {
                YqqerzqkVo yqqerzqkVo = new YqqerzqkVo();
                yqqerzqkVo.setType(s);
                yqqerzqkVo.setNumber(1);
                yqqerzqkVo.setZb("100%");
                result.add(yqqerzqkVo);
            }
        }
        //再次统计
        int sum = result.stream().mapToInt(YqqerzqkVo::getNumber).sum();
        //计算每种类型的占比
        for (YqqerzqkVo vo : result) {
            vo.setZb(String.format("%.2f", (new Double(vo.getNumber()) / sum) * 100) + "%");
        }
        return result;
    }

    @Override
    public List<EnterpriseTypeVo> enterpriseType(Long deptId) {
        //获取当前保税区下的企业
//        List<TbEnterpriseTradePerformance> selectList = tbEnterpriseTradePerformanceService.getBaseMapper().selectList(new LambdaQueryWrapper<TbEnterpriseTradePerformance>().eq(TbEnterpriseTradePerformance::getBsqDeptId, deptId));

        List<TbGardenBaseData> selectList = tbGardenBaseDataService.getBaseMapper().selectList(new LambdaQueryWrapper<TbGardenBaseData>().eq(TbGardenBaseData::getParentId, deptId.toString()));
        if (selectList.isEmpty()) {
            return new ArrayList<>();
        }

        List<EnterpriseTypeVo> result = new ArrayList<>();
        selectList.forEach(item -> {
            EnterpriseTypeVo enterpriseTypeVo = new EnterpriseTypeVo();
            enterpriseTypeVo.setName(item.getDeptName());
            enterpriseTypeVo.setBusinessEvents(item.getBusinessEvents());
            enterpriseTypeVo.setDeptId(item.getDeptId());
            enterpriseTypeVo.setDeptName(item.getDeptName());
            enterpriseTypeVo.setGrade(item.getGrade().toString());
            enterpriseTypeVo.setEnterpriseStructure(item.getEnterpriseStructure());
            enterpriseTypeVo.setType(item.getQylx());
            result.add(enterpriseTypeVo);
        });
        return result;
    }

    /**
     * 查询近年的 湾办进出口总值的 数据分析集合
     *
     * @return 返回对象是 {@link Map<String, List<CbTotexpVo>}; key是 年份(year)，value是对应的数据{@link CbTotexpVo}
     */
    @Override
    public Map<String, List<CbTotexpVo>> getInoutYearList() {
        // 获取近5年
        String recentYears = DateUtils.getRecentYearFive();
        // 查询近年进出口总值
        List<CbTotexpVo> list = cbGatherService.queryInoutYearList(recentYears);

        return list.stream().collect(Collectors.groupingBy(CbTotexpVo::getYear));
    }


    /**
     * 获取广西综合保税区
     * 年度增长率 = （本期数-上期数）/上期数 × 100%
     * 同比增长计算公式
     * （本期数 / 同期数 - 1） * 100
     *
     * @return 返回 Map集合的 key 为 year(年份)，value 为 {@link YearPercentage} 对象
     */
    @Override
    public Map<String, YearPercentage> queryInoutYearPercentage() {
        // 获取近5年
        String recentYears = DateUtils.getRecentYearFive();
        List<CbTotexpVo> dataList = cbGatherService.queryInoutYearPercentage(recentYears);
        // 先计算总和
        HashMap<String, BigDecimal> yearImExportTotalMap = new HashMap<>(); // 年进出口总值
        HashMap<String, BigDecimal> cityImExportTotalMap = new HashMap<>(); // 市进出口总值
        for (CbTotexpVo cbTotexpVo : dataList) {
            BigDecimal imExport = new BigDecimal(cbTotexpVo.getImExport());
            String year = cbTotexpVo.getYear();
            if (!yearImExportTotalMap.containsKey(year)) {
                // 不包含直接加入
                yearImExportTotalMap.put(year, imExport);
            } else {
                // 包含就计算
                BigDecimal preImExport = yearImExportTotalMap.get(year);
                yearImExportTotalMap.put(year, preImExport.add(imExport));
            }

            cityImExportTotalMap.put(year, imExport);
        }

        // 封装返回数据对象
        ArrayList<YearPercentage> yearPercentages = Lists.newArrayList();
        yearImExportTotalMap.forEach((k, v) -> {
            YearPercentage yearPercentage = new YearPercentage();
            // k 是一样的
            BigDecimal cityImExportTotal = cityImExportTotalMap.get(k);
            yearPercentage.setYear(k);
            yearPercentage.setImExport(v.toPlainString());
            yearPercentage.setCityTotal(cityImExportTotal.toPlainString());
            yearPercentages.add(yearPercentage);
        });

        // 排序
        yearPercentages.sort(Comparator.comparing(YearPercentage::getYear));
        for (int i = 0; i < yearPercentages.size(); i++) {
            YearPercentage cur = yearPercentages.get(i);
            if (i != 0) {
                YearPercentage pre = yearPercentages.get(i - 1);
                // 计算年增长率
                BigDecimal curIm = new BigDecimal(cur.getImExport());
                BigDecimal preIm = new BigDecimal(pre.getImExport());
                BigDecimal percentage = curIm.subtract(preIm).divide(preIm, 4, RoundingMode.HALF_UP).multiply(new BigDecimal("100")).abs();
                cur.setPercentage(percentage);

                // 计算 同比率 （本期数 / 同期数 - 1） * 100
                BigDecimal curCity = new BigDecimal(cur.getCityTotal());
                BigDecimal preCity = new BigDecimal(pre.getCityTotal());
                // （本期数-上期数）/上期数 × 100%
                BigDecimal growthRate = curCity.subtract(preCity).divide(preCity, 4, RoundingMode.HALF_UP)
                        .multiply(new BigDecimal("100"))
                        .abs();
                cur.setGrowthRate(growthRate);
            } else {
                cur.setPercentage(new BigDecimal(0));
                cur.setGrowthRate(new BigDecimal(0));
            }
        }
        return yearPercentages.stream()
                .collect(Collectors.toMap(YearPercentage::getYear, Function.identity()));
    }

    /**
     * 获取各项指标数据
     *
     * @param deptId
     * @param normCode
     * @param year
     * @param month
     * @return
     */
    @Override
    public Map<String, List<NormCollValueVo>> normHis(String deptId, String[] normCode, Long year, Long month, Long selMonthSum, boolean isTB) {
        if (Objects.isNull(selMonthSum)) selMonthSum = 6L; // (默认查询6个月)
//        String nowMonth = gxjckzbnzbMapper.selGatherMonthNow(StringUtils.obj2str(year), deptId);
//
//        if (!(StringUtils.appendStr(month.toString()) + "月").equals(nowMonth))
//            month = Convert.toLong(StringUtils.substring(nowMonth, 0, 2));
        Map<String, List<NormCollValueVo>> resultMap = new HashMap<>();
//        if (Objects.isNull(nowMonth)){
//            List<NormCollValueVo> normCollValueVos = Stream.of(new NormCollValueVo())
//                    .collect(Collectors.toList());
//            resultMap.put("0", normCollValueVos);
//            return resultMap;
//        }
        Long reqinx = 1L;
        for (int i = Convert.toInt(selMonthSum - 1); i >= 0; i--) {
            Long queYear = year;
            Long queMonth = month - i;
            if (queMonth <= 0) {
                queMonth = 13 - reqinx;
                queYear = queYear - 1;
                reqinx++;
            }
            List<NormCollValueVo> collValueVoList = gxjckzbnzbMapper.getNormCollValue(deptId, normCode, Convert.toStr(queYear), StringUtils.appendStr(Convert.toStr(queMonth)) + "月");
            if (isTB) {  // 计算同比值
                List<NormCollValueVo> collValueTbList = gxjckzbnzbMapper.getNormCollValue(deptId, normCode, Convert.toStr(queYear - 1), StringUtils.appendStr(Convert.toStr(queMonth)) + "月");
                if (CollectionUtil.isNotEmpty(collValueTbList)) {
                    for (NormCollValueVo tbItem : collValueTbList) {
                        BigDecimal tbValue = new BigDecimal(0);
                        BigDecimal oldCollValue = new BigDecimal(0);
                        for (NormCollValueVo resultVo : collValueVoList) {
                            if (ObjectUtil.isNotNull(tbItem.getCollValue()) && tbItem.getFeeName().equals(resultVo.getFeeName())) {
                                if (Convert.toBigDecimal(tbItem.getCollValue()).compareTo(BigDecimal.ZERO) == 0) {
                                    tbValue = BigDecimal.ZERO;
                                } else {
                                    tbValue = Convert.toBigDecimal(resultVo.getCollValue()).subtract(Convert.toBigDecimal(tbItem.getCollValue())).divide(Convert.toBigDecimal(tbItem.getCollValue()), 4, BigDecimal.ROUND_HALF_UP).multiply(new BigDecimal(100));
                                    oldCollValue = tbItem.getCollValue();
                                }
                                resultVo.setTbValue(tbValue);
                                resultVo.setOldCollValue(oldCollValue);
                                break;
                            }
                        }
                    }
                }
            }
            if (collValueVoList.isEmpty()) {
                resultMap.put(queMonth.toString(), null);
            } else {
                resultMap.put(queMonth.toString(), collValueVoList);
            }
        }
        return resultMap;
    }

    @Override
    public Map<String, List<NormCollValueVo>> normHisZS(String deptId, String[] normCode, Long year, Long month, Long selMonthSum, boolean isTB) {
        if (Objects.isNull(selMonthSum)) selMonthSum = 6L; // (默认查询6个月)
//        String nowMonth = gxjckzbnzbMapper.selGatherMonthNow(StringUtils.obj2str(year), deptId);
//
//        if (!(StringUtils.appendStr(month.toString()) + "月").equals(nowMonth))
//            month = Convert.toLong(StringUtils.substring(nowMonth, 0, 2));
        Map<String, List<NormCollValueVo>> resultMap = new HashMap<>();
//        if (Objects.isNull(nowMonth)){
//            List<NormCollValueVo> normCollValueVos = Stream.of(new NormCollValueVo())
//                    .collect(Collectors.toList());
//            resultMap.put("0", normCollValueVos);
//            return resultMap;
//        }
        Long reqinx = 1L;
        for (int i = Convert.toInt(selMonthSum - 1); i >= 0; i--) {
            Long queYear = year;
            Long queMonth = month - i;
            if (queMonth <= 0) {
                queMonth = 13 - reqinx;
                queYear = queYear - 1;
                reqinx++;
            }
            List<NormCollValueVo> collValueVoList = gxjckzbnzbMapper.getNormCollValue(deptId, normCode, Convert.toStr(queYear), StringUtils.appendStr(Convert.toStr(queMonth)) + "月");
            if (isTB) {  // 计算同比值

                List<NormCollValueVo> collValueTbList = gxjckzbnzbMapper.getNormCollValue(deptId, normCode, Convert.toStr(queYear - 1), StringUtils.appendStr(Convert.toStr(queMonth)) + "月");
                if (CollectionUtil.isNotEmpty(collValueTbList)) {
                    for (NormCollValueVo tbItem : collValueTbList) {
                        BigDecimal tbValue = new BigDecimal(0);
                        BigDecimal oldCollValue = new BigDecimal(0);
                        for (NormCollValueVo resultVo : collValueVoList) {
                            if (ObjectUtil.isNotNull(tbItem.getCollValue()) && tbItem.getFeeName().equals(resultVo.getFeeName())) {

                                String code;
                                if (resultVo.getFeeName().equals("进出口总值") && deptId != null) {
                                    code = "A015";
                                } else if (resultVo.getFeeName().equals("加工贸易进出口值")) {
                                    code = "A012";
                                } else if (resultVo.getFeeName().equals("物流货物进出口值")) {
                                    code = "A013";
                                } else if (resultVo.getFeeName().equals("一般贸易进出口值")) {
                                    code = "A014";
                                } else {
                                    code = "A011";
                                }
                                //设置一个变量
                                String dept;
                                if (deptId == null) {
                                    //如果deptId 为空 则是湾办查询，设置为其中一个综保区，不然数据会是累加
                                    dept = "101";
                                } else {
                                    //如果deptId 不为空 则是各综保区查询，设置为该综保区
                                    dept = deptId;
                                }
                                Map<String, List<NormCollValueVo>> temp = gxjckzbnzbService.normHis((String) dept,
                                        StringUtils.split(code, "##"),
                                        Convert.toLong(resultVo.getYear()),
                                        Convert.toLong(resultVo.getMonth().replace("月", ""))
                                        , 1L,
                                        false);
                                if (temp.get(queMonth.toString()).get(0).getCollValue() == null || temp.get(queMonth.toString()).get(0).getCollValue().compareTo(BigDecimal.ZERO) == 0) {
                                    resultVo.setTbValue(null);
                                } else {
                                    resultVo.setTbValue(temp.get(queMonth.toString()).get(0).getCollValue());
                                    resultVo.setOldCollValue(tbItem.getCollValue());
                                }
                            }
                        }
                    }
                }
            }
            if (collValueVoList.isEmpty()) {
                resultMap.put(queMonth.toString(), null);
            } else {
                resultMap.put(queMonth.toString(), collValueVoList);
            }
        }
        return resultMap;
    }


    @Override
    public Map<String, List<NormCollValueVo>> normHisF004(List<String> deptId, String[] normCode, Long year, Long month, Long selMonthSum, boolean isTB) {
        Map<String, List<NormCollValueVo>> resultMap = new HashMap<>();
        if (Objects.isNull(selMonthSum)) selMonthSum = 6L; // (默认查询6个月)
        List<NormCollValueVo> result = Lists.newArrayList();
        String nowMonth = gxjckzbnzbMapper.selGatherMonthNow(StringUtils.obj2str(year), null);
        if (StringUtils.isEmpty(nowMonth)) {
            return null;
        }
        if (!(StringUtils.appendStr(month.toString()) + "月").equals(nowMonth)) {
            month = Convert.toLong(StringUtils.substring(nowMonth, 0, 2));
        }
        Long reqinx = 1L;
        for (int i = Convert.toInt(selMonthSum - 1); i >= 0; i--) {
            Long queYear = year;
            Long queMonth = month - i;
            if (queMonth <= 0) {
                queMonth = 12 - reqinx;
                queYear = queYear - 1;
                reqinx++;
            }
            List<NormCollValueVo> collValueVoList = gxjckzbnzbMapper.getNormCollValueF004(deptId, normCode, Convert.toStr(queYear), StringUtils.appendStr(Convert.toStr(queMonth)) + "月");
            if (isTB) {  // 计算同比值
                List<NormCollValueVo> collValueTbList = gxjckzbnzbMapper.getNormCollValueF004(deptId, normCode, Convert.toStr(queYear - 1), StringUtils.appendStr(Convert.toStr(queMonth)) + "月");
                BigDecimal tbValue = new BigDecimal(0);
                tbValue = Convert.toBigDecimal(collValueVoList.get(0).getCollValue()).subtract(Convert.toBigDecimal(collValueTbList.get(0).getCollValue())).divide(Convert.toBigDecimal(collValueTbList.get(0).getCollValue()), 4, BigDecimal.ROUND_HALF_UP).multiply(new BigDecimal(100));
                collValueVoList.get(0).setTbValue(tbValue);
            }
            resultMap.put(queMonth.toString(), collValueVoList);
        }
        return resultMap;
    }

    @Override
    public List<NormCollValueParentVo> norNowSia(String deptId, String[] normCode, Long year, Long month) {
        List<NormCollValueParentVo> result = gxjckzbnzbMapper.norNowSia(deptId, normCode, StringUtils.obj2str(year), StringUtils.appendStr(StringUtils.obj2str(month)) + "月");
        return result;
    }

    @Override
    public List<YearPercentage> getInoutPercentageList(String year, String month) {
        List<YearPercentage> result = new ArrayList<>();
        for (int i = 4; i >= 0; i--) {
            BigDecimal nowgxzzBig = gxjckzbnzbMapper.selgxzz(year, month + "月");  // 全区总值
            BigDecimal nowzbqzzBig = gxjckzbnzbMapper.selzbqzz(year, month + "月"); // 综保区总值

            BigDecimal oldgxzzBig = gxjckzbnzbMapper.selgxzz(Convert.toStr(Convert.toInt(year) - 1), month + "月");  // 上一年全区总值
            BigDecimal oldzbqzzBig = gxjckzbnzbMapper.selzbqzz(Convert.toStr(Convert.toInt(year) - 1), month + "月"); // 上一年综保区总值

            BigDecimal growthRate = BigDecimal.ZERO; // 自治区同比
            BigDecimal percentage = BigDecimal.ZERO; // 综保区同比

            if (oldgxzzBig.compareTo(BigDecimal.ZERO) == 0) {
                growthRate = BigDecimal.ZERO;
            } else {
                growthRate = (nowgxzzBig.subtract(oldgxzzBig)).divide(oldgxzzBig, 4, BigDecimal.ROUND_HALF_UP).multiply(new BigDecimal(100));
            }


            percentage = (gxjckzbnzbService.normHisZS((String) "101",
                    StringUtils.split("A011", "##"),
                    Convert.toLong(year),
                    Convert.toLong(month.replace("月", ""))
                    , 1L,
                    false).get(month).get(0).getCollValue());


            YearPercentage centage = new YearPercentage();
            centage.setYear(year);
            centage.setImExport(StringUtils.obj2str(nowgxzzBig.setScale(2, BigDecimal.ROUND_HALF_UP)));
            centage.setCityTotal(StringUtils.obj2str(nowzbqzzBig.setScale(2, BigDecimal.ROUND_HALF_UP)));
            centage.setPercentage(percentage.setScale(2, BigDecimal.ROUND_HALF_UP));
            centage.setGrowthRate(growthRate.setScale(2, BigDecimal.ROUND_HALF_UP));
            result.add(centage);

            year = String.valueOf(Long.parseLong(year) - 1);
            month = "12";
        }
        return result;
    }

    @Override
    public Map<String, List<NormCollValueVo>> normHisByyear(String deptId, String[] normCode, Long year, boolean isTB) {
        Map<String, List<NormCollValueVo>> resultMap = new HashMap<>();
        for (int i = 4; i >= 0; i--) {
            Long queYear = year - i;
            String quemonth = gxjckzbnzbMapper.selGatherMonthNow(queYear.toString(), deptId);
            if (Objects.isNull(quemonth)) continue;

            List<NormCollValueVo> collValueVoList = gxjckzbnzbMapper.getNormCollValue(deptId, normCode, Convert.toStr(queYear), quemonth);
            if (isTB) {  // 计算同比值
                List<NormCollValueVo> collValueTbList = gxjckzbnzbMapper.getNormCollValue(deptId, normCode, Convert.toStr(queYear - 1), quemonth);
                if (CollectionUtil.isNotEmpty(collValueTbList)) {
                    for (NormCollValueVo tbItem : collValueTbList) {
                        BigDecimal tbValue = new BigDecimal(0);
                        for (NormCollValueVo resultVo : collValueVoList) {
                            if (ObjectUtil.isNotNull(tbItem.getCollValue()) && tbItem.getFeeName().equals(resultVo.getFeeName())) {
                                if (Convert.toBigDecimal(tbItem.getCollValue()).compareTo(BigDecimal.ZERO) == 0) {
                                    tbValue = BigDecimal.ZERO;
                                } else {
                                    tbValue = Convert.toBigDecimal(resultVo.getCollValue()).subtract(Convert.toBigDecimal(tbItem.getCollValue())).divide(Convert.toBigDecimal(tbItem.getCollValue()), 4, BigDecimal.ROUND_HALF_UP).multiply(new BigDecimal(100));
                                }
                                resultVo.setTbValue(tbValue);
                                break;
                            }
                        }
                    }
                }
            }
            resultMap.put(queYear.toString(), collValueVoList);
        }
        return resultMap;
    }

    /**
     * 多指标占比数据
     *
     * @param deptId
     * @param normCode
     * @param year
     * @return
     */
    @Override
    public List<NormCollValueVo> normzbSource(String deptId, String[] normCode, Long year) {
        String quemonth = gxjckzbnzbMapper.selGatherMonthNow(year.toString(), null);
        List<NormCollValueVo> collValueVoList = gxjckzbnzbMapper.getNormCollValue(deptId, normCode, Convert.toStr(year), quemonth);
        if (CollectionUtil.isEmpty(collValueVoList)) return null;

        final BigDecimal[] totle = {BigDecimal.ZERO};
        collValueVoList.stream().forEach(item -> {
            totle[0] = totle[0].add(Convert.toBigDecimal(item.getCollValue(), BigDecimal.ZERO));
        });

        collValueVoList.stream().forEach(item -> {
            BigDecimal zbValue = Convert.toBigDecimal(item.getCollValue()).divide(totle[0], 4, BigDecimal.ROUND_HALF_UP);
            item.setZbValue(zbValue.multiply(new BigDecimal(100)));
        });
        return collValueVoList;
    }

    /**
     * 获取园区数据
     *
     * @param deptId
     * @return
     */

    @Override
    public JSONObject deptInfoValue(String deptId) {
        SysDept sysDept = sysDeptService.selectDeptById(Convert.toLong(deptId));
        JSONObject result = (JSONObject) JSON.toJSON(sysDept);
        List<CbRank> cbRankList = cbRankService.getBaseMapper().selectList(new LambdaQueryWrapper<CbRank>()
                .eq(CbRank::getDeptId, deptId)
                .eq(CbRank::getYear, DateUtils.getYear(new Date())));
        if (CollectionUtil.isNotEmpty(cbRankList)) {
            result.put("ranking", cbRankList.get(0).getRanking());
        }
        return result;
    }
}
