package com.hjy.module.vo.article;

import com.hjy.common.annotation.Excel;
import com.hjy.module.domain.article.CbArticle;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import lombok.experimental.Accessors;

/**
 * 重点项目管理Vo对象 CB_ARTICLE
 *
 * @author Tellsea
 * @date 2023-09-19
 */
@Data
@Accessors(chain = true)
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = true)
public class CbArticleVo extends CbArticle {

    /**
     * 最小项目计划投资金额
     */
    @Excel(name = "最小项目计划投资金额")
    private Double least;

    /**
     * 最大项目计划投资金额
     */
    @Excel(name = "最大项目计划投资金额")
    private Double most;

    /**
     * 年份
     */
    @Excel(name = "年份")
    private String year;
}
