package com.hjy.module.vo.garden;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.format.DateTimeFormat;
import com.hjy.common.annotation.Excel;
import lombok.Data;

/**
 * @author hejizheng
 * @ClassName GardenDataEasyexcelVo
 * @description: TODO 企业基础数据导入 接收实例
 * @date 2023年11月30日
 * @version: 1.0
 */
@Data
public class GardenBaseDataEasyexcelVo {

    /**
     * 企业名称
     */
    @ExcelProperty(index = 0)
    @Excel(name = "序号", height = 30, width = 24)
    private String number;

    /**
     * 企业名称
     */
    @ExcelProperty(index = 1)
    @Excel(name = "企业名称", height = 30, width = 24)
    private String deptName;

    /**
     * 法定代表人
     */
    @ExcelProperty(index = 2)
    @Excel(name = "法定代表人", height = 30, width = 24)
    private String fddbr;

    /**
     * 企业代表联系方式
     */
    @ExcelProperty(index = 3)
    @Excel(name = "企业代表联系方式", height = 30, width = 24)
    private String qydblxfs;


    /**
     * 控股企业
     */
    @ExcelProperty(index = 4)
    @Excel(name = "控股企业", height = 30, width = 24)
    private String kgqy;


    /**
     * 注册资金（万元）
     */
    @ExcelProperty(index = 5)
    @Excel(name = "注册资金（万元）", height = 30, width = 24)
    private String zczj;

    /**
     * 行业大类
     */
    @ExcelProperty(index = 6)
    @Excel(name = "行业大类", height = 30, width = 24)
    private String hydl;


    /**
     * 行业小类
     */
    @ExcelProperty(index = 7)
    @Excel(name = "行业小类", height = 30, width = 24)
    private String hyxl;

    /**
     * 企业类型
     */
    @ExcelProperty(index = 8)
    @Excel(name = "海关账册", height = 30, width = 24, combo = {"加工账册", "物流账册", "设备账册"})
    private String qylx;

    /**
     * 是否外资企业
     */
    @ExcelProperty(index = 9)
    @Excel(name = "是否外资企业", height = 30, width = 24, combo = {"是", "否"})
    private String sfwzqy;

    /**
     * 经营状态
     */
    @ExcelProperty(index = 10)
    @Excel(name = "经营状态", height = 30, width = 24)
    private String jyzt;

    /**
     * 统一社会信用代码
     */
    @ExcelProperty(index = 11)
    @Excel(name = "统一社会信用代码", height = 30, width = 24)
    private String shtyxydm;

    /**
     * 企业海关编码
     */
    @ExcelProperty(index = 12)
    @Excel(name = "企业海关编码", height = 30, width = 24)
    private String qyhgbm;

    /**
     * 人员规模（人数）
     */
    @ExcelProperty(index = 13)
    @Excel(name = "人员规模（人数）", height = 30, width = 24)
    private String rygm;

    /**
     * 成立日期
     */
    @DateTimeFormat("yyyy-MM-dd")
    @ExcelProperty(index = 14)
    @Excel(name = "成立日期", dateFormat = "yyyy-MM-dd", height = 30, width = 24)
    private String clrq;

    /**
     * 投产时间
     */
    @DateTimeFormat("yyyy-MM-dd")
    @ExcelProperty(index = 15)
    @Excel(name = "投产时间", dateFormat = "yyyy-MM-dd", height = 30, width = 24)
    private String tcsj;

    /**
     * 经营期限自
     */
    @DateTimeFormat("yyyy-MM-dd")
    @ExcelProperty(index = 16)
    @Excel(name = "经营期限自", dateFormat = "yyyy-MM-dd", height = 30, width = 24)
    private String jyqxz;

    /**
     * 经营期限至
     */
    @DateTimeFormat("yyyy-MM-dd")
    @ExcelProperty(index = 17)
    @Excel(name = "经营期限至", dateFormat = "yyyy-MM-dd", height = 30, width = 24)
    private String jyqxz1;

    /**
     * 注册地址
     */
    @ExcelProperty(index = 18)
    @Excel(name = "注册地址", height = 30, width = 24)
    private String zcdz;

    /**
     * 主营业务
     */
    @ExcelProperty(index = 19)
    @Excel(name = "主营业务", height = 30, width = 24)
    private String zyyw;

    /**
     * 经营范围
     */
    @ExcelProperty(index = 20)
    @Excel(name = "经营范围", height = 30, width = 24)
    private String jyfw;

    /**
     * 企业资质
     */
    @ExcelProperty(index = 21)
    @Excel(name = "企业资质", height = 30, width = 24)
    private String qyzz;

    /**
     * 主要市场
     */
    @ExcelProperty(index = 22)
    @Excel(name = "主要市场", height = 30, width = 24)
    private String zysc;

    /**
     * 一般纳税人情况
     */
    @ExcelProperty(index = 23)
    @Excel(name = "一般纳税人情况", height = 30, width = 24, combo = {"是", "否"})
    private String ybnsrqk;

    /**
     * 国家级奖项、发明专利
     */
    @ExcelProperty(index = 24)
    @Excel(name = "国家级奖项、发明专利", height = 30, width = 24)
    private String gjjjxfmzl;

    /**
     * AEO情况
     */
    @ExcelProperty(index = 25)
    @Excel(name = "AEO情况", height = 30, width = 24, combo = {"是", "否"})
    private String aeoqk;

    /**
     * 检测、服务外包、文化服务创新
     */
    @ExcelProperty(index = 26)
    @Excel(name = "检测、服务外包、文化服务创新", height = 30, width = 24, combo = {"有", "无"})
    private String jcfwwbwhfwcx;


    /**
     * 外汇等级
     */
    @ExcelProperty(index = 27)
    @Excel(name = "外汇等级", height = 30, width = 24, combo = {"A", "B", "C", "D"})
    private String grade;

    /**
     * 企业结构
     */
    @ExcelProperty(index = 28)
    @Excel(name = "企业结构", height = 30, width = 24, combo = {"加工贸易", "保税物流", "保税服务", "其他"})
    private String enterpriseStructure;


    /**
     * 业务构成
     */
    @ExcelProperty(index = 29)
    //@Excel(name = "业务构成", height = 30, width = 24, combo = {"加工贸易", "保税物流", "保税维修", "跨境电商", "一般贸易", "其他"})
    @Excel(name = "业务构成", height = 30, width = 24)
    private String businessEvents;


}
