package com.hjy.module.vo.gather;

import com.hjy.common.annotation.Excel;
import com.hjy.module.domain.gether.CbGatherFee;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import lombok.experimental.Accessors;

/**
 * 数据采集明细Vo对象 CB_GATHER_FEE
 *
 * @author Tellsea
 * @date 2023-08-30
 */
@Data
@Accessors(chain = true)
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = true)
public class CbGatherFeeVo extends CbGatherFee {

    /**
     * 计量单位
     */
    @Excel(name = "计量单位")
    private String funit;

    @ApiModelProperty("计量单位")
    private String funitName;

    /**
     * 指标计算公式
     */
    @Excel(name = "指标计算公式")
    @ApiModelProperty("指标计算公式")
    private String formula;

    /**
     * 0可采集1不可采集
     */
    @ApiModelProperty("0可采集1不可采集")
    private String sendValue;

}
