package com.hjy.module.vo.gather;

import com.hjy.common.annotation.Excel;
import com.hjy.common.annotation.PageDict;
import com.hjy.module.domain.gether.CbGatherWarning;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import lombok.experimental.Accessors;

import java.math.BigDecimal;

/**
 * 数据采集预警Vo对象 CB_GATHER_WARNING
 *
 * @author Tellsea
 * @date 2023-08-30
 */
@Data
@Accessors(chain = true)
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = true)
public class CbGatherWarningVo extends CbGatherWarning {

    /**
     * 异常项名称
     */
    @ApiModelProperty("异常项名称")
    private String gatherFeeName;

    /**
     * 异常项类型名称
     */
    @ApiModelProperty("异常项类型名称")
    private String gathernormName;

    /**
     * 分类占比
     */
    @Excel(name = "分类占比")
    @ApiModelProperty("分类占比")
    private BigDecimal normRatio;

    /**
     * 指标参数名称
     */
    @Excel(name = "指标参数名称")
    @ApiModelProperty("指标参数名称")
    private String fname;

    /**
     * 计量单位
     */
    @PageDict(dicCode = "norm_uint")
    @Excel(name = "计量单位")
    @ApiModelProperty("计量单位")
    private String funit;

    /**
     * 权数
     */
    @Excel(name = "权数")
    @ApiModelProperty("权数")
    private BigDecimal fnumber;

    /**
     * 指标参数
     */
    @Excel(name = "指标参数")
    @ApiModelProperty("指标参数")
    private String fvalue;

    /**
     * 绩效参考值
     */
    @Excel(name = "绩效参考值")
    @ApiModelProperty("绩效参考值")
    private BigDecimal meritsValue;

    /**
     * 采集参考值
     */
    @Excel(name = "采集参考值")
    @ApiModelProperty("采集参考值")
    private BigDecimal collValue;

    /**
     * 采集公差上下公差占比
     */
    @Excel(name = "采集公差上下公差占比")
    @ApiModelProperty("采集公差上下公差占比")
    private BigDecimal dfRetio;

    /**
     * 绩效公差上下公差占比
     */
    @Excel(name = "绩效公差上下公差占比")
    @ApiModelProperty("绩效公差上下公差占比")
    private BigDecimal msRetio;

    private String year;

    private String month;

}
