package com.hjy.module.vo.totexp;


import com.baomidou.mybatisplus.annotation.TableField;
import com.hjy.common.annotation.Excel;
import com.hjy.module.domain.totexp.CbTotexp;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import lombok.experimental.Accessors;

import java.math.BigDecimal;

/**
 * 保税区进出口总值数据Vo对象 CB_TOTEXP
 *
 * @author Tellsea
 * @date 2023-10-10
 */
@Data
@Accessors(chain = true)
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = true)
public class CbTotexpVo extends CbTotexp {

    @Excel(name = "保税区名称")
    private String deptName;

    @Excel(name = "增长率")
    @TableField(exist = false)
    private BigDecimal percentage;

    @TableField(exist = false)
    private Integer level;
}
